--
-- Grilles de catalogage pour UNIMARC en français
-- Biblio frameworks for UNIMARC, public library in french
-- Copyright Paul POULAIN, BibLibre SARL

-- This file is part of Koha.
--
-- Koha is free software; you can redistribute it and/or modify it under the
-- terms of the GNU General Public License as published by the Free Software
-- Foundation; either version 2 of the License, or (at your option) any later
-- version.
--
-- Koha is distributed in the hope that it will be useful, but WITHOUT ANY
-- WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-- A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along with
-- Koha; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
-- Suite 330, Boston, MA  02111-1307 USA
--


-- 
-- Contenu de la table `biblio_framework`
-- 

set NAMES 'utf8';

INSERT INTO `biblio_framework` (`frameworkcode`, `frameworktext`) VALUES ('ARTI', 'Article de périodique');
INSERT INTO `biblio_framework` (`frameworkcode`, `frameworktext`) VALUES ('MULT', 'Multimédia');
INSERT INTO `biblio_framework` (`frameworkcode`, `frameworktext`) VALUES ('PERI', 'Périodique');
INSERT INTO `biblio_framework` (`frameworkcode`, `frameworktext`) VALUES ('WEB', 'Ressource web');

--
-- Add some AV categories specific to this file
--

INSERT IGNORE INTO authorised_value_categories( category_name ) VALUES ('statut'), ('genre'), ('public'), ('local'), ('pcdm');

-- 
-- Contenu de la table `marc_tag_structure`
-- 

INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('000', 'Label', '', 0, 1, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('001', 'Numéro de notice', 'Numéro de notice', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('005', 'Numéro d''identification de la version', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('009', 'Ancien 001', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('010', 'ISBN', 'ISBN', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('011', 'ISSN', 'ISSN', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('012', 'Empreinte des livres anciens', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('013', 'numéro international normalisé de document musical (ISMN)', 'ISMN', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('014', 'numéro d''identification d''un article de périodique', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('020', 'Numéro de la bibliographie nationale', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('021', 'numéro de dépôt légal', 'dépôt légal', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('022', 'Numéro de publication officielle', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('040', 'CODEN (publications en série)', 'CODEN', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('071', 'numéro d''éditeur (enregistrements sonores et musique imprimée)', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('073', 'EAN', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('090', 'Numéro biblio (koha)', 'Numéro biblio (koha', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('100', 'Données générales de traitement', '', 0, 1, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('101', 'Langue', 'Langue', 0, 1, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('102', 'Pays d''édition ou de production', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('105', 'Zone de données codées : textes, monographies', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('106', 'Zone de données codées : textes, caractéristiques physiques', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('110', 'Zone de données codées : publications en série', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('115', 'Zone de données codées : vidéo et films', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('116', 'zone de données codées : documents graphiques', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('117', 'zone de données codées : objets en trois dimensions, artefacts', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('120', 'zone de données codées : documents cartographiques, généralités', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('121', 'zone de données codées : documents cartographiques, caractéristiques physiques', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('122', 'zone de données codées : période historique', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('123', 'zone de données codées : documents cartographiques, échelle et coordonnées', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('124', 'zone de données codées : documents cartographiques, autres caractéristiques physiques', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('125', 'zone de données codées : enregistrements sonores et musique imprimée', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('126', 'zone de données codées : enregistrements sonores, caractéristiques physiques', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('127', 'zone de données codées : durée des enregistrements sonores', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('128', 'zone de données codées : interprétations musicales et partitions', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('130', 'zone de données codées : microformes, caractéristiques physiques', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('131', 'zone de données codées : documents cartographiques - mesures géodésiques', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('135', 'Zone de données codées : ressources électroniques', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('140', 'Zone de données codées : livres anciens', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('141', 'Zone de données codées : livres anciens, caractères de l''exemplaire', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('200', 'Titre et mention de responsabilité', 'Titre', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('205', 'Mention d''édition', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('206', 'zone particulière à certains types de documents : documents cartographiques, données mathématiques', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('207', 'Zone particulière à certains types de documents : publications en série, numérotation', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('208', 'zone particulière à certains types de documents : musique imprimée', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('210', 'Adresse', 'Editeur', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('211', 'date de publication prévue', 'date de publication prévue', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('215', 'Collation', 'Description', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('225', 'collection', 'collection', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('230', 'Zone particulière à certains types de documents : ressources électroniques', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('300', 'Note générale', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('301', 'note sur les numéros d''identification', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('302', 'note sur les informations codées', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('303', 'Note générale sur la description bibliographique', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('304', 'Note sur le titre et la mention de responsabilité', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('305', 'Note sur l''édition et l''histoire bibliographique', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('306', 'Note sur l''adresse bibliographique', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('307', 'note sur la collation', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('308', 'note sur la collection', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('310', 'note sur la reliure et la disponibilité', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('311', 'note sur les zones de liens', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('312', 'Note sur les titres associés', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('313', 'note sur les vedettes matières', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('314', 'note sur la responsabilité intellectuelle', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('315', 'note sur les informations propres au type de documents', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('316', 'Note sur l''exemplaire', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('317', 'note sur la provenance', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('318', 'Note sur les actions de préservation', 'note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('320', 'Note sur les bibliographies ou les index', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('321', 'note sur les index, extraits et citations publiés séparément', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('322', 'note sur le générique', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('323', 'note sur les interprètes', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('324', 'note sur le document original', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('325', 'note sur la reproduction', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('326', 'Note sur la périodicité', 'note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('327', 'Note de contenu', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('328', 'Note sur les thèses', 'Note', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('330', 'Résumé ou extrait', 'Résumé', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('332', 'titre choisi pour le document', 'forme du titre', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('333', 'note sur le public destinataire', 'destiné à', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('336', 'note sur le type de ressource électronique', 'type de fichier', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('337', 'note sur la configuration requise', 'configuration requise', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('339', 'Résumé dans une autre langue', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('345', 'renseignements sur l''acquisition', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('410', 'Collection (zone de lien)', 'collection', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('411', 'sous-collection', 'sous-collection', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('421', 'supplément', 'a pour supplément', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('422', 'publication-mère du supplément', 'supplément de', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('423', 'publié avec', 'publié avec', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('430', 'suite de', 'suite de', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('431', 'succède après scission à', 'succède après scission à', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('432', 'remplace', 'remplace', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('433', 'reprend en partie', 'reprend en partie', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('434', 'absorbe', 'absorbe', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('435', 'absorbe partiellement', 'absorbe partiellement', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('436', 'fusion de', 'fusion de', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('437', 'suite partielle de', 'suite partielle de', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('440', 'devient', 'devient', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('441', 'devient partiellement', 'devient partiellement', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('442', 'remplacé par', 'remplacé par', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('443', 'repris en partie par', 'repris en partie par', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('444', 'absorbé par', 'absorbé par', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('445', 'absorbé partiellement par', 'absorbé partiellement par', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('446', 'scindé enâ€¦ et enâ€¦', 'scindé enâ€¦ et enâ€¦', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('447', 'fusionne avecâ€¦ pour formerâ€¦', 'fusionne avecâ€¦ pour formerâ€¦', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('448', 'redevient', 'redevient', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('451', 'autre édition sur le même support', 'autre édition', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('452', 'autre édition sur un autre support', 'autre édition', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('453', 'traduit sous le titre', 'traduit sous le titre', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('454', 'traduit de', 'traduit de', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('455', 'reproduction de', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('456', 'reproduit comme', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('461', 'niveau de l''ensemble', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('462', 'niveau du sous-ensemble', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('463', 'niveau de l''unité matérielle', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('464', 'Niveau du dépouillement', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('470', 'document analysé', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('481', 'est relié avec ce volume', 'est rélié avec ce volume', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('482', 'relié avec', 'relié avec', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('488', 'autres oeuvres en liaison', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('500', 'Titre uniforme', 'Titre', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('501', 'rubrique de classement', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('503', 'Titre de forme', 'Titre', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('510', 'Titre parallèle', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('512', 'Titre de couverture', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('513', 'titre figurant sur une autre page de titre', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('514', 'titre de départ', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('515', 'titre courant', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('516', 'titre de dos', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('517', 'Autres variantes du titre', 'Autres variantes du titre', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('518', 'titre avec un alphabet moderne', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('520', 'Titre précédent (publications en série)', 'titre précédent', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('530', 'titre clé (publications en série)', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('531', 'titre abrégé (publications en série)', 'titre abrégé', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('532', 'titre développé (publications en série)', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('540', 'Titre ajouté par le catalogueur', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('541', 'titre traduit ajouté par le catalogueur', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('545', 'Titre de section', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('600', 'Sujet nom de personne', 'sujets', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('601', 'Sujet collectivité', 'sujets', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('602', 'Sujet nom générique de famille', 'sujets', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('604', 'Sujet auteur-titre', 'sujets', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('605', 'Sujet titre uniforme', 'sujets', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('606', 'Sujet nom commun', 'sujets', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('607', 'Sujet nom géographique', 'sujets', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('608', 'Vedette matière de forme, de genre ou des caractéristiques physiques', 'sujets', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('610', 'Indexation en vocabulaire libre', 'sujets', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('615', 'catégorie sujet', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('620', 'accès par le lieu d''édition', 'lieu d''édition', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('626', 'accès par des données techniques (périmé)', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('660', 'code de zone géographique', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('661', 'code de date', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('670', 'PRECIS', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('675', 'Classification Décimale Universelle', 'classification', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('676', 'Classification décimale Dewey', 'classification', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('680', 'classification de la Bibliothèque du Congrès', 'classification', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('686', 'autres classifications', 'classification', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('689', 'pcdm temporaire', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('700', 'Auteur principal', 'Auteur', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('701', 'Coauteur', 'coauteur', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('702', 'Auteur secondaire', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('710', 'Collectivité auteur', 'auteur', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('711', 'Collectivité coauteur', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('712', 'Collectivité auteur secondaire', '', 1, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('720', 'nom générique de famille - mention de responsabilité principale', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('721', 'nom générique de famille - coauteur', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('722', 'nom générique de famille - mention de responsabilité secondaire', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('801', 'source de catalogage', '', 1, 1, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('802', 'centre ISSN', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('830', 'note générale du catalogueur', 'note', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('856', 'adresse électronique et mode d''accès', 'accès', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('900', 'forme rejetée des zones 70X et 72X', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('901', 'numéro de référence Electre', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('902', 'niveau de lecture', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('903', 'indexation', 'cote', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('910', 'forme rejetée des zones 71X', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('915', 'numéro de gestion', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('916', 'données codées sur la conservation', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('917', 'données codées sur le prêt, le dépôt, la communication et la reproduction', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('918', 'numéro de notice archivé', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('919', 'référence dans le système local', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('920', 'accès auteur-titre', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('930', 'localisation et cote', 'localisation', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('931', 'ancienne cote', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('932', 'future cote', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('936', 'numéro d''inventaire', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('942', 'total des prêts', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('950', 'forme rejetée des zones 5XX', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('955', 'état de collection des publications en série', 'état de collection', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('956', 'état de collection des publications en série : supplément et matériel d''accompagnement', 'suppléments', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('957', 'état de collection des publications en série : tables et index', 'tables et index', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('958', 'nom et importance d''une partie', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('960', 'forme rejetée des zones 6XX', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('966', 'champ de localisation', 'localisation', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('970', 'vedettes commerciales', 'sujets', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('980', 'forme rejetée des zones 970', 'sujets', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('987', 'numéro de notice archivé', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('990', 'cote ou note de contenu', '', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('991', 'indexation locale', 'sujets', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('992', 'classification locale', 'cote', 0, 0, NULL, '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('995', 'Exemplaires', '', 0, 0, '', '');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('000', 'Label', '', 0, 1, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('001', 'Numéro de notice', 'Numéro de notice', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('005', 'Numéro d''identification de la version', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('009', 'Ancien 001', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('010', 'ISBN', 'ISBN', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('011', 'ISSN', 'ISSN', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('012', 'Empreinte des livres anciens', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('013', 'numéro international normalisé de document musical (ISMN)', 'ISMN', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('014', 'numéro d''identification d''un article de périodique', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('020', 'Numéro de la bibliographie nationale', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('021', 'numéro de dépôt légal', 'dépôt légal', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('022', 'Numéro de publication officielle', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('040', 'CODEN (publications en série)', 'CODEN', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('071', 'numéro d''éditeur (enregistrements sonores et musique imprimée)', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('073', 'EAN', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('090', 'Numéro biblio (koha)', 'Numéro biblio (koha', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('100', 'Données générales de traitement', '', 0, 1, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('101', 'Langue', 'Langue', 0, 1, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('102', 'Pays d''édition ou de production', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('105', 'Zone de données codées : textes, monographies', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('106', 'Zone de données codées : textes, caractéristiques physiques', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('110', 'Zone de données codées : publications en série', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('115', 'Zone de données codées : vidéo et films', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('116', 'zone de données codées : documents graphiques', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('117', 'zone de données codées : objets en trois dimensions, artefacts', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('120', 'zone de données codées : documents cartographiques, généralités', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('121', 'zone de données codées : documents cartographiques, caractéristiques physiques', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('122', 'zone de données codées : période historique', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('123', 'zone de données codées : documents cartographiques, échelle et coordonnées', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('124', 'zone de données codées : documents cartographiques, autres caractéristiques physiques', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('125', 'zone de données codées : enregistrements sonores et musique imprimée', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('126', 'zone de données codées : enregistrements sonores, caractéristiques physiques', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('127', 'zone de données codées : durée des enregistrements sonores', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('128', 'zone de données codées : interprétations musicales et partitions', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('130', 'zone de données codées : microformes, caractéristiques physiques', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('131', 'zone de données codées : documents cartographiques - mesures géodésiques', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('135', 'Zone de données codées : ressources électroniques', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('140', 'Zone de données codées : livres anciens', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('141', 'Zone de données codées : livres anciens, caractères de l''exemplaire', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('200', 'Titre et mention de responsabilité', 'Titre', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('205', 'Mention d''édition', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('206', 'zone particulière à certains types de documents : documents cartographiques, données mathématiques', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('207', 'Zone particulière à certains types de documents : publications en série, numérotation', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('208', 'zone particulière à certains types de documents : musique imprimée', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('210', 'Adresse', 'Editeur', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('211', 'date de publication prévue', 'date de publication prévue', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('215', 'Collation', 'Description', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('225', 'collection', 'collection', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('230', 'Zone particulière à certains types de documents : ressources électroniques', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('300', 'Note générale', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('301', 'note sur les numéros d''identification', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('302', 'note sur les informations codées', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('303', 'Note générale sur la description bibliographique', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('304', 'Note sur le titre et la mention de responsabilité', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('305', 'Note sur l''édition et l''histoire bibliographique', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('306', 'Note sur l''adresse bibliographique', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('307', 'note sur la collation', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('308', 'note sur la collection', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('310', 'note sur la reliure et la disponibilité', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('311', 'note sur les zones de liens', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('312', 'Note sur les titres associés', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('313', 'note sur les vedettes matières', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('314', 'note sur la responsabilité intellectuelle', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('315', 'note sur les informations propres au type de documents', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('316', 'Note sur l''exemplaire', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('317', 'note sur la provenance', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('318', 'Note sur les actions de préservation', 'note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('320', 'Note sur les bibliographies ou les index', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('321', 'note sur les index, extraits et citations publiés séparément', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('322', 'note sur le générique', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('323', 'note sur les interprètes', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('324', 'note sur le document original', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('325', 'note sur la reproduction', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('326', 'Note sur la périodicité', 'note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('327', 'Note de contenu', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('328', 'Note sur les thèses', 'Note', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('330', 'Résumé ou extrait', 'Résumé', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('332', 'titre choisi pour le document', 'forme du titre', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('333', 'note sur le public destinataire', 'destiné à', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('336', 'note sur le type de ressource électronique', 'type de fichier', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('337', 'note sur la configuration requise', 'configuration requise', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('339', 'Résumé dans une autre langue', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('345', 'renseignements sur l''acquisition', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('410', 'Collection (zone de lien)', 'collection', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('411', 'sous-collection', 'sous-collection', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('421', 'supplément', 'a pour supplément', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('422', 'publication-mère du supplément', 'supplément de', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('423', 'publié avec', 'publié avec', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('430', 'suite de', 'suite de', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('431', 'succède après scission à', 'succède après scission à', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('432', 'remplace', 'remplace', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('433', 'reprend en partie', 'reprend en partie', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('434', 'absorbe', 'absorbe', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('435', 'absorbe partiellement', 'absorbe partiellement', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('436', 'fusion de', 'fusion de', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('437', 'suite partielle de', 'suite partielle de', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('440', 'devient', 'devient', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('441', 'devient partiellement', 'devient partiellement', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('442', 'remplacé par', 'remplacé par', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('443', 'repris en partie par', 'repris en partie par', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('444', 'absorbé par', 'absorbé par', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('445', 'absorbé partiellement par', 'absorbé partiellement par', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('446', 'scindé enâ€¦ et enâ€¦', 'scindé enâ€¦ et enâ€¦', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('447', 'fusionne avecâ€¦ pour formerâ€¦', 'fusionne avecâ€¦ pour formerâ€¦', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('448', 'redevient', 'redevient', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('451', 'autre édition sur le même support', 'autre édition', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('452', 'autre édition sur un autre support', 'autre édition', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('453', 'traduit sous le titre', 'traduit sous le titre', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('454', 'traduit de', 'traduit de', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('455', 'reproduction de', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('456', 'reproduit comme', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('461', 'niveau de l''ensemble', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('462', 'niveau du sous-ensemble', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('463', 'niveau de l''unité matérielle', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('464', 'Niveau du dépouillement', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('470', 'document analysé', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('481', 'est relié avec ce volume', 'est rélié avec ce volume', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('482', 'relié avec', 'relié avec', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('488', 'autres oeuvres en liaison', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('500', 'Titre uniforme', 'Titre', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('501', 'rubrique de classement', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('503', 'Titre de forme', 'Titre', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('510', 'Titre parallèle', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('512', 'Titre de couverture', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('513', 'titre figurant sur une autre page de titre', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('514', 'titre de départ', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('515', 'titre courant', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('516', 'titre de dos', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('517', 'Autres variantes du titre', 'Autres variantes du titre', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('518', 'titre avec un alphabet moderne', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('520', 'Titre précédent (publications en série)', 'titre précédent', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('530', 'titre clé (publications en série)', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('531', 'titre abrégé (publications en série)', 'titre abrégé', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('532', 'titre développé (publications en série)', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('540', 'Titre ajouté par le catalogueur', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('541', 'titre traduit ajouté par le catalogueur', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('545', 'Titre de section', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('600', 'Sujet nom de personne', 'sujets', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('601', 'Sujet collectivité', 'sujets', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('602', 'Sujet nom générique de famille', 'sujets', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('604', 'Sujet auteur-titre', 'sujets', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('605', 'Sujet titre uniforme', 'sujets', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('606', 'Sujet nom commun', 'sujets', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('607', 'Sujet nom géographique', 'sujets', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('608', 'Vedette matière de forme, de genre ou des caractéristiques physiques', 'sujets', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('610', 'Indexation en vocabulaire libre', 'sujets', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('615', 'catégorie sujet', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('620', 'accès par le lieu d''édition', 'lieu d''édition', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('626', 'accès par des données techniques (périmé)', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('660', 'code de zone géographique', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('661', 'code de date', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('670', 'PRECIS', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('675', 'Classification Décimale Universelle', 'classification', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('676', 'Classification décimale Dewey', 'classification', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('680', 'classification de la Bibliothèque du Congrès', 'classification', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('686', 'autres classifications', 'classification', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('700', 'Auteur principal', 'Auteur', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('701', 'Coauteur', 'coauteur', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('702', 'Auteur secondaire', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('710', 'Collectivité auteur', 'auteur', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('711', 'Collectivité coauteur', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('712', 'Collectivité auteur secondaire', '', 1, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('720', 'nom générique de famille - mention de responsabilité principale', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('721', 'nom générique de famille - coauteur', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('722', 'nom générique de famille - mention de responsabilité secondaire', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('801', 'source de catalogage', '', 1, 1, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('802', 'centre ISSN', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('830', 'note générale du catalogueur', 'note', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('856', 'adresse électronique et mode d''accès', 'accès', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('900', 'forme rejetée des zones 70X et 72X', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('901', 'numéro de référence Electre', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('902', 'niveau de lecture', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('903', 'indexation', 'cote', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('910', 'forme rejetée des zones 71X', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('915', 'numéro de gestion', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('916', 'données codées sur la conservation', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('917', 'données codées sur le prêt, le dépôt, la communication et la reproduction', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('918', 'numéro de notice archivé', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('919', 'référence dans le système local', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('920', 'accès auteur-titre', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('930', 'localisation et cote', 'localisation', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('931', 'ancienne cote', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('932', 'future cote', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('936', 'numéro d''inventaire', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('942', 'total des prêts', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('950', 'forme rejetée des zones 5XX', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('955', 'état de collection des publications en série', 'état de collection', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('956', 'état de collection des publications en série : supplément et matériel d''accompagnement', 'suppléments', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('957', 'état de collection des publications en série : tables et index', 'tables et index', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('958', 'nom et importance d''une partie', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('960', 'forme rejetée des zones 6XX', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('966', 'champ de localisation', 'localisation', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('970', 'vedettes commerciales', 'sujets', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('980', 'forme rejetée des zones 970', 'sujets', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('987', 'numéro de notice archivé', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('990', 'cote ou note de contenu', '', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('991', 'indexation locale', 'sujets', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('992', 'classification locale', 'cote', 0, 0, NULL, 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('995', 'Exemplaires', '', 0, 0, '', 'ARTI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('000', 'Label', '', 0, 1, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('001', 'Numéro de notice', 'Numéro de notice', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('005', 'Numéro d''identification de la version', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('009', 'Ancien 001', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('010', 'ISBN', 'ISBN', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('011', 'ISSN', 'ISSN', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('012', 'Empreinte des livres anciens', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('013', 'numéro international normalisé de document musical (ISMN)', 'ISMN', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('014', 'numéro d''identification d''un article de périodique', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('020', 'Numéro de la bibliographie nationale', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('021', 'numéro de dépôt légal', 'dépôt légal', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('022', 'Numéro de publication officielle', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('040', 'CODEN (publications en série)', 'CODEN', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('071', 'numéro d''éditeur (enregistrements sonores et musique imprimée)', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('073', 'EAN', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('090', 'Numéro biblio (koha)', 'Numéro biblio (koha', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('100', 'Données générales de traitement', '', 0, 1, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('101', 'Langue', 'Langue', 0, 1, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('102', 'Pays d''édition ou de production', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('105', 'Zone de données codées : textes, monographies', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('106', 'Zone de données codées : textes, caractéristiques physiques', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('110', 'Zone de données codées : publications en série', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('115', 'Zone de données codées : vidéo et films', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('116', 'zone de données codées : documents graphiques', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('117', 'zone de données codées : objets en trois dimensions, artefacts', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('120', 'zone de données codées : documents cartographiques, généralités', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('121', 'zone de données codées : documents cartographiques, caractéristiques physiques', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('122', 'zone de données codées : période historique', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('123', 'zone de données codées : documents cartographiques, échelle et coordonnées', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('124', 'zone de données codées : documents cartographiques, autres caractéristiques physiques', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('125', 'zone de données codées : enregistrements sonores et musique imprimée', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('126', 'zone de données codées : enregistrements sonores, caractéristiques physiques', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('127', 'zone de données codées : durée des enregistrements sonores', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('128', 'zone de données codées : interprétations musicales et partitions', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('130', 'zone de données codées : microformes, caractéristiques physiques', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('131', 'zone de données codées : documents cartographiques - mesures géodésiques', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('135', 'Zone de données codées : ressources électroniques', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('140', 'Zone de données codées : livres anciens', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('141', 'Zone de données codées : livres anciens, caractères de l''exemplaire', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('200', 'Titre et mention de responsabilité', 'Titre', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('205', 'Mention d''édition', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('206', 'zone particulière à certains types de documents : documents cartographiques, données mathématiques', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('207', 'Zone particulière à certains types de documents : publications en série, numérotation', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('208', 'zone particulière à certains types de documents : musique imprimée', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('210', 'Adresse', 'Editeur', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('211', 'date de publication prévue', 'date de publication prévue', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('215', 'Collation', 'Description', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('225', 'collection', 'collection', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('230', 'Zone particulière à certains types de documents : ressources électroniques', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('300', 'Note générale', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('301', 'note sur les numéros d''identification', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('302', 'note sur les informations codées', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('303', 'Note générale sur la description bibliographique', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('304', 'Note sur le titre et la mention de responsabilité', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('305', 'Note sur l''édition et l''histoire bibliographique', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('306', 'Note sur l''adresse bibliographique', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('307', 'note sur la collation', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('308', 'note sur la collection', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('310', 'note sur la reliure et la disponibilité', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('311', 'note sur les zones de liens', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('312', 'Note sur les titres associés', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('313', 'note sur les vedettes matières', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('314', 'note sur la responsabilité intellectuelle', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('315', 'note sur les informations propres au type de documents', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('316', 'Note sur l''exemplaire', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('317', 'note sur la provenance', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('318', 'Note sur les actions de préservation', 'note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('320', 'Note sur les bibliographies ou les index', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('321', 'note sur les index, extraits et citations publiés séparément', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('322', 'note sur le générique', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('323', 'note sur les interprètes', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('324', 'note sur le document original', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('325', 'note sur la reproduction', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('326', 'Note sur la périodicité', 'note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('327', 'Note de contenu', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('328', 'Note sur les thèses', 'Note', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('330', 'Résumé ou extrait', 'Résumé', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('332', 'titre choisi pour le document', 'forme du titre', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('333', 'note sur le public destinataire', 'destiné à', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('336', 'note sur le type de ressource électronique', 'type de fichier', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('337', 'note sur la configuration requise', 'configuration requise', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('339', 'Résumé dans une autre langue', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('345', 'renseignements sur l''acquisition', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('410', 'Collection (zone de lien)', 'collection', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('411', 'sous-collection', 'sous-collection', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('421', 'supplément', 'a pour supplément', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('422', 'publication-mère du supplément', 'supplément de', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('423', 'publié avec', 'publié avec', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('430', 'suite de', 'suite de', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('431', 'succède après scission à', 'succède après scission à', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('432', 'remplace', 'remplace', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('433', 'reprend en partie', 'reprend en partie', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('434', 'absorbe', 'absorbe', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('435', 'absorbe partiellement', 'absorbe partiellement', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('436', 'fusion de', 'fusion de', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('437', 'suite partielle de', 'suite partielle de', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('440', 'devient', 'devient', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('441', 'devient partiellement', 'devient partiellement', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('442', 'remplacé par', 'remplacé par', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('443', 'repris en partie par', 'repris en partie par', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('444', 'absorbé par', 'absorbé par', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('445', 'absorbé partiellement par', 'absorbé partiellement par', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('446', 'scindé enâ€¦ et enâ€¦', 'scindé enâ€¦ et enâ€¦', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('447', 'fusionne avecâ€¦ pour formerâ€¦', 'fusionne avecâ€¦ pour formerâ€¦', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('448', 'redevient', 'redevient', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('451', 'autre édition sur le même support', 'autre édition', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('452', 'autre édition sur un autre support', 'autre édition', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('453', 'traduit sous le titre', 'traduit sous le titre', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('454', 'traduit de', 'traduit de', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('455', 'reproduction de', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('456', 'reproduit comme', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('461', 'niveau de l''ensemble', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('462', 'niveau du sous-ensemble', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('463', 'niveau de l''unité matérielle', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('464', 'Niveau du dépouillement', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('470', 'document analysé', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('481', 'est relié avec ce volume', 'est rélié avec ce volume', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('482', 'relié avec', 'relié avec', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('488', 'autres oeuvres en liaison', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('500', 'Titre uniforme', 'Titre', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('501', 'rubrique de classement', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('503', 'Titre de forme', 'Titre', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('510', 'Titre parallèle', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('512', 'Titre de couverture', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('513', 'titre figurant sur une autre page de titre', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('514', 'titre de départ', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('515', 'titre courant', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('516', 'titre de dos', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('517', 'Autres variantes du titre', 'Autres variantes du titre', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('518', 'titre avec un alphabet moderne', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('520', 'Titre précédent (publications en série)', 'titre précédent', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('530', 'titre clé (publications en série)', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('531', 'titre abrégé (publications en série)', 'titre abrégé', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('532', 'titre développé (publications en série)', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('540', 'Titre ajouté par le catalogueur', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('541', 'titre traduit ajouté par le catalogueur', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('545', 'Titre de section', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('600', 'Sujet nom de personne', 'sujets', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('601', 'Sujet collectivité', 'sujets', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('602', 'Sujet nom générique de famille', 'sujets', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('604', 'Sujet auteur-titre', 'sujets', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('605', 'Sujet titre uniforme', 'sujets', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('606', 'Sujet nom commun', 'sujets', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('607', 'Sujet nom géographique', 'sujets', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('608', 'Vedette matière de forme, de genre ou des caractéristiques physiques', 'sujets', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('610', 'Indexation en vocabulaire libre', 'sujets', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('615', 'catégorie sujet', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('620', 'accès par le lieu d''édition', 'lieu d''édition', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('626', 'accès par des données techniques (périmé)', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('660', 'code de zone géographique', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('661', 'code de date', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('670', 'PRECIS', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('675', 'Classification Décimale Universelle', 'classification', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('676', 'Classification décimale Dewey', 'classification', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('680', 'classification de la Bibliothèque du Congrès', 'classification', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('686', 'autres classifications', 'classification', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('689', 'pcdm temporaire', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('700', 'Auteur principal', 'Auteur', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('701', 'Coauteur', 'coauteur', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('702', 'Auteur secondaire', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('710', 'Collectivité auteur', 'auteur', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('711', 'Collectivité coauteur', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('712', 'Collectivité auteur secondaire', '', 1, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('720', 'nom générique de famille - mention de responsabilité principale', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('721', 'nom générique de famille - coauteur', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('722', 'nom générique de famille - mention de responsabilité secondaire', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('801', 'source de catalogage', '', 1, 1, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('802', 'centre ISSN', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('830', 'note générale du catalogueur', 'note', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('856', 'adresse électronique et mode d''accès', 'accès', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('900', 'forme rejetée des zones 70X et 72X', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('901', 'numéro de référence Electre', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('902', 'niveau de lecture', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('903', 'indexation', 'cote', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('910', 'forme rejetée des zones 71X', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('915', 'numéro de gestion', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('916', 'données codées sur la conservation', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('917', 'données codées sur le prêt, le dépôt, la communication et la reproduction', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('918', 'numéro de notice archivé', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('919', 'référence dans le système local', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('920', 'accès auteur-titre', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('930', 'localisation et cote', 'localisation', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('931', 'ancienne cote', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('932', 'future cote', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('936', 'numéro d''inventaire', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('942', 'total des prêts', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('950', 'forme rejetée des zones 5XX', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('955', 'état de collection des publications en série', 'état de collection', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('956', 'état de collection des publications en série : supplément et matériel d''accompagnement', 'suppléments', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('957', 'état de collection des publications en série : tables et index', 'tables et index', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('958', 'nom et importance d''une partie', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('960', 'forme rejetée des zones 6XX', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('966', 'champ de localisation', 'localisation', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('970', 'vedettes commerciales', 'sujets', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('980', 'forme rejetée des zones 970', 'sujets', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('987', 'numéro de notice archivé', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('990', 'cote ou note de contenu', '', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('991', 'indexation locale', 'sujets', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('992', 'classification locale', 'cote', 0, 0, NULL, 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('995', 'Exemplaires', '', 0, 0, '', 'MULT');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('000', 'Label', '', 0, 1, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('001', 'Numéro de notice', 'Numéro de notice', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('005', 'Numéro d''identification de la version', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('009', 'Ancien 001', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('010', 'ISBN', 'ISBN', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('011', 'ISSN', 'ISSN', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('012', 'Empreinte des livres anciens', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('013', 'numéro international normalisé de document musical (ISMN)', 'ISMN', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('014', 'numéro d''identification d''un article de périodique', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('020', 'Numéro de la bibliographie nationale', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('021', 'numéro de dépôt légal', 'dépôt légal', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('022', 'Numéro de publication officielle', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('040', 'CODEN (publications en série)', 'CODEN', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('071', 'numéro d''éditeur (enregistrements sonores et musique imprimée)', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('073', 'EAN', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('090', 'Numéro biblio (koha)', 'Numéro biblio (koha', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('100', 'Données générales de traitement', '', 0, 1, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('101', 'Langue', 'Langue', 0, 1, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('102', 'Pays d''édition ou de production', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('105', 'Zone de données codées : textes, monographies', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('106', 'Zone de données codées : textes, caractéristiques physiques', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('110', 'Zone de données codées : publications en série', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('115', 'Zone de données codées : vidéo et films', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('116', 'zone de données codées : documents graphiques', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('117', 'zone de données codées : objets en trois dimensions, artefacts', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('120', 'zone de données codées : documents cartographiques, généralités', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('121', 'zone de données codées : documents cartographiques, caractéristiques physiques', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('122', 'zone de données codées : période historique', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('123', 'zone de données codées : documents cartographiques, échelle et coordonnées', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('124', 'zone de données codées : documents cartographiques, autres caractéristiques physiques', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('125', 'zone de données codées : enregistrements sonores et musique imprimée', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('126', 'zone de données codées : enregistrements sonores, caractéristiques physiques', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('127', 'zone de données codées : durée des enregistrements sonores', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('128', 'zone de données codées : interprétations musicales et partitions', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('130', 'zone de données codées : microformes, caractéristiques physiques', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('131', 'zone de données codées : documents cartographiques - mesures géodésiques', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('135', 'Zone de données codées : ressources électroniques', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('140', 'Zone de données codées : livres anciens', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('141', 'Zone de données codées : livres anciens, caractères de l''exemplaire', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('200', 'Titre et mention de responsabilité', 'Titre', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('205', 'Mention d''édition', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('206', 'zone particulière à certains types de documents : documents cartographiques, données mathématiques', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('207', 'Zone particulière à certains types de documents : publications en série, numérotation', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('208', 'zone particulière à certains types de documents : musique imprimée', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('210', 'Adresse', 'Editeur', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('211', 'date de publication prévue', 'date de publication prévue', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('215', 'Collation', 'Description', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('225', 'collection', 'collection', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('230', 'Zone particulière à certains types de documents : ressources électroniques', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('300', 'Note générale', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('301', 'note sur les numéros d''identification', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('302', 'note sur les informations codées', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('303', 'Note générale sur la description bibliographique', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('304', 'Note sur le titre et la mention de responsabilité', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('305', 'Note sur l''édition et l''histoire bibliographique', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('306', 'Note sur l''adresse bibliographique', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('307', 'note sur la collation', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('308', 'note sur la collection', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('310', 'note sur la reliure et la disponibilité', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('311', 'note sur les zones de liens', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('312', 'Note sur les titres associés', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('313', 'note sur les vedettes matières', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('314', 'note sur la responsabilité intellectuelle', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('315', 'note sur les informations propres au type de documents', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('316', 'Note sur l''exemplaire', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('317', 'note sur la provenance', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('318', 'Note sur les actions de préservation', 'note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('320', 'Note sur les bibliographies ou les index', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('321', 'note sur les index, extraits et citations publiés séparément', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('322', 'note sur le générique', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('323', 'note sur les interprètes', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('324', 'note sur le document original', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('325', 'note sur la reproduction', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('326', 'Note sur la périodicité', 'note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('327', 'Note de contenu', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('328', 'Note sur les thèses', 'Note', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('330', 'Résumé ou extrait', 'Résumé', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('332', 'titre choisi pour le document', 'forme du titre', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('333', 'note sur le public destinataire', 'destiné à', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('336', 'note sur le type de ressource électronique', 'type de fichier', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('337', 'note sur la configuration requise', 'configuration requise', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('339', 'Résumé dans une autre langue', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('345', 'renseignements sur l''acquisition', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('410', 'Collection (zone de lien)', 'collection', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('411', 'sous-collection', 'sous-collection', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('421', 'supplément', 'a pour supplément', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('422', 'publication-mère du supplément', 'supplément de', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('423', 'publié avec', 'publié avec', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('430', 'suite de', 'suite de', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('431', 'succède après scission à', 'succède après scission à', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('432', 'remplace', 'remplace', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('433', 'reprend en partie', 'reprend en partie', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('434', 'absorbe', 'absorbe', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('435', 'absorbe partiellement', 'absorbe partiellement', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('436', 'fusion de', 'fusion de', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('437', 'suite partielle de', 'suite partielle de', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('440', 'devient', 'devient', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('441', 'devient partiellement', 'devient partiellement', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('442', 'remplacé par', 'remplacé par', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('443', 'repris en partie par', 'repris en partie par', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('444', 'absorbé par', 'absorbé par', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('445', 'absorbé partiellement par', 'absorbé partiellement par', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('446', 'scindé enâ€¦ et enâ€¦', 'scindé enâ€¦ et enâ€¦', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('447', 'fusionne avecâ€¦ pour formerâ€¦', 'fusionne avecâ€¦ pour formerâ€¦', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('448', 'redevient', 'redevient', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('451', 'autre édition sur le même support', 'autre édition', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('452', 'autre édition sur un autre support', 'autre édition', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('453', 'traduit sous le titre', 'traduit sous le titre', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('454', 'traduit de', 'traduit de', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('455', 'reproduction de', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('456', 'reproduit comme', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('461', 'niveau de l''ensemble', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('462', 'niveau du sous-ensemble', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('463', 'niveau de l''unité matérielle', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('464', 'Niveau du dépouillement', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('470', 'document analysé', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('481', 'est relié avec ce volume', 'est rélié avec ce volume', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('482', 'relié avec', 'relié avec', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('488', 'autres oeuvres en liaison', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('500', 'Titre uniforme', 'Titre', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('501', 'rubrique de classement', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('503', 'Titre de forme', 'Titre', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('510', 'Titre parallèle', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('512', 'Titre de couverture', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('513', 'titre figurant sur une autre page de titre', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('514', 'titre de départ', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('515', 'titre courant', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('516', 'titre de dos', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('517', 'Autres variantes du titre', 'Autres variantes du titre', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('518', 'titre avec un alphabet moderne', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('520', 'Titre précédent (publications en série)', 'titre précédent', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('530', 'titre clé (publications en série)', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('531', 'titre abrégé (publications en série)', 'titre abrégé', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('532', 'titre développé (publications en série)', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('540', 'Titre ajouté par le catalogueur', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('541', 'titre traduit ajouté par le catalogueur', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('545', 'Titre de section', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('600', 'Sujet nom de personne', 'sujets', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('601', 'Sujet collectivité', 'sujets', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('602', 'Sujet nom générique de famille', 'sujets', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('604', 'Sujet auteur-titre', 'sujets', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('605', 'Sujet titre uniforme', 'sujets', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('606', 'Sujet nom commun', 'sujets', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('607', 'Sujet nom géographique', 'sujets', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('608', 'Vedette matière de forme, de genre ou des caractéristiques physiques', 'sujets', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('610', 'Indexation en vocabulaire libre', 'sujets', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('615', 'catégorie sujet', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('620', 'accès par le lieu d''édition', 'lieu d''édition', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('626', 'accès par des données techniques (périmé)', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('660', 'code de zone géographique', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('661', 'code de date', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('670', 'PRECIS', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('675', 'Classification Décimale Universelle', 'classification', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('676', 'Classification décimale Dewey', 'classification', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('680', 'classification de la Bibliothèque du Congrès', 'classification', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('686', 'autres classifications', 'classification', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('700', 'Auteur principal', 'Auteur', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('701', 'Coauteur', 'coauteur', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('702', 'Auteur secondaire', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('710', 'Collectivité auteur', 'auteur', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('711', 'Collectivité coauteur', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('712', 'Collectivité auteur secondaire', '', 1, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('720', 'nom générique de famille - mention de responsabilité principale', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('721', 'nom générique de famille - coauteur', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('722', 'nom générique de famille - mention de responsabilité secondaire', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('801', 'source de catalogage', '', 1, 1, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('802', 'centre ISSN', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('830', 'note générale du catalogueur', 'note', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('856', 'adresse électronique et mode d''accès', 'accès', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('900', 'forme rejetée des zones 70X et 72X', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('901', 'numéro de référence Electre', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('902', 'niveau de lecture', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('903', 'indexation', 'cote', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('910', 'forme rejetée des zones 71X', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('915', 'numéro de gestion', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('916', 'données codées sur la conservation', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('917', 'données codées sur le prêt, le dépôt, la communication et la reproduction', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('918', 'numéro de notice archivé', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('919', 'référence dans le système local', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('920', 'accès auteur-titre', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('930', 'localisation et cote', 'localisation', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('931', 'ancienne cote', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('932', 'future cote', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('936', 'numéro d''inventaire', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('942', 'total des prêts', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('950', 'forme rejetée des zones 5XX', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('955', 'état de collection des publications en série', 'état de collection', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('956', 'état de collection des publications en série : supplément et matériel d''accompagnement', 'suppléments', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('957', 'état de collection des publications en série : tables et index', 'tables et index', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('958', 'nom et importance d''une partie', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('960', 'forme rejetée des zones 6XX', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('966', 'champ de localisation', 'localisation', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('970', 'vedettes commerciales', 'sujets', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('980', 'forme rejetée des zones 970', 'sujets', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('987', 'numéro de notice archivé', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('990', 'cote ou note de contenu', '', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('991', 'indexation locale', 'sujets', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('992', 'classification locale', 'cote', 0, 0, NULL, 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('995', 'Exemplaires', '', 0, 0, '', 'PERI');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('000', 'Label', '', 0, 1, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('001', 'Numéro de notice', 'Numéro de notice', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('005', 'Numéro d''identification de la version', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('009', 'Ancien 001', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('010', 'ISBN', 'ISBN', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('011', 'ISSN', 'ISSN', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('012', 'Empreinte des livres anciens', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('013', 'numéro international normalisé de document musical (ISMN)', 'ISMN', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('014', 'numéro d''identification d''un article de périodique', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('020', 'Numéro de la bibliographie nationale', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('021', 'numéro de dépôt légal', 'dépôt légal', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('022', 'Numéro de publication officielle', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('040', 'CODEN (publications en série)', 'CODEN', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('071', 'numéro d''éditeur (enregistrements sonores et musique imprimée)', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('073', 'EAN', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('090', 'Numéro biblio (koha)', 'Numéro biblio (koha', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('100', 'Données générales de traitement', '', 0, 1, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('101', 'Langue', 'Langue', 0, 1, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('102', 'Pays d''édition ou de production', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('105', 'Zone de données codées : textes, monographies', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('106', 'Zone de données codées : textes, caractéristiques physiques', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('110', 'Zone de données codées : publications en série', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('115', 'Zone de données codées : vidéo et films', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('116', 'zone de données codées : documents graphiques', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('117', 'zone de données codées : objets en trois dimensions, artefacts', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('120', 'zone de données codées : documents cartographiques, généralités', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('121', 'zone de données codées : documents cartographiques, caractéristiques physiques', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('122', 'zone de données codées : période historique', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('123', 'zone de données codées : documents cartographiques, échelle et coordonnées', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('124', 'zone de données codées : documents cartographiques, autres caractéristiques physiques', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('125', 'zone de données codées : enregistrements sonores et musique imprimée', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('126', 'zone de données codées : enregistrements sonores, caractéristiques physiques', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('127', 'zone de données codées : durée des enregistrements sonores', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('128', 'zone de données codées : interprétations musicales et partitions', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('130', 'zone de données codées : microformes, caractéristiques physiques', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('131', 'zone de données codées : documents cartographiques - mesures géodésiques', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('135', 'Zone de données codées : ressources électroniques', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('140', 'Zone de données codées : livres anciens', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('141', 'Zone de données codées : livres anciens, caractères de l''exemplaire', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('200', 'Titre et mention de responsabilité', 'Titre', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('205', 'Mention d''édition', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('206', 'zone particulière à certains types de documents : documents cartographiques, données mathématiques', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('207', 'Zone particulière à certains types de documents : publications en série, numérotation', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('208', 'zone particulière à certains types de documents : musique imprimée', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('210', 'Adresse', 'Editeur', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('211', 'date de publication prévue', 'date de publication prévue', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('215', 'Collation', 'Description', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('225', 'collection', 'collection', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('230', 'Zone particulière à certains types de documents : ressources électroniques', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('300', 'Note générale', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('301', 'note sur les numéros d''identification', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('302', 'note sur les informations codées', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('303', 'Note générale sur la description bibliographique', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('304', 'Note sur le titre et la mention de responsabilité', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('305', 'Note sur l''édition et l''histoire bibliographique', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('306', 'Note sur l''adresse bibliographique', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('307', 'note sur la collation', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('308', 'note sur la collection', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('310', 'note sur la reliure et la disponibilité', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('311', 'note sur les zones de liens', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('312', 'Note sur les titres associés', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('313', 'note sur les vedettes matières', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('314', 'note sur la responsabilité intellectuelle', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('315', 'note sur les informations propres au type de documents', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('316', 'Note sur l''exemplaire', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('317', 'note sur la provenance', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('318', 'Note sur les actions de préservation', 'note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('320', 'Note sur les bibliographies ou les index', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('321', 'note sur les index, extraits et citations publiés séparément', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('322', 'note sur le générique', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('323', 'note sur les interprètes', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('324', 'note sur le document original', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('325', 'note sur la reproduction', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('326', 'Note sur la périodicité', 'note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('327', 'Note de contenu', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('328', 'Note sur les thèses', 'Note', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('330', 'Résumé ou extrait', 'Résumé', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('332', 'titre choisi pour le document', 'forme du titre', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('333', 'note sur le public destinataire', 'destiné à', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('336', 'note sur le type de ressource électronique', 'type de fichier', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('337', 'note sur la configuration requise', 'configuration requise', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('339', 'Résumé dans une autre langue', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('345', 'renseignements sur l''acquisition', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('410', 'Collection (zone de lien)', 'collection', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('411', 'sous-collection', 'sous-collection', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('421', 'supplément', 'a pour supplément', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('422', 'publication-mère du supplément', 'supplément de', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('423', 'publié avec', 'publié avec', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('430', 'suite de', 'suite de', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('431', 'succède après scission à', 'succède après scission à', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('432', 'remplace', 'remplace', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('433', 'reprend en partie', 'reprend en partie', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('434', 'absorbe', 'absorbe', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('435', 'absorbe partiellement', 'absorbe partiellement', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('436', 'fusion de', 'fusion de', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('437', 'suite partielle de', 'suite partielle de', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('440', 'devient', 'devient', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('441', 'devient partiellement', 'devient partiellement', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('442', 'remplacé par', 'remplacé par', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('443', 'repris en partie par', 'repris en partie par', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('444', 'absorbé par', 'absorbé par', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('445', 'absorbé partiellement par', 'absorbé partiellement par', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('446', 'scindé enâ€¦ et enâ€¦', 'scindé enâ€¦ et enâ€¦', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('447', 'fusionne avecâ€¦ pour formerâ€¦', 'fusionne avecâ€¦ pour formerâ€¦', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('448', 'redevient', 'redevient', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('451', 'autre édition sur le même support', 'autre édition', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('452', 'autre édition sur un autre support', 'autre édition', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('453', 'traduit sous le titre', 'traduit sous le titre', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('454', 'traduit de', 'traduit de', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('455', 'reproduction de', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('456', 'reproduit comme', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('461', 'niveau de l''ensemble', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('462', 'niveau du sous-ensemble', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('463', 'niveau de l''unité matérielle', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('464', 'Niveau du dépouillement', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('470', 'document analysé', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('481', 'est relié avec ce volume', 'est rélié avec ce volume', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('482', 'relié avec', 'relié avec', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('488', 'autres oeuvres en liaison', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('500', 'Titre uniforme', 'Titre', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('501', 'rubrique de classement', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('503', 'Titre de forme', 'Titre', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('510', 'Titre parallèle', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('512', 'Titre de couverture', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('513', 'titre figurant sur une autre page de titre', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('514', 'titre de départ', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('515', 'titre courant', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('516', 'titre de dos', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('517', 'Autres variantes du titre', 'Autres variantes du titre', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('518', 'titre avec un alphabet moderne', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('520', 'Titre précédent (publications en série)', 'titre précédent', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('530', 'titre clé (publications en série)', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('531', 'titre abrégé (publications en série)', 'titre abrégé', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('532', 'titre développé (publications en série)', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('540', 'Titre ajouté par le catalogueur', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('541', 'titre traduit ajouté par le catalogueur', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('545', 'Titre de section', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('600', 'Sujet nom de personne', 'sujets', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('601', 'Sujet collectivité', 'sujets', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('602', 'Sujet nom générique de famille', 'sujets', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('604', 'Sujet auteur-titre', 'sujets', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('605', 'Sujet titre uniforme', 'sujets', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('606', 'Sujet nom commun', 'sujets', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('607', 'Sujet nom géographique', 'sujets', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('608', 'Vedette matière de forme, de genre ou des caractéristiques physiques', 'sujets', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('610', 'Indexation en vocabulaire libre', 'sujets', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('615', 'catégorie sujet', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('620', 'accès par le lieu d''édition', 'lieu d''édition', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('626', 'accès par des données techniques (périmé)', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('660', 'code de zone géographique', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('661', 'code de date', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('670', 'PRECIS', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('675', 'Classification Décimale Universelle', 'classification', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('676', 'Classification décimale Dewey', 'classification', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('680', 'classification de la Bibliothèque du Congrès', 'classification', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('686', 'autres classifications', 'classification', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('700', 'Auteur principal', 'Auteur', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('701', 'Coauteur', 'coauteur', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('702', 'Auteur secondaire', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('710', 'Collectivité auteur', 'auteur', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('711', 'Collectivité coauteur', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('712', 'Collectivité auteur secondaire', '', 1, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('720', 'nom générique de famille - mention de responsabilité principale', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('721', 'nom générique de famille - coauteur', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('722', 'nom générique de famille - mention de responsabilité secondaire', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('801', 'source de catalogage', '', 1, 1, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('802', 'centre ISSN', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('830', 'note générale du catalogueur', 'note', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('856', 'adresse électronique et mode d''accès', 'accès', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('900', 'forme rejetée des zones 70X et 72X', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('901', 'numéro de référence Electre', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('902', 'niveau de lecture', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('903', 'indexation', 'cote', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('910', 'forme rejetée des zones 71X', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('915', 'numéro de gestion', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('916', 'données codées sur la conservation', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('917', 'données codées sur le prêt, le dépôt, la communication et la reproduction', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('918', 'numéro de notice archivé', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('919', 'référence dans le système local', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('920', 'accès auteur-titre', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('930', 'localisation et cote', 'localisation', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('931', 'ancienne cote', '', 0, 0, '', 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('932', 'future cote', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('936', 'numéro d''inventaire', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('942', 'total des prêts', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('950', 'forme rejetée des zones 5XX', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('955', 'état de collection des publications en série', 'état de collection', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('956', 'état de collection des publications en série : supplément et matériel d''accompagnement', 'suppléments', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('957', 'état de collection des publications en série : tables et index', 'tables et index', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('958', 'nom et importance d''une partie', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('960', 'forme rejetée des zones 6XX', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('966', 'champ de localisation', 'localisation', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('970', 'vedettes commerciales', 'sujets', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('980', 'forme rejetée des zones 970', 'sujets', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('987', 'numéro de notice archivé', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('990', 'cote ou note de contenu', '', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('991', 'indexation locale', 'sujets', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('992', 'classification locale', 'cote', 0, 0, NULL, 'WEB');
INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES ('995', 'Exemplaires', '', 0, 0, '', 'WEB');

-- 
-- Contenu de la table `marc_subfield_structure`
-- 

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('000', '@', 'leader', '', 0, 0, '', -1, '', '', 'unimarc_leader.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('001', '@', 'Numéro d&#39;identification notice', '', 0, 0, 'biblio.biblionumber', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('009', '@', 'Ancien 001', '', 0, 0, '', -1, '', '', NULL, 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'a', 'ISBN', 'ISBN', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'd', 'disponibilité et/ou prix', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'z', 'ISBN erroné', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'a', 'ISSN', 'ISSN', 0, 0, 'biblioitems.issn', -1, '', '', '', 0, 0, '', '''464x''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'd', 'disponibilité et/ou prix', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'y', 'ISSN annulé', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'z', 'ISSN erroné', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '2', 'code du système utilisé pour l''empreinte', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '5', 'institution à laquelle s''applique cette zone', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', 'a', 'empreinte', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'a', 'numéro ISMN', 'ISMN', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'd', 'disponibilté et/ou prix', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'z', 'ISMN erroné', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', '2', 'système de codification', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'a', 'numéro d''article', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'z', 'numéro d''article erroné', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'a', 'code de pays', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'b', 'numéro', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'z', 'numéro erroné', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'a', 'coden', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'z', 'coden erroné', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'a', 'numéro d''éditeur', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'b', 'source', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'a', 'Numéro', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'b', 'Qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'c', 'Numéros additionnels', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'd', 'Prix et disponibilité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'z', 'Numéro erroné', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', '9', 'Numéro biblio (koha)', 'Numéro biblio (koha)', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', 'a', 'Numéro biblioitem (koha)', '', 0, 0, 'biblioitems.biblioitemnumber', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('100', 'a', 'a', '', 0, 0, '', 0, '', '', 'unimarc_field_100.pl', 0, 0, '', '', '','YYYYMMDDd        u||y0frey5050    ba');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'a', 'langue doc.', '', 1, 1, '', 1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'b', 'traduction intermédiaire', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'c', 'oeuvre originale', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'd', 'résumé', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'e', 'table des matières', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'f', 'page de titre si elle diffère de celle du texte', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'g', 'titre propre si elle diffère de la langue du texte ou de la bande son', '', 0, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'h', 'langue d''un livret', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'i', 'textes d''accompagnement', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'j', 'langue des sous-titres', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'a', 'pays d''édition', '', 1, 0, '', -1, 'COUNTRY', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'b', 'lieu  d''édition', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('105', 'a', 'données codées - monographies', '', 0, 0, '', -1, '', '', 'unimarc_field_105.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('106', 'a', 'données codées -  textes - caractéristiques physiques', '', 0, 0, '', -1, '', '', 'unimarc_field_106.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('110', 'a', 'données codées pour les périodiques', '', 0, 0, '', -1, '', '', 'unimarc_field_110.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'a', 'données codées vidéo', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'b', 'données codées pour les films - archivage.', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('116', 'a', 'données codées de documents graphiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('117', 'a', 'données codées de documents pour les objets en trois dimensions et artefacts', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('120', 'a', 'données codées sur les documents cartographiques-généralités', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'a', 'documents cartographiques-caractéristiques physiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'b', 'données codées : photographie aérienne et télédetection - caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('122', 'a', 'Période  : de 9999 avant J.C. à nos jours', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', '0', 'époque', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'a', 'type d''échelle', '', 1, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'b', 'échelle horizontale à taux linéaire constant', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'c', 'échelle horizontale à taux linéaire constant (échelle altimétrique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'd', 'coordonnées - longitude ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'e', 'coordonnées - longitude est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'f', 'coordonnées - longitude nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'g', 'coordonnées - longitude sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'h', 'échelle angulaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'i', 'déclinaison - limite nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'j', 'déclinaison - limite sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'k', 'ascension droite - limite est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'm', 'ascension droite - limite ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'n', 'equinoxe', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'a', 'origine de l''image', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'b', 'forme du document cartographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'c', 'présentation technique dans le cas d''images photographiques ou non photographiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'd', 'position de la base pourles images photographiques ou de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'e', 'catégorie de satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'f', 'nom du satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'g', 'technique d''enregistrement pour les images de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'a', 'nature de la musique imprimée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'b', 'type de texte écrit (enregistrements parlés)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'a', 'données codées pour les enregistrements sonores (généralités)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'b', 'données codées pour les enregistrements sonores (particularités)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('127', 'a', 'durée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'a', 'forme de la composition (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'b', 'instruments ou voix dans un ensemble (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'c', 'instruments ou voix pour soliste (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('130', 'a', 'données codées de documents : Microformes-caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'a', 'ellipsoïde', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'b', 'données horizontales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'c', 'quadrillage et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'd', 'recouvrement et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'e', 'quadrillage et système de référence secondaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'f', 'données verticales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'g', 'unité de mesure pour l''altitude', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'h', 'intervalle des courbes de niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'i', 'intervalle des courbes de niveau supplémentaires', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'j', 'unité de mesure de bathymétrie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'k', 'intervalle bathymétrique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'l', 'intervalle bathymétrique supplémentaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('135', 'a', 'données codées : ressources électroniques', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('140', 'a', 'données codées : les livres anciens', '', 1, 0, '', -1, '', '', 'unimarc_field_140.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', '5', 'institution à laquelle cette zone s''applique', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', 'a', 'données codées pour le livre ancien - caractères de l''exemplaire', '', 0, 0, '', -1, '', '', 'unimarc_field_141.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', '5', 'nom de l''institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'a', 'titre propre', '', 1, 1, 'biblio.title', 0, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'b', 'type doc', '', 0, 1, 'biblioitems.itemtype', 0, 'itemtypes', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'c', 'titre propre d''un auteur différent', '', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'd', 'titre //', '', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'e', 'sous-titre', '', 1, 0, 'biblioitems.volume', 0, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'f', 'auteur', 'auteur', 1, 1, 'biblio.author', 0, '', '', '', 0, 0, '', '', '',NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'g', 'autre auteur', 'auteur secondaire', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'h', 'N° de partie', '', 1, 0, 'biblioitems.volumeddesc', 0, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'i', 'titre partie', '', 1, 0, 'biblio.unititle', 0, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'a', 'mention d''édition', '', 0, 0, 'biblioitems.editionstatement', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'b', 'mention de parution', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'd', 'mention parallèle d''édition', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'f', 'mention de responsabilité relative à l''édition', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'g', 'mention de responsabilité suivante', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('206', 'a', 'mention des données mathématiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'a', 'numérotation : indication de date et de volume', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'z', 'source d''information sur la numérotation', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'a', 'mention spécifique de musique imprimée', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'd', 'mention spécifique parallèle de musique imprimée', '', 0, 1, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'a', 'lieu de publication', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'b', 'adresse de l''éditeur, du diffuseur', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'c', 'nom de l''éditeur', '', 1, 0, 'biblioitems.publishercode', 0, '', '', 'unimarc_field_210c.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'd', 'date de publication', '', 1, 0, 'biblioitems.publicationyear', 0, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'e', 'lieu de publication de fabrication', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'f', 'adresse du fabricant', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'g', 'nom du fabricant', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'h', 'date de fabrication', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('211', 'a', 'date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'a', 'Importance matérielle', '', 1, 0, 'biblioitems.pages', 0, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'c', 'autres carac.', '', 0, 0, '', 0, '', '', '', 0, 1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'd', 'format', '', 1, 0, 'biblioitems.size', 0, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'e', 'matériel d''accompagnement', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'a', 'titre de la collection', '', 0, 0, 'biblioitems.collectiontitle', 0, '', '', 'unimarc_field_225a.pl', 0, -1, '', '''225v'',''225e'',''225i'',''225h'',''410a'',''410h'',''410i''', '225a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'd', 'titre parallèle de la collection', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'e', 'compléments de titre de la collection', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'f', 'mention de responsabilité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'h', 'numéro sous-coll.', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'i', 'titre de la sous-collection', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'v', 'numéro du volume', '', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'x', 'ISSN de la collection', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('230', 'a', 'définition et volume des fichiers', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('300', 'a', 'note', '', 0, 0, 'biblio.notes', 1, '', '', '', 0, 0, '', '''330a'',''339a''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('301', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('302', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('303', 'a', 'note', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('304', 'a', 'note', 'note', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('305', 'a', 'note', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('306', 'a', 'note', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('307', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('308', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('310', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('311', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('312', 'a', 'note', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('313', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('314', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('315', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('316', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('317', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', '5', 'institution à laquelle s''applique cette note', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'a', 'opération', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'b', 'identification de l''opération', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'c', 'date de l''opération', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'd', 'intervalle entre les opérations', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'e', 'contingence de l''opération', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'f', 'autorisation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'h', 'juridiction', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'i', 'méthode de l''opération', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'j', 'lieu de l''opération', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'k', 'agent de l''opération', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'l', 'état', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'n', 'extention', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'o', 'type de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'p', 'note non publique', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'r', 'note publique', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('320', 'a', 'note', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'a', 'note sur les index, extraits et citations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'b', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'x', 'ISSN de la collection', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('322', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('323', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('324', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('325', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'a', 'périodicité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'b', 'dates', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('327', 'a', 'note', '', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'a', 'note', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'b', 'discipline', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'c', 'ville', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'd', 'Année', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'f', 'Etablissement soutenance', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'n', 'N° soutenance', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('330', 'a', 'Résumé', '', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('332', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('333', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('336', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('337', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('339', 'a', 'Résumé dans une autre langue', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'a', 'source de l''acquisition, adresse pour l''abonnement', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'b', 'numéro d''éditeur', '', 0, 1, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'c', 'support', '', 0, 1, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'd', 'disponibilité', '', 0, 1, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '5', 'institution à  laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'a', 'auteur', '', 1, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'h', 'numéro de section ou de partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'i', 'titre de section ou de partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '200a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '011a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '200a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '011a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'd', 'date de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'p', 'collation', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 't', 'titre', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'x', 'ISSN', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '200a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '011a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '200a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '011a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '200a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '011a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '3', 'numéro de la notice d&#39;autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '5', 'institution à laquelle s&#39;applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '@', 'numéro d&#39;identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'e', 'mention d&#39;édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '200a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '011a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '0', 'numéro d''identification de la notice', '', 0, 0, '', 1, '', '', '', 0, -1, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '9', 'koha internal code', '', 0, 0, '', 1, '', '', '', 0, 1, '', '', '001@', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'a', 'auteur', '', 0, 0, '', 1, '', '', 'unimarc_field_4XX.pl', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'c', 'lieu pub.', '', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 't', 'titre', '', 0, 0, '', 1, '', '', '', 0, 0, '', '', '200a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'x', 'ISSN', '', 0, 0, '', 1, '', '', '', 0, 0, '', '''011a''', '011a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'y', 'ISBN/ISMN', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '2', 'code système', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'a', 'titre uniforme', 'titre', 0, 0, '', -1, '', 'TU', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'b', 'indication générale du type de document', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'h', 'numéro de partie', 'numéro', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'k', 'date de publication', 'publié en', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'l', 'sous-vedette de forme', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'm', 'langue', 'langue', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'n', 'autres informations', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'q', 'version', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'r', 'mode d''interprétation', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 's', 'indication du numéro (pour la musique)', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'u', 'clé', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'v', 'indication du volume', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'x', 'subdivision de sujet', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'y', 'subdivision géographique', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'z', 'subdivision chronologique', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'a', 'rubrique de classement', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'a', 'titre de forme', 'titre', 0, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'b', 'subdivision', '', 0, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'd', 'mois et jour', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'e', 'nom de personne', '', 0, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'f', 'élément(s) de nom rejeté(s)', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'h', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'i', 'titre de partie', '', 0, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'j', 'année', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'k', 'numérotation (chiffres arabes)', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'l', 'numérotation (chiffres romains)', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'm', 'localisation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'n', 'établissement présidant la localisation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'a', 'titre de couv.', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'e', 'sous- titre', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'e', 'complément du titre', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'h', 'numéro de partie', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'i', 'titre de partie', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'a', 'variante de titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'e', 'sous-titre', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'a', 'titre précédent', 'titre précédent', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'e', 'complément du titre', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'i', 'titre de la partie', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'j', 'volume ou dates du titre précédent', 'volume ou dates du titre précédent', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'x', 'ISSN précédent', 'ISSN précédent', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'a', 'titre clé', 'titre clé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'j', 'numéro de volume ou dates associés au titre clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'v', 'numéro de volume', 'numéro de volume', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'a', 'titre abrégé', 'titre abrégé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'a', 'titre développé', 'titre développé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('540', 'a', 'titre ajouté par le catalogueur', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'a', 'titre traduit', 'titre traduit', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'z', 'langue du titre traduit', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('545', 'a', 'titre de section', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', 'su', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'a', 'nom', 'sujet', 0, 0, '', 2, '', 'SAUT', '', 0, 0, '', '''600b'',''600c'',''600d'',''600f'',''600x'',''600y'',''600z''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'b', 'prénom', '', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'c', 'qualificatifs', '', 1, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'd', 'numérotation', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'f', 'dates', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'y', 'subdiv. géo', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'z', 'subdiv. chrono', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', 0, -1, '', '''6019'',''6069''', 'su', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'SCO', '', 0, 0, '', '''601b'',''601c'',''601d'',''600e'',''600f'',''600x'',''600y'',''600y'',''600z''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'b', 'subdivision', 'sujet', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'c', 'élément ajouté au nom', '', 1, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'd', 'numéro du congrès', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'e', 'lieu congrès', '', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'f', 'date congrès', '', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', '', '', 0, 0, '', '''602f'',''602x'',''602y'',''602z''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'f', 'dates', '', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '1', 'données de liens', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'a', 'Nom auteur', '', 0, 0, '', 2, '', 'SAUTTIT', '', 0, 0, '', '''604b'',''604c'',''604d'',''604f'',''604t''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'b', 'Prénom auteur', '', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'c', 'Qualificatif', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'd', 'numérotation (chiffres romains)', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'f', 'Dates', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 't', 'titre', '', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', 'su', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'STU', '', 0, 0, '', '''605h'',''605i'',''605k'',''605l'',''605m'',''605n'',''605q'',''605x'',''605y'',''605z''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'h', 'N° partie', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'i', 'nom partie', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'k', 'date  pub.', '', 0, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'l', 'sous-vedettes de forme', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'm', 'langue', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'n', 'autres informations', '', 1, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'q', 'version', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'y', 'subdiv. géo', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '9', 'koha internal code', 'koha internal code', 1, 0, '', 2, '', '', '', 0, -1, '', '', 'su', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'a', 'élément d''entrée', 'sujet', 0, 0, 'bibliosubject.subject', 2, '', 'SNC', '', 0, 0, '', '''600a'',''601a'',''602a'',''604a'',''605a'',''606a'',''607a'',''610a'',''600b'',''601b'',''602b'',''604b'',''605b'',''606b'',''607b'',''610b'',''600x'',''601x'',''602x'',''604x'',''605x'',''606x'',''607x'',''610x'',''600y'',''601y'',''602y'',''604y'',''605y'',''606y'',''607y'',''610y'',''600z'',''601z'',''602z'',''604z'',''605z'',''606z'',''607z'',''610z'',''676a'',''686a''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', 0, -1, '', '', '6079', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'SNG', '', 0, 0, '', '''607x'',''607y'',''606z''', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'a', 'Genre littéraire', 'sujet', 0, 0, '', 1, 'genre', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'x', 'subdivision du sujet', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'y', 'subdivision géographique', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'z', 'subdivision chronologique', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'a', 'Indexation', 'sujet', 1, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'b', 'statut', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'a', 'catégorie sujet', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'm', 'subdivision de la catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'n', 'catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'x', 'subdivision de la catégorie sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', '3', 'numéro de la ville d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'a', 'pays', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'b', 'Etat, région, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'c', 'département, comté, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'd', 'ville', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'a', 'marque et modèle de machine', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'b', 'langage de programmation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'c', 'système d''exploitation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('660', 'a', 'code de zone géographique', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('661', 'a', 'code de date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'b', 'numéro indicateur de sujet', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'c', 'chaîne', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'e', 'numéro indicateur de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'z', 'langue des termes', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'a', 'indice CDU', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'v', 'édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'a', 'indice Dewey', '', 0, 0, 'biblioitems.dewey', 1, '', '', '', 0, 0, '', '', '676a', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'v', 'édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'a', 'indice LOC', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'b', 'numéro de livre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', '2', 'code du système', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'a', 'PCDM', '', 0, 1, '', -1, 'pcdm', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'b', 'numéro de livre', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'c', 'subdivision de l&#39;indice', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('689', 'a', 'Pcdm temporaire', '', 0, 0, '', 2, '', '', NULL, 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '3', 'N° autorité', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', 0, -1, '', '''7019'',''7029''', '7009', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'a', 'nom', 'auteur', 0, 0, '', 3, '', 'NP', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'f', 'dates', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '7019', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'a', 'nom', '', 0, 0, '', 3, '', 'NP', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'f', 'dates', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '7029', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'a', 'nom', '', 0, 0, '', 3, '', 'NP', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'f', 'dates', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '9', 'Champ interne Koha', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '7109', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'd', 'numéro congrès', '', 1, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '9', 'champ interne Koha', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'd', 'numéro du congrès', '', 1, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '9', 'champ interne Koha', '', 0, 0, '', 3, '', '', '', 0, -1, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'd', 'numéro du congrès', '', 1, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', '2', 'code du format utilisé', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'a', 'pays', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'b', 'agence de catalogage', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'c', 'date de la transaction', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'g', 'règles de catalogage utilisées', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('802', 'a', 'code du centre ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('830', 'a', 'texte de la note', 'note', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'a', 'nom du serveur', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'b', 'numéro d''accès', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'c', 'compression', 'compression', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'd', 'chemin d''accès', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'e', 'date et heure de la consultation', 'visité le', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'f', 'nom électronique', 'fichier', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'g', 'URN', 'URN', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'h', 'nom de l''utilisateur', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'i', 'instruction', 'commande', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'j', 'bits par seconde', 'bits par seconde', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'k', 'mot de passe', 'mot de passe', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'l', 'login', 'login', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'm', 'contact pour l''assistance technique', 'contact', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'n', 'adresse du serveur', 'adresse', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'o', 'système d''exploitation', 'système d''exploitation', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'p', 'port', 'port', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'q', 'type de format électronique', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'r', 'dispositions', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 's', 'taille du fichier', 'taille du fichier', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 't', 'émulation du terminal', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'u', 'URL', 'URL', 0, 0, 'biblioitems.url', -1, '', '', '', 1, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'v', 'heures d''accès', 'heures d''accès', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'w', 'numéro d''identification de la notice', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'x', 'note non publique', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'y', 'mode d''accès', 'mode d''accès', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'z', 'note publique', 'note', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'a', 'élément d''entrée', 'auteur', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'b', 'partie du nom autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'c', 'qualificatifs autres que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('901', '3', 'numéro de référence Electre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('902', 'a', 'code de niveau de lecture', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('903', 'a', 'code d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'c', 'élément ajouté au nom ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'd', 'numéro de Congrès et/ou de session', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'e', 'lieu du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'f', 'date du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'g', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'v', 'numéro de la sous-notice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', '5', 'indentifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'a', 'numéro d''inventaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'b', 'numéro de code à barres', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'c', 'code à barres : préfixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'd', 'code à barres : incrémentation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'e', 'code à barres : suffixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'a', 'données de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'm', 'date de prêt et de dépôt', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'n', 'date de restitution prévue', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', 'a', 'données de communication', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('918', 'a', 'numéro de notice bnf', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'a', 'numéro d''exemplaire dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'b', 'numéro de la notice bibliographique dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'c', 'code de statut de l''enregistrement relatif à l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'd', 'date de création de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'e', 'date de dernière modification de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'a', 'élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'b', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'c', 'numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'd', 'qualificatifs', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 't', 'titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '2', 'code du système de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'a', 'cote', 'cote', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'b', 'localisation de niveau 1', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'c', 'localisation de niveau 2', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'd', 'localisation de niveau 3', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'e', 'fonds spécifiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'f', 'dépositaire permanent', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'g', 'indice de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'h', 'partie du titre, du nom de l''auteur ou du segment auteur/titre pris comme élément de classement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'i', 'complément de la cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'l', 'localisation de niveau 4', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 't', 'numéro de regroupement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'v', 'volumaison ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'a', 'numéro', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'c', 'type de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'd', 'signle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('942', '0', 'total des prêts', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'a', 'titre', 'titre', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'd', 'mois et jour', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'f', 'élément du nom rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'h', 'numéro de section ou de partie', 'numéro', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'i', 'titre de section ou de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'j', 'année', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'k', 'date de publication', 'publié en', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'l', 'sous-vedette de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'm', 'langue', 'langue', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', '5', 'identifiant de l''exemplaire', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'a', 'Etat de la collection', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'b', 'état de collection des publications en série - 2e niveau de numérotation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'c', 'état de collection des publications en série - 3e niveau de numérotation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'd', 'état de collection des publications en série - 4e niveau de numérotation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'e', 'état de collection des publications en série - 5e niveau de numérotation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'f', 'état de collection des publications en série - 6e niveau de numérotation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'g', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'h', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'i', 'état de collection des publications en série - 1er niveau de chronologie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'j', 'état de collection des publications en série - 2e niveau de chronologie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'k', 'état de collection des publications en série - 3e niveau de chronologie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'l', 'état de collection des publications en série - 4e niveau de chronologie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'm', 'autre schéma de chronologie', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'r', 'état de collection écrit sous forme textuelle', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'w', 'mention des lacunes', 'lacunes', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'z', 'note sur l''état de collection', 'note', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', '5', 'suppléments - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'a', 'état de collection des publications en série - suppléments - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'b', 'état de collection des publications en série - suppléments - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'c', 'état de collection des publications en série - suppléments - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'd', 'état de collection des publications en série - suppléments - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'e', 'état de collection des publications en série - suppléments - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'f', 'état de collection des publications en série - suppléments - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'g', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'h', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'i', 'état de collection des publications en série - suppléments - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'j', 'état de collection des publications en série - suppléments - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'k', 'état de collection des publications en série - suppléments - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'l', 'état de collection des publications en série - suppléments - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'm', 'suppléments - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'r', 'suppléments - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'w', 'suppléments - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'z', 'suppléments - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', '5', 'tables et index - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'a', 'état de collection des publications en série - tables et index - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'b', 'état de collection des publications en série - tables et index - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'c', 'état de collection des publications en série - tables et index - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'd', 'état de collection des publications en série - tables et index - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'e', 'état de collection des publications en série - tables et index - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'f', 'état de collection des publications en série - tables et index - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'g', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'h', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'i', 'état de collection des publications en série - tables et index - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'j', 'état de collection des publications en série - tables et index - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'k', 'état de collection des publications en série - tables et index - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'l', 'état de collection des publications en série - tables et index - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'm', 'tables et index - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'o', 'nom de la table ou de l''index', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'r', 'tables et index - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'w', 'tables et index - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'z', 'tables et index - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'a', 'titre d''une partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'c', 'collation de la partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'v', 'numéro de volume', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'a', 'élément d''entrée', 'sujet', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'b', 'partie autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'c', 'qualificatifs autre que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'e', 'lieu', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'i', 'nom de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'l', 'sous-vedettes de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'x', 'subdivision du sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'a', 'pays de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'b', 'Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'n', 'cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'o', 'indication de fonds propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'a', 'vedette commerciale - élément d''entrée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'b', 'sous-vedette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'p', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'b', 'sous-vedette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'p', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('987', 'a', 'numéro de notice archivé', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'a', 'note de contenu propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'c', 'sigle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'd', 'sigle du fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'e', 'état de la connexion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'f', 'particularités d''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'g', 'provenance', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'l', 'localisation matérielle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'p', 'fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'r', 'type de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 's', 'description matérielle de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 't', 'date de réimpression', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'v', 'code à barre de gestion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'y', 'cote de l''ouvrage ayant servi à la reproduction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'z', 'dernier fascicule reçu', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'a', 'indexation locale - élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'c', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', 'a', 'classification locale - indice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, '', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '2', 'Perdu', '', 0, 0, 'items.itemlost', 10, 'LOST', '', '', NULL, 1, '', NULL, NULL, '');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '9', 'itemnumber (koha)', '', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'a', 'origine du document, texte libre', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'b', 'Propriétaire', '', 0, 1, 'items.homebranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'c', 'Dépositaire', '', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'd', 'Etablissement prêteur ou déposant, donnée codée', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'e', 'Localisation', '', 0, 1, 'items.location', 10, 'local', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'f', 'Code barre', '', 0, 0, 'items.barcode', 10, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'g', 'code à barres, préfixe', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'h', 'code à barres, incrémentation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'i', 'code à barres, suffixe', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'j', 'x', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'k', 'Cote', 'Cote', 0, 1, 'items.itemcallnumber', 10, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'l', 'volumaison', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'm', 'Date prêt', '', 0, 0, 'items.datelastseen', 10, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'n', 'date de restitution prévue', 'à rendre pour le', 0, 0, 'items.onloan', 10, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'o', 'Statut', '', 0, 1, 'items.notforloan', 10, 'statut', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'q', 'Public', '', 0, 0, '', 10, 'public', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'r', 'type de document et support matériel', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 's', 'élément de tri', '', 0, 1, 'items.itemlost', -1, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'u', 'Note', '', 0, 0, 'items.itemnotes', 10, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'v', 'Note sur le N° de périodique', '', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, '', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('000', '@', 'leader', '', 0, 0, '', -1, '', '', 'unimarc_leader.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('001', '@', 'Numéro d&#39;identification notice', '', 0, 0, 'biblio.biblionumber', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('009', '@', 'Ancien 001', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'a', 'ISBN', 'ISBN', 0, 0, 'biblioitems.isbn', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'd', 'disponibilité et/ou prix', '', 0, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'z', 'ISBN erroné', '', 1, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'a', 'ISSN', 'ISSN', 0, 0, 'biblioitems.issn', 0, '', '', '', NULL, 0, 'ARTI', '''464x''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'd', 'disponibilité et/ou prix', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'y', 'ISSN annulé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'z', 'ISSN erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '2', 'code du système utilisé pour l''empreinte', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '5', 'institution à laquelle s''applique cette zone', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', 'a', 'empreinte', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'a', 'numéro ISMN', 'ISMN', 0, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'd', 'disponibilté et/ou prix', '', 0, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'z', 'ISMN erroné', '', 0, 1, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', '2', 'système de codification', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'a', 'numéro d''article', '', 0, 0, '', 0, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'z', 'numéro d''article erroné', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'a', 'code de pays', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'b', 'numéro', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'z', 'numéro erroné', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'a', 'coden', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'z', 'coden erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'a', 'numéro d''éditeur', '', 0, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'b', 'source', '', 0, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'a', 'Numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'b', 'Qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'c', 'Numéros additionnels', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'd', 'Prix et disponibilité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'z', 'Numéro erroné', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', '9', 'Numéro biblio (koha)', 'Numéro biblio (koha)', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', 'a', 'Numéro biblioitem (koha)', '', 0, 0, 'biblioitems.biblioitemnumber', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('100', 'a', 'a', '', 0, 0, '', 0, '', '', 'unimarc_field_100.pl', NULL, 0, 'ARTI', '', NULL, 'YYYYMMDDd        u||y0frey5050    ba');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'a', 'langue doc.', '', 1, 1, '', 1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'b', 'traduction intermédiaire', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'c', 'oeuvre originale', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'd', 'résumé', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'e', 'table des matières', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'f', 'page de titre si elle diffère de celle du texte', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'g', 'titre propre si elle diffère de la langue du texte ou de la bande son', '', 0, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'h', 'langue d''un livret', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'i', 'textes d''accompagnement', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'j', 'langue des sous-titres', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'a', 'pays d''édition', '', 1, 0, '', -1, 'COUNTRY', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'b', 'lieu  d''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('105', 'a', 'données codées - monographies', '', 0, 0, '', -1, '', '', 'unimarc_field_105.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('106', 'a', 'données codées -  textes - caractéristiques physiques', '', 0, 0, '', -1, '', '', 'unimarc_field_106.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('110', 'a', 'données codées pour les périodiques', '', 0, 0, '', -1, '', '', 'unimarc_field_110.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'a', 'données codées vidéo', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'b', 'données codées pour les films - archivage.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('116', 'a', 'données codées de documents graphiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('117', 'a', 'données codées de documents pour les objets en trois dimensions et artefacts', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('120', 'a', 'données codées sur les documents cartographiques-généralités', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'a', 'documents cartographiques-caractéristiques physiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'b', 'données codées : photographie aérienne et télédetection - caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('122', 'a', 'Période  : de 9999 avant J.C. à nos jours', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', '0', 'époque', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'a', 'type d''échelle', '', 1, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'b', 'échelle horizontale à taux linéaire constant', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'c', 'échelle horizontale à taux linéaire constant (échelle altimétrique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'd', 'coordonnées - longitude ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'e', 'coordonnées - longitude est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'f', 'coordonnées - longitude nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'g', 'coordonnées - longitude sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'h', 'échelle angulaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'i', 'déclinaison - limite nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'j', 'déclinaison - limite sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'k', 'ascension droite - limite est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'm', 'ascension droite - limite ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'n', 'equinoxe', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'a', 'origine de l''image', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'b', 'forme du document cartographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'c', 'présentation technique dans le cas d''images photographiques ou non photographiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'd', 'position de la base pourles images photographiques ou de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'e', 'catégorie de satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'f', 'nom du satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'g', 'technique d''enregistrement pour les images de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'a', 'nature de la musique imprimée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'b', 'type de texte écrit (enregistrements parlés)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'a', 'données codées pour les enregistrements sonores (généralités)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'b', 'données codées pour les enregistrements sonores (particularités)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('127', 'a', 'durée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'a', 'forme de la composition (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'b', 'instruments ou voix dans un ensemble (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'c', 'instruments ou voix pour soliste (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('130', 'a', 'données codées de documents : Microformes-caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'a', 'ellipsoïde', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'b', 'données horizontales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'c', 'quadrillage et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'd', 'recouvrement et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'e', 'quadrillage et système de référence secondaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'f', 'données verticales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'g', 'unité de mesure pour l''altitude', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'h', 'intervalle des courbes de niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'i', 'intervalle des courbes de niveau supplémentaires', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'j', 'unité de mesure de bathymétrie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'k', 'intervalle bathymétrique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'l', 'intervalle bathymétrique supplémentaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('135', 'a', 'données codées : ressources électroniques', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('140', 'a', 'données codées : les livres anciens', '', 1, 0, '', -1, '', '', 'unimarc_field_140.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', '5', 'institution à laquelle cette zone s''applique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', 'a', 'données codées pour le livre ancien - caractères de l''exemplaire', '', 0, 0, '', -1, '', '', 'unimarc_field_141.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', '5', 'nom de l''institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'a', 'titre propre', '', 1, 1, 'biblio.title', 0, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'b', 'type doc', '', 0, 1, 'biblioitems.itemtype', 0, 'itemtypes', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'c', 'titre propre d''un auteur différent', '', 1, 0, '', 0, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'd', 'titre //', '', 1, 0, '', 0, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'e', 'sous-titre', '', 1, 0, 'biblioitems.volume', 0, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'f', 'auteur', 'auteur', 1, 1, 'biblio.author', 0, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'g', 'autre auteur', 'auteur secondaire', 1, 0, '', 0, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'h', 'N° de partie', '', 1, 0, 'biblioitems.volumeddesc', 0, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'i', 'titre partie', '', 1, 0, 'biblio.unititle', 0, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'a', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'b', 'mention de parution', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'd', 'mention parallèle d''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'f', 'mention de responsabilité relative à l''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'g', 'mention de responsabilité suivante', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('206', 'a', 'mention des données mathématiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'a', 'numérotation : indication de date et de volume', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'z', 'source d''information sur la numérotation', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'a', 'mention spécifique de musique imprimée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'd', 'mention spécifique parallèle de musique imprimée', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'a', 'lieu de publication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'b', 'adresse de l''éditeur, du diffuseur', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'c', 'nom de l''éditeur', '', 1, 0, 'biblioitems.publishercode', 0, '', '', 'unimarc_field_210c.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'd', 'date de publication', '', 1, 0, 'biblioitems.publicationyear', 0, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'e', 'lieu de publication de fabrication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'f', 'adresse du fabricant', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'g', 'nom du fabricant', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'h', 'date de fabrication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('211', 'a', 'date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'a', 'Importance matérielle', '', 1, 0, 'biblioitems.pages', 0, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'c', 'autres carac.', '', 0, 0, '', 0, '', '', '', 0, 1, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'd', 'format', '', 1, 0, 'biblioitems.size', 0, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'e', 'matériel d''accompagnement', '', 1, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'a', 'titre de la collection', '', 0, 0, 'biblioitems.collectiontitle', 0, '', '', 'unimarc_field_225a.pl', NULL, -1, 'ARTI', '''225v'',''225e'',''225i'',''225h'',''410a'',''410h'',''410i''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'd', 'titre parallèle de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'e', 'compléments de titre de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'f', 'mention de responsabilité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'h', 'numéro sous-coll.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'i', 'titre de la sous-collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'v', 'numéro du volume', '', 0, 0, '', 0, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'x', 'ISSN de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('230', 'a', 'définition et volume des fichiers', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('300', 'a', 'note', '', 0, 0, 'biblio.notes', 1, '', '', '', NULL, 0, 'ARTI', '''330a'',''339a''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('301', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('302', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('303', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('304', 'a', 'note', 'note', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('305', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('306', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('307', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('308', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('310', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('311', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('312', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('313', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('314', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('315', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('316', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('317', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', '5', 'institution à laquelle s''applique cette note', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'a', 'opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'b', 'identification de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'c', 'date de l''opération', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'd', 'intervalle entre les opérations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'e', 'contingence de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'f', 'autorisation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'h', 'juridiction', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'i', 'méthode de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'j', 'lieu de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'k', 'agent de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'l', 'état', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'n', 'extention', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'o', 'type de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'p', 'note non publique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'r', 'note publique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('320', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'a', 'note sur les index, extraits et citations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'b', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'x', 'ISSN de la collection', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('322', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('323', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('324', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('325', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'a', 'périodicité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'b', 'dates', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('327', 'a', 'note', '', 0, 0, '', 1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'b', 'discipline', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'c', 'ville', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'd', 'Année', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'f', 'Etablissement soutenance', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'n', 'N° soutenance', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('330', 'a', 'Résumé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('332', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('333', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('336', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('337', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('339', 'a', 'Résumé dans une autre langue', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'a', 'source de l''acquisition, adresse pour l''abonnement', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'b', 'numéro d''éditeur', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'c', 'support', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'd', 'disponibilité', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '5', 'institution à  laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'a', 'auteur', '', 1, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'h', 'numéro de section ou de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'i', 'titre de section ou de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'd', 'date de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'p', 'collation', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 't', 'titre', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'x', 'ISSN', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '3', 'numéro de la notice d&#39;autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '5', 'institution à laquelle s&#39;applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '@', 'numéro d&#39;identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'e', 'mention d&#39;édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '0', 'numéro d''identification de la notice', '', 0, 0, '', 1, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 1, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '9', 'koha internal code', '', 0, 0, '', 1, '', '', '', NULL, 1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'a', 'auteur', '', 0, 0, '', 1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'c', 'lieu pub.', '', 0, 0, '', 1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 't', 'titre', '', 0, 0, '', 1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'x', 'ISSN', '', 0, 0, '', 1, '', '', '', NULL, 0, 'ARTI', '''011a''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'y', 'ISBN/ISMN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '2', 'code système', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'a', 'titre uniforme', 'titre', 0, 0, '', -1, '', 'TU', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'b', 'indication générale du type de document', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'h', 'numéro de partie', 'numéro', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'k', 'date de publication', 'publié en', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'l', 'sous-vedette de forme', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'm', 'langue', 'langue', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'n', 'autres informations', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'q', 'version', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'r', 'mode d''interprétation', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 's', 'indication du numéro (pour la musique)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'u', 'clé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'v', 'indication du volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'x', 'subdivision de sujet', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'y', 'subdivision géographique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'z', 'subdivision chronologique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'a', 'rubrique de classement', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'a', 'titre de forme', 'titre', 0, 0, '', 1, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'b', 'subdivision', '', 0, 0, '', 1, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'd', 'mois et jour', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'e', 'nom de personne', '', 0, 0, '', 1, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'f', 'élément(s) de nom rejeté(s)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'h', 'qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'i', 'titre de partie', '', 0, 0, '', 1, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'j', 'année', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'k', 'numérotation (chiffres arabes)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'l', 'numérotation (chiffres romains)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'm', 'localisation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'n', 'établissement présidant la localisation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'a', 'titre de couv.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'e', 'sous- titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'e', 'complément du titre', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'h', 'numéro de partie', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'i', 'titre de partie', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'a', 'variante de titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'e', 'sous-titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'a', 'titre précédent', 'titre précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'e', 'complément du titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'i', 'titre de la partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'j', 'volume ou dates du titre précédent', 'volume ou dates du titre précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'x', 'ISSN précédent', 'ISSN précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'a', 'titre clé', 'titre clé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'j', 'numéro de volume ou dates associés au titre clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'v', 'numéro de volume', 'numéro de volume', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'a', 'titre abrégé', 'titre abrégé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'a', 'titre développé', 'titre développé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('540', 'a', 'titre ajouté par le catalogueur', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'a', 'titre traduit', 'titre traduit', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'z', 'langue du titre traduit', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('545', 'a', 'titre de section', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'a', 'nom', 'sujet', 0, 0, '', 2, '', 'SAUT', '', NULL, 0, 'ARTI', '''600b'',''600c'',''600d'',''600f'',''600x'',''600y'',''600z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'b', 'prénom', '', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'c', 'qualificatifs', '', 1, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'd', 'numérotation', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'f', 'dates', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'y', 'subdiv. géo', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'z', 'subdiv. chrono', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '''6019'',''6069''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'SCO', '', NULL, 0, 'ARTI', '''601b'',''601c'',''601d'',''600e'',''600f'',''600x'',''600y'',''600y'',''600z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'b', 'subdivision', 'sujet', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'c', 'élément ajouté au nom', '', 1, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'd', 'numéro du congrès', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'e', 'lieu congrès', '', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'f', 'date congrès', '', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '''602f'',''602x'',''602y'',''602z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'f', 'dates', '', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '1', 'données de liens', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'a', 'Nom auteur', '', 0, 0, '', 2, '', 'SAUTTIT', '', NULL, 0, 'ARTI', '''604b'',''604c'',''604d'',''604f'',''604t''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'b', 'Prénom auteur', '', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'c', 'Qualificatif', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'd', 'numérotation (chiffres romains)', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'f', 'Dates', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 't', 'titre', '', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'STU', '', NULL, 0, 'ARTI', '''605h'',''605i'',''605k'',''605l'',''605m'',''605n'',''605q'',''605x'',''605y'',''605z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'h', 'N° partie', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'i', 'nom partie', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'k', 'date  pub.', '', 0, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'l', 'sous-vedettes de forme', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'm', 'langue', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'n', 'autres informations', '', 1, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'q', 'version', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'y', 'subdiv. géo', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '9', 'koha internal code', 'koha internal code', 1, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'a', 'élément d''entrée', 'sujet', 0, 0, 'bibliosubject.subject', 2, '', 'SNC', '', NULL, 0, 'ARTI', '''600a'',''601a'',''602a'',''604a'',''610a'',''676a'',''686a'',''606x'',''606y'',''606z'',''600a'',''600b'',''600c'',''600d'',''600f'',''601a'',''601b'',''601c'',''601d'',''601e'',''601f'',''601x'',''601y'',''601z'',''602a'',''602f'',''602x'',''602y'',''602z'',''604a'',''604b'',''604c'',''604d'',''604f'',''604t'',''605a'',''605h'',''605i'',''605k'',''605m'',''605x'',''605y'',''605z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'SNG', '', NULL, 0, 'ARTI', '''607x'',''607y'',''606z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'a', 'Genre littéraire', 'sujet', 0, 0, '', 1, 'genre', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'x', 'subdivision du sujet', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'y', 'subdivision géographique', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'z', 'subdivision chronologique', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'a', 'Indexation', 'sujet', 1, 0, '', 1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'b', 'statut', '', 1, 0, '', -1, '', '', '', 0, 0, 'ARTI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'a', 'catégorie sujet', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'm', 'subdivision de la catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'n', 'catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'x', 'subdivision de la catégorie sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', '3', 'numéro de la ville d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'a', 'pays', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'b', 'Etat, région, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'c', 'département, comté, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'd', 'ville', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'a', 'marque et modèle de machine', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'b', 'langage de programmation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'c', 'système d''exploitation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('660', 'a', 'code de zone géographique', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('661', 'a', 'code de date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'b', 'numéro indicateur de sujet', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'c', 'chaîne', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'e', 'numéro indicateur de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'z', 'langue des termes', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'a', 'indice CDU', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'v', 'édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'a', 'indice Dewey', '', 0, 0, 'biblioitems.dewey', 1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'v', 'édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'a', 'indice LOC', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'b', 'numéro de livre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', '2', 'code du système', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'a', 'PCDM', '', 0, 1, '', -1, 'pcdm', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'b', 'numéro de livre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'c', 'subdivision de l&#39;indice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '3', 'N° autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '''7019'',''7029''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'a', 'nom', 'auteur', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'a', 'nom', '', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'a', 'nom', '', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '9', 'Champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'd', 'numéro congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '9', 'champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'd', 'numéro du congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '9', 'champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'd', 'numéro du congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', '2', 'code du format utilisé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'a', 'pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'b', 'agence de catalogage', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'c', 'date de la transaction', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'g', 'règles de catalogage utilisées', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('802', 'a', 'code du centre ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('830', 'a', 'texte de la note', 'note', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'a', 'nom du serveur', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'b', 'numéro d''accès', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'c', 'compression', 'compression', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'd', 'chemin d''accès', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'e', 'date et heure de la consultation', 'visité le', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'f', 'nom électronique', 'fichier', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'g', 'URN', 'URN', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'h', 'nom de l''utilisateur', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'i', 'instruction', 'commande', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'j', 'bits par seconde', 'bits par seconde', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'k', 'mot de passe', 'mot de passe', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'l', 'login', 'login', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'm', 'contact pour l''assistance technique', 'contact', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'n', 'adresse du serveur', 'adresse', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'o', 'système d''exploitation', 'système d''exploitation', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'p', 'port', 'port', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'q', 'type de format électronique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'r', 'dispositions', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 's', 'taille du fichier', 'taille du fichier', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 't', 'émulation du terminal', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'u', 'URL', 'URL', 0, 0, 'biblioitems.url', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'v', 'heures d''accès', 'heures d''accès', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'w', 'numéro d''identification de la notice', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'x', 'note non publique', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'y', 'mode d''accès', 'mode d''accès', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'z', 'note publique', 'note', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'a', 'élément d''entrée', 'auteur', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'b', 'partie du nom autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'c', 'qualificatifs autres que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('901', '3', 'numéro de référence Electre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('902', 'a', 'code de niveau de lecture', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('903', 'a', 'code d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'c', 'élément ajouté au nom ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'd', 'numéro de Congrès et/ou de session', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'e', 'lieu du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'f', 'date du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'g', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'v', 'numéro de la sous-notice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', '5', 'indentifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'a', 'numéro d''inventaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'b', 'numéro de code à barres', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'c', 'code à barres : préfixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'd', 'code à barres : incrémentation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'e', 'code à barres : suffixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'a', 'données de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'm', 'date de prêt et de dépôt', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'n', 'date de restitution prévue', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', 'a', 'données de communication', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('918', 'a', 'numéro de notice bnf', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'a', 'numéro d''exemplaire dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'b', 'numéro de la notice bibliographique dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'c', 'code de statut de l''enregistrement relatif à l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'd', 'date de création de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'e', 'date de dernière modification de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'a', 'élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'b', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'c', 'numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'd', 'qualificatifs', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 't', 'titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '2', 'code du système de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'a', 'cote', 'cote', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'b', 'localisation de niveau 1', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'c', 'localisation de niveau 2', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'd', 'localisation de niveau 3', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'e', 'fonds spécifiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'f', 'dépositaire permanent', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'g', 'indice de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'h', 'partie du titre, du nom de l''auteur ou du segment auteur/titre pris comme élément de classement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'i', 'complément de la cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'l', 'localisation de niveau 4', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 't', 'numéro de regroupement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'v', 'volumaison ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'a', 'numéro', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'c', 'type de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'd', 'signle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('942', '0', 'total des prêts', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'a', 'titre', 'titre', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'd', 'mois et jour', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'f', 'élément du nom rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'h', 'numéro de section ou de partie', 'numéro', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'i', 'titre de section ou de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'j', 'année', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'k', 'date de publication', 'publié en', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'l', 'sous-vedette de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'm', 'langue', 'langue', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', '5', 'identifiant de l''exemplaire', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'a', 'Etat de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'b', 'état de collection des publications en série - 2e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'c', 'état de collection des publications en série - 3e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'd', 'état de collection des publications en série - 4e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'e', 'état de collection des publications en série - 5e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'f', 'état de collection des publications en série - 6e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'g', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'h', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'i', 'état de collection des publications en série - 1er niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'j', 'état de collection des publications en série - 2e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'k', 'état de collection des publications en série - 3e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'l', 'état de collection des publications en série - 4e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'm', 'autre schéma de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'r', 'état de collection écrit sous forme textuelle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'w', 'mention des lacunes', 'lacunes', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'z', 'note sur l''état de collection', 'note', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', '5', 'suppléments - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'a', 'état de collection des publications en série - suppléments - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'b', 'état de collection des publications en série - suppléments - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'c', 'état de collection des publications en série - suppléments - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'd', 'état de collection des publications en série - suppléments - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'e', 'état de collection des publications en série - suppléments - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'f', 'état de collection des publications en série - suppléments - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'g', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'h', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'i', 'état de collection des publications en série - suppléments - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'j', 'état de collection des publications en série - suppléments - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'k', 'état de collection des publications en série - suppléments - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'l', 'état de collection des publications en série - suppléments - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'm', 'suppléments - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'r', 'suppléments - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'w', 'suppléments - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'z', 'suppléments - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', '5', 'tables et index - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'a', 'état de collection des publications en série - tables et index - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'b', 'état de collection des publications en série - tables et index - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'c', 'état de collection des publications en série - tables et index - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'd', 'état de collection des publications en série - tables et index - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'e', 'état de collection des publications en série - tables et index - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'f', 'état de collection des publications en série - tables et index - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'g', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'h', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'i', 'état de collection des publications en série - tables et index - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'j', 'état de collection des publications en série - tables et index - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'k', 'état de collection des publications en série - tables et index - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'l', 'état de collection des publications en série - tables et index - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'm', 'tables et index - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'o', 'nom de la table ou de l''index', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'r', 'tables et index - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'w', 'tables et index - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'z', 'tables et index - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'a', 'titre d''une partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'c', 'collation de la partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'v', 'numéro de volume', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'a', 'élément d''entrée', 'sujet', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'b', 'partie autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'c', 'qualificatifs autre que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'e', 'lieu', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'i', 'nom de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'l', 'sous-vedettes de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'x', 'subdivision du sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'a', 'pays de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'b', 'Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'n', 'cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'o', 'indication de fonds propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'a', 'vedette commerciale - élément d''entrée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'b', 'sous-vedette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'p', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'b', 'sous-vedette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'p', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('987', 'a', 'numéro de notice archivé', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'a', 'note de contenu propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'c', 'sigle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'd', 'sigle du fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'e', 'état de la connexion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'f', 'particularités d''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'g', 'provenance', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'l', 'localisation matérielle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'p', 'fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'r', 'type de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 's', 'description matérielle de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 't', 'date de réimpression', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'v', 'code à barre de gestion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'y', 'cote de l''ouvrage ayant servi à la reproduction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'z', 'dernier fascicule reçu', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'a', 'indexation locale - élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'c', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', 'a', 'classification locale - indice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'ARTI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '2', 'Perdu', '', 0, 0, 'items.itemlost', 10, 'LOST', '', '', NULL, 1, 'ARTI', '', NULL, 0);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '9', 'itemnumber (koha)', '', 0, 0, 'items.itemnumber', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'a', 'origine du document, texte libre', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'b', 'Propriétaire', '', 0, 1, 'items.homebranch', 10, 'branches', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'c', 'Dépositaire', '', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'd', 'Etablissement prêteur ou déposant, donnée codée', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'e', 'Localisation', '', 0, 1, 'items.location', 10, 'local', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'f', 'Code barre', '', 0, 0, 'items.barcode', 10, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'g', 'code à barres, préfixe', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'h', 'code à barres, incrémentation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'i', 'code à barres, suffixe', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'j', 'x', '', 0, 0, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'k', 'Cote', 'Cote', 0, 1, 'items.itemcallnumber', 10, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'l', 'volumaison', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'm', 'Date prêt', '', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'n', 'date de restitution prévue', 'à rendre pour le', 0, 0, 'items.onloan', 10, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'o', 'Statut', '', 0, 1, 'items.notforloan', 10, 'statut', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'q', 'Public', '', 0, 0, '', -1, 'public', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'r', 'type de document et support matériel', '', 0, 1, '', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 's', 'élément de tri', '', 0, 1, 'items.itemlost', -1, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'u', 'Note', '', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'ARTI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'v', 'Note sur le N° de périodique', '', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'ARTI', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('000', '@', 'leader', '', 0, 0, '', -1, '', '', 'unimarc_leader.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('001', '@', 'Numéro d&#39;identification notice', '', 0, 0, 'biblio.biblionumber', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('009', '@', 'Ancien 001', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'a', 'ISBN', 'ISBN', 0, 0, 'biblioitems.isbn', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'd', 'disponibilité et/ou prix', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'z', 'ISBN erroné', '', 1, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'a', 'ISSN', 'ISSN', 0, 0, 'biblioitems.issn', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'd', 'disponibilité et/ou prix', '', 1, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'y', 'ISSN annulé', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'z', 'ISSN erroné', '', 1, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '2', 'code du système utilisé pour l''empreinte', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '5', 'institution à laquelle s''applique cette zone', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', 'a', 'empreinte', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'a', 'numéro ISMN', 'ISMN', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'd', 'disponibilté et/ou prix', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'z', 'ISMN erroné', '', 0, 1, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', '2', 'système de codification', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'a', 'numéro d''article', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'z', 'numéro d''article erroné', '', 0, 1, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'a', 'code de pays', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'b', 'numéro', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'z', 'numéro erroné', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'a', 'coden', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'z', 'coden erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'a', 'numéro d''éditeur', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'b', 'source', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'a', 'Numéro', '', 1, 0, '', 0, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'b', 'Qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'c', 'Numéros additionnels', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'd', 'Prix et disponibilité', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'z', 'Numéro erroné', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', '9', 'Numéro biblio (koha)', 'Numéro biblio (koha)', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', 'a', 'Numéro biblioitem (koha)', '', 0, 0, 'biblioitems.biblioitemnumber', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('100', 'a', 'a', '', 0, 0, '', 0, '', '', 'unimarc_field_100.pl', NULL, 0, 'MULT', '', NULL, 'YYYYMMDDd        u||y0frey5050    ba');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'a', 'langue doc.', '', 1, 1, '', 1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'b', 'traduction intermédiaire', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'c', 'oeuvre originale', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'd', 'résumé', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'e', 'table des matières', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'f', 'page de titre si elle diffère de celle du texte', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'g', 'titre propre si elle diffère de la langue du texte ou de la bande son', '', 0, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'h', 'langue d''un livret', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'i', 'textes d''accompagnement', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'j', 'langue des sous-titres', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'a', 'pays d''édition', '', 1, 0, '', -1, 'COUNTRY', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'b', 'lieu  d''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('105', 'a', 'données codées - monographies', '', 0, 0, '', -1, '', '', 'unimarc_field_105.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('106', 'a', 'données codées -  textes - caractéristiques physiques', '', 0, 0, '', -1, '', '', 'unimarc_field_106.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('110', 'a', 'données codées pour les périodiques', '', 0, 0, '', -1, '', '', 'unimarc_field_110.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'a', 'données codées vidéo', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'b', 'données codées pour les films - archivage.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('116', 'a', 'données codées de documents graphiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('117', 'a', 'données codées de documents pour les objets en trois dimensions et artefacts', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('120', 'a', 'données codées sur les documents cartographiques-généralités', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'a', 'documents cartographiques-caractéristiques physiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'b', 'données codées : photographie aérienne et télédetection - caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('122', 'a', 'Période  : de 9999 avant J.C. à nos jours', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', '0', 'époque', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'a', 'type d''échelle', '', 1, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'b', 'échelle horizontale à taux linéaire constant', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'c', 'échelle horizontale à taux linéaire constant (échelle altimétrique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'd', 'coordonnées - longitude ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'e', 'coordonnées - longitude est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'f', 'coordonnées - longitude nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'g', 'coordonnées - longitude sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'h', 'échelle angulaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'i', 'déclinaison - limite nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'j', 'déclinaison - limite sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'k', 'ascension droite - limite est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'm', 'ascension droite - limite ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'n', 'equinoxe', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'a', 'origine de l''image', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'b', 'forme du document cartographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'c', 'présentation technique dans le cas d''images photographiques ou non photographiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'd', 'position de la base pourles images photographiques ou de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'e', 'catégorie de satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'f', 'nom du satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'g', 'technique d''enregistrement pour les images de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'a', 'nature de la musique imprimée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'b', 'type de texte écrit (enregistrements parlés)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'a', 'données codées pour les enregistrements sonores (généralités)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'b', 'données codées pour les enregistrements sonores (particularités)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('127', 'a', 'durée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'a', 'forme de la composition (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'b', 'instruments ou voix dans un ensemble (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'c', 'instruments ou voix pour soliste (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('130', 'a', 'données codées de documents : Microformes-caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'a', 'ellipsoïde', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'b', 'données horizontales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'c', 'quadrillage et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'd', 'recouvrement et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'e', 'quadrillage et système de référence secondaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'f', 'données verticales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'g', 'unité de mesure pour l''altitude', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'h', 'intervalle des courbes de niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'i', 'intervalle des courbes de niveau supplémentaires', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'j', 'unité de mesure de bathymétrie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'k', 'intervalle bathymétrique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'l', 'intervalle bathymétrique supplémentaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('135', 'a', 'données codées : ressources électroniques', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('140', 'a', 'données codées : les livres anciens', '', 1, 0, '', -1, '', '', 'unimarc_field_140.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', '5', 'institution à laquelle cette zone s''applique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', 'a', 'données codées pour le livre ancien - caractères de l''exemplaire', '', 0, 0, '', -1, '', '', 'unimarc_field_141.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', '5', 'nom de l''institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'a', 'titre propre', '', 1, 1, 'biblio.title', 0, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'b', 'type doc', '', 0, 1, 'biblioitems.itemtype', 0, 'itemtypes', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'c', 'titre propre d''un auteur différent', '', 1, 0, '', 0, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'd', 'titre //', '', 1, 0, '', 0, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'e', 'sous-titre', '', 1, 0, 'biblioitems.volume', 0, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'f', 'auteur', 'auteur', 1, 0, 'biblio.author', 0, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'g', 'autre auteur', 'auteur secondaire', 1, 0, '', 0, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'h', 'N° de partie', '', 1, 0, 'biblioitems.volumeddesc', 0, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'i', 'titre partie', '', 1, 0, 'biblio.unititle', 0, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'a', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'b', 'mention de parution', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'd', 'mention parallèle d''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'f', 'mention de responsabilité relative à l''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'g', 'mention de responsabilité suivante', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('206', 'a', 'mention des données mathématiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'a', 'numérotation : indication de date et de volume', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'z', 'source d''information sur la numérotation', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'a', 'mention spécifique de musique imprimée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'd', 'mention spécifique parallèle de musique imprimée', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'a', 'lieu de publication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'b', 'adresse de l''éditeur, du diffuseur', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'c', 'nom de l''éditeur', '', 1, 0, 'biblioitems.publishercode', 0, '', '', 'unimarc_field_210c.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'd', 'date de publication', '', 1, 0, 'biblioitems.publicationyear', 0, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'e', 'lieu de publication de fabrication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'f', 'adresse du fabricant', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'g', 'nom du fabricant', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'h', 'date de fabrication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('211', 'a', 'date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'a', 'Importance matérielle', '', 1, 0, 'biblioitems.pages', 0, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'c', 'autres carac.', '', 0, 0, '', 0, '', '', '', 0, 1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'd', 'format', '', 1, 0, 'biblioitems.size', 0, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'e', 'matériel d''accompagnement', '', 1, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'a', 'titre de la collection', '', 0, 0, 'biblioitems.collectiontitle', 0, '', '', 'unimarc_field_225a.pl', NULL, -1, 'MULT', '''225v'',''225e'',''225i'',''225h'',''410a'',''410h'',''410i''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'd', 'titre parallèle de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'e', 'compléments de titre de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'f', 'mention de responsabilité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'h', 'numéro sous-coll.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'i', 'titre de la sous-collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'v', 'numéro du volume', '', 0, 0, '', 0, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'x', 'ISSN de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('230', 'a', 'définition et volume des fichiers', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('300', 'a', 'note', '', 0, 0, 'biblio.notes', 1, '', '', '', NULL, 0, 'MULT', '''330a'',''339a''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('301', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('302', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('303', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('304', 'a', 'note', 'note', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('305', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('306', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('307', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('308', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('310', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('311', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('312', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('313', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('314', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('315', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('316', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('317', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', '5', 'institution à laquelle s''applique cette note', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'a', 'opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'b', 'identification de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'c', 'date de l''opération', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'd', 'intervalle entre les opérations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'e', 'contingence de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'f', 'autorisation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'h', 'juridiction', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'i', 'méthode de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'j', 'lieu de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'k', 'agent de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'l', 'état', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'n', 'extention', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'o', 'type de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'p', 'note non publique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'r', 'note publique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('320', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'a', 'note sur les index, extraits et citations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'b', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'x', 'ISSN de la collection', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('322', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('323', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('324', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('325', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'a', 'périodicité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'b', 'dates', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('327', 'a', 'note', '', 1, 0, '', 1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'b', 'discipline', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'c', 'ville', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'd', 'Année', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'f', 'Etablissement soutenance', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'n', 'N° soutenance', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('330', 'a', 'Résumé', '', 0, 0, '', 2, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('332', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('333', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('336', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('337', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('339', 'a', 'Résumé dans une autre langue', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'a', 'source de l''acquisition, adresse pour l''abonnement', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'b', 'numéro d''éditeur', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'c', 'support', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'd', 'disponibilité', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '5', 'institution à  laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'a', 'auteur', '', 1, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'h', 'numéro de section ou de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'i', 'titre de section ou de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'd', 'date de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'p', 'collation', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 't', 'titre', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'x', 'ISSN', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '3', 'numéro de la notice d&#39;autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '5', 'institution à laquelle s&#39;applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '@', 'numéro d&#39;identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'e', 'mention d&#39;édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '0', 'numéro d''identification de la notice', '', 0, 0, '', 1, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 1, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '9', 'koha internal code', '', 0, 0, '', 1, '', '', '', NULL, 1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'a', 'auteur', '', 0, 0, '', 1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'c', 'lieu pub.', '', 0, 0, '', 1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 't', 'titre', '', 0, 0, '', 1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'x', 'ISSN', '', 0, 0, '', 1, '', '', '', NULL, 0, 'MULT', '''011a''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'y', 'ISBN/ISMN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '2', 'code système', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'a', 'titre uniforme', 'titre', 0, 0, '', -1, '', 'TU', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'b', 'indication générale du type de document', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'h', 'numéro de partie', 'numéro', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'k', 'date de publication', 'publié en', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'l', 'sous-vedette de forme', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'm', 'langue', 'langue', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'n', 'autres informations', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'q', 'version', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'r', 'mode d''interprétation', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 's', 'indication du numéro (pour la musique)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'u', 'clé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'v', 'indication du volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'x', 'subdivision de sujet', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'y', 'subdivision géographique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'z', 'subdivision chronologique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'a', 'rubrique de classement', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'a', 'titre de forme', 'titre', 0, 0, '', -1, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'b', 'subdivision', '', 0, 0, '', -1, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'd', 'mois et jour', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'e', 'nom de personne', '', 0, 0, '', -1, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'f', 'élément(s) de nom rejeté(s)', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'h', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', 0, -1, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'j', 'année', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'k', 'numérotation (chiffres arabes)', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'l', 'numérotation (chiffres romains)', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'm', 'localisation', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'n', 'établissement présidant la localisation', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'a', 'titre de couv.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'e', 'sous- titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'e', 'complément du titre', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'h', 'numéro de partie', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'i', 'titre de partie', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'a', 'variante de titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'e', 'sous-titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'a', 'titre précédent', 'titre précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'e', 'complément du titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'i', 'titre de la partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'j', 'volume ou dates du titre précédent', 'volume ou dates du titre précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'x', 'ISSN précédent', 'ISSN précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'a', 'titre clé', 'titre clé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'j', 'numéro de volume ou dates associés au titre clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'v', 'numéro de volume', 'numéro de volume', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'a', 'titre abrégé', 'titre abrégé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'a', 'titre développé', 'titre développé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('540', 'a', 'titre ajouté par le catalogueur', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'a', 'titre traduit', 'titre traduit', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'z', 'langue du titre traduit', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('545', 'a', 'titre de section', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'a', 'nom', 'sujet', 0, 0, '', 2, '', 'SAUT', '', NULL, 0, 'MULT', '''600b'',''600c'',''600d'',''600f'',''600x'',''600y'',''600z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'b', 'prénom', '', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'c', 'qualificatifs', '', 1, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'd', 'numérotation', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'f', 'dates', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'y', 'subdiv. géo', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'z', 'subdiv. chrono', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '''6019'',''6069''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'SCO', '', NULL, 0, 'MULT', '''601b'',''601c'',''601d'',''600e'',''600f'',''600x'',''600y'',''600y'',''600z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'b', 'subdivision', 'sujet', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'c', 'élément ajouté au nom', '', 1, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'd', 'numéro du congrès', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'e', 'lieu congrès', '', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'f', 'date congrès', '', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '''602f'',''602x'',''602y'',''602z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'f', 'dates', '', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '1', 'données de liens', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'a', 'Nom auteur', '', 0, 0, '', 2, '', 'SAUTTIT', '', NULL, 0, 'MULT', '''604b'',''604c'',''604d'',''604f'',''604t''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'b', 'Prénom auteur', '', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'c', 'Qualificatif', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'd', 'numérotation (chiffres romains)', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'f', 'Dates', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 't', 'titre', '', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'STU', '', NULL, 0, 'MULT', '''605h'',''605i'',''605k'',''605l'',''605m'',''605n'',''605q'',''605x'',''605y'',''605z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'h', 'N° partie', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'i', 'nom partie', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'k', 'date  pub.', '', 0, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'l', 'sous-vedettes de forme', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'm', 'langue', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'n', 'autres informations', '', 1, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'q', 'version', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'y', 'subdiv. géo', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '9', 'koha internal code', 'koha internal code', 1, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'a', 'élément d''entrée', 'sujet', 0, 0, 'bibliosubject.subject', 2, '', 'SNC', '', NULL, 0, 'MULT', '''600a'',''601a'',''602a'',''604a'',''610a'',''676a'',''686a'',''606x'',''606y'',''606z'',''600a'',''600b'',''600c'',''600d'',''600f'',''601a'',''601b'',''601c'',''601d'',''601e'',''601f'',''601x'',''601y'',''601z'',''602a'',''602f'',''602x'',''602y'',''602z'',''604a'',''604b'',''604c'',''604d'',''604f'',''604t'',''605a'',''605h'',''605i'',''605k'',''605m'',''605x'',''605y'',''605z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'SNG', '', NULL, 0, 'MULT', '''607x'',''607y'',''606z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'a', 'Genre littéraire', 'sujet', 0, 0, '', -1, 'genre', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'x', 'subdivision du sujet', '', 0, 1, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'y', 'subdivision géographique', '', 0, 1, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'z', 'subdivision chronologique', '', 0, 1, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'a', 'Indexation', 'sujet', 1, 0, '', 1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'b', 'statut', '', 1, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'a', 'catégorie sujet', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'm', 'subdivision de la catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'n', 'catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'x', 'subdivision de la catégorie sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', '3', 'numéro de la ville d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'a', 'pays', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'b', 'Etat, région, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'c', 'département, comté, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'd', 'ville', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'a', 'marque et modèle de machine', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'b', 'langage de programmation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'c', 'système d''exploitation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('660', 'a', 'code de zone géographique', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('661', 'a', 'code de date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'b', 'numéro indicateur de sujet', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'c', 'chaîne', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'e', 'numéro indicateur de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'z', 'langue des termes', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'a', 'indice CDU', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'v', 'édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'a', 'indice Dewey', '', 0, 0, 'biblioitems.dewey', 1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'v', 'édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'a', 'indice LOC', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'b', 'numéro de livre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', '2', 'code du système', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'a', 'PCDM', '', 0, 0, '', 0, 'pcdm', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'b', 'numéro de livre', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'c', 'subdivision de l&#39;indice', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('689', 'a', 'Pcdm temporaire', '', 0, 0, '', -1, '', '', NULL, 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '3', 'N° autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '''7019'',''7029''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'a', 'nom', 'auteur', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'a', 'nom', '', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'a', 'nom', '', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '9', 'Champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'd', 'numéro congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '9', 'champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'd', 'numéro du congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '9', 'champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'd', 'numéro du congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', '2', 'code du format utilisé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'a', 'pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'b', 'agence de catalogage', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'c', 'date de la transaction', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'g', 'règles de catalogage utilisées', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('802', 'a', 'code du centre ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('830', 'a', 'texte de la note', 'note', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'a', 'nom du serveur', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'b', 'numéro d''accès', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'c', 'compression', 'compression', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'd', 'chemin d''accès', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'e', 'date et heure de la consultation', 'visité le', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'f', 'nom électronique', 'fichier', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'g', 'URN', 'URN', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'h', 'nom de l''utilisateur', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'i', 'instruction', 'commande', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'j', 'bits par seconde', 'bits par seconde', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'k', 'mot de passe', 'mot de passe', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'l', 'login', 'login', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'm', 'contact pour l''assistance technique', 'contact', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'n', 'adresse du serveur', 'adresse', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'o', 'système d''exploitation', 'système d''exploitation', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'p', 'port', 'port', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'q', 'type de format électronique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'r', 'dispositions', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 's', 'taille du fichier', 'taille du fichier', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 't', 'émulation du terminal', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'u', 'URL', 'URL', 0, 0, 'biblioitems.url', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'v', 'heures d''accès', 'heures d''accès', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'w', 'numéro d''identification de la notice', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'x', 'note non publique', '', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'y', 'mode d''accès', 'mode d''accès', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'z', 'note publique', 'note', 0, 1, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'a', 'élément d''entrée', 'auteur', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'b', 'partie du nom autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'c', 'qualificatifs autres que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('901', '3', 'numéro de référence Electre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('902', 'a', 'code de niveau de lecture', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('903', 'a', 'code d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'c', 'élément ajouté au nom ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'd', 'numéro de Congrès et/ou de session', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'e', 'lieu du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'f', 'date du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'g', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'v', 'numéro de la sous-notice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', '5', 'indentifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'a', 'numéro d''inventaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'b', 'numéro de code à barres', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'c', 'code à barres : préfixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'd', 'code à barres : incrémentation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'e', 'code à barres : suffixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'a', 'données de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'm', 'date de prêt et de dépôt', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'n', 'date de restitution prévue', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', 'a', 'données de communication', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('918', 'a', 'numéro de notice bnf', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'a', 'numéro d''exemplaire dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'b', 'numéro de la notice bibliographique dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'c', 'code de statut de l''enregistrement relatif à l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'd', 'date de création de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'e', 'date de dernière modification de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'a', 'élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'b', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'c', 'numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'd', 'qualificatifs', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 't', 'titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '2', 'code du système de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'a', 'cote', 'cote', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'b', 'localisation de niveau 1', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'c', 'localisation de niveau 2', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'd', 'localisation de niveau 3', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'e', 'fonds spécifiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'f', 'dépositaire permanent', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'g', 'indice de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'h', 'partie du titre, du nom de l''auteur ou du segment auteur/titre pris comme élément de classement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'i', 'complément de la cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'l', 'localisation de niveau 4', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 't', 'numéro de regroupement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'v', 'volumaison ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'a', 'numéro', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'c', 'type de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'd', 'signle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('942', '0', 'total des prêts', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'a', 'titre', 'titre', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'd', 'mois et jour', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'f', 'élément du nom rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'h', 'numéro de section ou de partie', 'numéro', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'i', 'titre de section ou de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'j', 'année', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'k', 'date de publication', 'publié en', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'l', 'sous-vedette de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'm', 'langue', 'langue', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', '5', 'identifiant de l''exemplaire', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'a', 'Etat de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'b', 'état de collection des publications en série - 2e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'c', 'état de collection des publications en série - 3e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'd', 'état de collection des publications en série - 4e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'e', 'état de collection des publications en série - 5e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'f', 'état de collection des publications en série - 6e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'g', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'h', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'i', 'état de collection des publications en série - 1er niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'j', 'état de collection des publications en série - 2e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'k', 'état de collection des publications en série - 3e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'l', 'état de collection des publications en série - 4e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'm', 'autre schéma de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'r', 'état de collection écrit sous forme textuelle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'w', 'mention des lacunes', 'lacunes', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'z', 'note sur l''état de collection', 'note', 0, 0, '', -1, '', '', '', NULL, 0, 'MULT', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', '5', 'suppléments - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'a', 'état de collection des publications en série - suppléments - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'b', 'état de collection des publications en série - suppléments - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'c', 'état de collection des publications en série - suppléments - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'd', 'état de collection des publications en série - suppléments - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'e', 'état de collection des publications en série - suppléments - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'f', 'état de collection des publications en série - suppléments - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'g', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'h', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'i', 'état de collection des publications en série - suppléments - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'j', 'état de collection des publications en série - suppléments - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'k', 'état de collection des publications en série - suppléments - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'l', 'état de collection des publications en série - suppléments - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'm', 'suppléments - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'r', 'suppléments - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'w', 'suppléments - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'z', 'suppléments - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', '5', 'tables et index - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'a', 'état de collection des publications en série - tables et index - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'b', 'état de collection des publications en série - tables et index - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'c', 'état de collection des publications en série - tables et index - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'd', 'état de collection des publications en série - tables et index - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'e', 'état de collection des publications en série - tables et index - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'f', 'état de collection des publications en série - tables et index - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'g', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'h', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'i', 'état de collection des publications en série - tables et index - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'j', 'état de collection des publications en série - tables et index - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'k', 'état de collection des publications en série - tables et index - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'l', 'état de collection des publications en série - tables et index - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'm', 'tables et index - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'o', 'nom de la table ou de l''index', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'r', 'tables et index - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'w', 'tables et index - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'z', 'tables et index - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'a', 'titre d''une partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'c', 'collation de la partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'v', 'numéro de volume', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'a', 'élément d''entrée', 'sujet', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'b', 'partie autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'c', 'qualificatifs autre que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'e', 'lieu', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'i', 'nom de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'l', 'sous-vedettes de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'x', 'subdivision du sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'a', 'pays de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'b', 'Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'n', 'cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'o', 'indication de fonds propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'a', 'vedette commerciale - élément d''entrée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'b', 'sous-vedette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'p', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'b', 'sous-vedette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'p', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('987', 'a', 'numéro de notice archivé', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'a', 'note de contenu propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'c', 'sigle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'd', 'sigle du fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'e', 'état de la connexion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'f', 'particularités d''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'g', 'provenance', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'l', 'localisation matérielle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'p', 'fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'r', 'type de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 's', 'description matérielle de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 't', 'date de réimpression', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'v', 'code à barre de gestion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'y', 'cote de l''ouvrage ayant servi à la reproduction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'z', 'dernier fascicule reçu', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'a', 'indexation locale - élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'c', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', 'a', 'classification locale - indice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'MULT', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '2', 'Perdu', '', 0, 0, 'items.itemlost', 10, 'LOST', '', '', NULL, 1, 'MULT', NULL, NULL, '');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '9', 'itemnumber (koha)', '', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'a', 'origine du document, texte libre', '', 0, 1, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'b', 'Propriétaire', '', 0, 1, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'c', 'Dépositaire', '', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'd', 'Etablissement prêteur ou déposant, donnée codée', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'e', 'Localisation', '', 0, 1, 'items.location', 10, 'local', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'f', 'Code barre', '', 0, 0, 'items.barcode', 10, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'g', 'code à barres, préfixe', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'h', 'code à barres, incrémentation', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'i', 'code à barres, suffixe', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'j', 'x', '', 0, 0, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'k', 'Cote', 'Cote', 0, 1, 'items.itemcallnumber', 10, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'l', 'volumaison', '', 0, 1, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'm', 'Date prêt', '', 0, 0, 'items.datelastseen', 10, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'n', 'date de restitution prévue', 'à rendre pour le', 0, 0, 'items.onloan', 10, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'o', 'Statut', '', 0, 1, 'items.notforloan', 10, 'statut', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'q', 'Public', '', 0, 0, '', 10, 'public', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'r', 'type de document et support matériel', '', 0, 1, '', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 's', 'élément de tri', '', 0, 1, 'items.itemlost', -1, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'u', 'Note', '', 0, 0, 'items.itemnotes', 10, '', '', '', 0, 0, 'MULT', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'v', 'Note sur le N° de périodique', '', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'MULT', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('000', '@', 'leader', '', 0, 0, '', -1, '', '', 'unimarc_leader.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('001', '@', 'Numéro d&#39;identification notice', '', 0, 0, 'biblio.biblionumber', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('009', '@', 'Ancien 001', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'a', 'ISBN', 'ISBN', 0, 0, 'biblioitems.isbn', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'd', 'disponibilité et/ou prix', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'z', 'ISBN erroné', '', 1, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'a', 'ISSN', 'ISSN', 0, 0, 'biblioitems.issn', 0, '', '', '', NULL, 0, 'PERI', '''464x''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'd', 'disponibilité et/ou prix', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'y', 'ISSN annulé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'z', 'ISSN erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '2', 'code du système utilisé pour l''empreinte', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '5', 'institution à laquelle s''applique cette zone', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', 'a', 'empreinte', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'a', 'numéro ISMN', 'ISMN', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'd', 'disponibilté et/ou prix', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'z', 'ISMN erroné', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', '2', 'système de codification', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'a', 'numéro d''article', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'z', 'numéro d''article erroné', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'a', 'code de pays', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'b', 'numéro', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'z', 'numéro erroné', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'a', 'coden', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'z', 'coden erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'a', 'numéro d''éditeur', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'b', 'source', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'a', 'Numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'b', 'Qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'c', 'Numéros additionnels', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'd', 'Prix et disponibilité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'z', 'Numéro erroné', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', '9', 'Numéro biblio (koha)', 'Numéro biblio (koha)', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', 'a', 'Numéro biblioitem (koha)', '', 0, 0, 'biblioitems.biblioitemnumber', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('100', 'a', 'a', '', 0, 0, '', 0, '', '', 'unimarc_field_100.pl', NULL, 0, 'PERI', '', NULL, 'YYYYMMDDd        u||y0frey5050    ba');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'a', 'langue doc.', '', 1, 1, '', 1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'b', 'traduction intermédiaire', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'c', 'oeuvre originale', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'd', 'résumé', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'e', 'table des matières', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'f', 'page de titre si elle diffère de celle du texte', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'g', 'titre propre si elle diffère de la langue du texte ou de la bande son', '', 0, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'h', 'langue d''un livret', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'i', 'textes d''accompagnement', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'j', 'langue des sous-titres', '', 1, 0, '', -1, 'LANG', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'a', 'pays d''édition', '', 1, 0, '', -1, 'COUNTRY', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'b', 'lieu  d''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('105', 'a', 'données codées - monographies', '', 0, 0, '', -1, '', '', 'unimarc_field_105.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('106', 'a', 'données codées -  textes - caractéristiques physiques', '', 0, 0, '', -1, '', '', 'unimarc_field_106.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('110', 'a', 'données codées pour les périodiques', '', 0, 0, '', -1, '', '', 'unimarc_field_110.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'a', 'données codées vidéo', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'b', 'données codées pour les films - archivage.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('116', 'a', 'données codées de documents graphiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('117', 'a', 'données codées de documents pour les objets en trois dimensions et artefacts', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('120', 'a', 'données codées sur les documents cartographiques-généralités', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'a', 'documents cartographiques-caractéristiques physiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'b', 'données codées : photographie aérienne et télédetection - caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('122', 'a', 'Période  : de 9999 avant J.C. à nos jours', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', '0', 'époque', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'a', 'type d''échelle', '', 1, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'b', 'échelle horizontale à taux linéaire constant', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'c', 'échelle horizontale à taux linéaire constant (échelle altimétrique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'd', 'coordonnées - longitude ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'e', 'coordonnées - longitude est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'f', 'coordonnées - longitude nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'g', 'coordonnées - longitude sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'h', 'échelle angulaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'i', 'déclinaison - limite nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'j', 'déclinaison - limite sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'k', 'ascension droite - limite est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'm', 'ascension droite - limite ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'n', 'equinoxe', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'a', 'origine de l''image', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'b', 'forme du document cartographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'c', 'présentation technique dans le cas d''images photographiques ou non photographiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'd', 'position de la base pourles images photographiques ou de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'e', 'catégorie de satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'f', 'nom du satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'g', 'technique d''enregistrement pour les images de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'a', 'nature de la musique imprimée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'b', 'type de texte écrit (enregistrements parlés)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'a', 'données codées pour les enregistrements sonores (généralités)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'b', 'données codées pour les enregistrements sonores (particularités)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('127', 'a', 'durée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'a', 'forme de la composition (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'b', 'instruments ou voix dans un ensemble (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'c', 'instruments ou voix pour soliste (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('130', 'a', 'données codées de documents : Microformes-caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'a', 'ellipsoïde', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'b', 'données horizontales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'c', 'quadrillage et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'd', 'recouvrement et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'e', 'quadrillage et système de référence secondaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'f', 'données verticales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'g', 'unité de mesure pour l''altitude', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'h', 'intervalle des courbes de niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'i', 'intervalle des courbes de niveau supplémentaires', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'j', 'unité de mesure de bathymétrie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'k', 'intervalle bathymétrique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'l', 'intervalle bathymétrique supplémentaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('135', 'a', 'données codées : ressources électroniques', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('140', 'a', 'données codées : les livres anciens', '', 1, 0, '', -1, '', '', 'unimarc_field_140.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', '5', 'institution à laquelle cette zone s''applique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', 'a', 'données codées pour le livre ancien - caractères de l''exemplaire', '', 0, 0, '', -1, '', '', 'unimarc_field_141.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', '5', 'nom de l''institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'a', 'titre propre', '', 1, 1, 'biblio.title', 0, '', '', '', NULL, 0, 'PERI', '''200c'',''200d'',''200e'',''200h'',''200i'',''500a'',''500h'',''500i'',''500k'',''500l'',''500m'',''500n'',''500q'',''500r'',''500x'',''500y'',''500z'',''503a'',''503b'',''503d'',''503e'',''503f'',''503h'',''503i'',''503j'',''503k'',''503l'',''503m'',''512a'',''512e'',''512i'',''517a'',''517e'',''517h'',''517i''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'b', 'type doc', '', 0, 1, 'biblioitems.itemtype', 0, 'itemtypes', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'c', 'titre propre d''un auteur différent', '', 1, 0, '', 0, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'd', 'titre //', '', 1, 0, '', 0, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'e', 'sous-titre', '', 1, 0, 'biblioitems.volume', 0, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'f', 'auteur', 'auteur', 1, 0, 'biblio.author', 0, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'g', 'autre auteur', 'auteur secondaire', 1, 0, '', 0, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'h', 'N° de partie', '', 1, 0, 'biblioitems.volumeddesc', 0, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'i', 'titre partie', '', 1, 0, 'biblio.unititle', 0, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'a', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'b', 'mention de parution', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'd', 'mention parallèle d''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'f', 'mention de responsabilité relative à l''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'g', 'mention de responsabilité suivante', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('206', 'a', 'mention des données mathématiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'a', 'numérotation : indication de date et de volume', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'z', 'source d''information sur la numérotation', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'a', 'mention spécifique de musique imprimée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'd', 'mention spécifique parallèle de musique imprimée', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'a', 'lieu de publication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'b', 'adresse de l''éditeur, du diffuseur', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'c', 'nom de l''éditeur', '', 1, 0, 'biblioitems.publishercode', 0, '', '', 'unimarc_field_210c.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'd', 'date de publication', '', 1, 0, 'biblioitems.publicationyear', 0, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'e', 'lieu de publication de fabrication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'f', 'adresse du fabricant', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'g', 'nom du fabricant', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'h', 'date de fabrication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('211', 'a', 'date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'a', 'Importance matérielle', '', 1, 0, 'biblioitems.pages', 0, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'c', 'autres carac.', '', 0, 0, '', 0, '', '', '', 0, 1, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'd', 'format', '', 1, 0, 'biblioitems.size', 0, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'e', 'matériel d''accompagnement', '', 1, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'a', 'titre de la collection', '', 0, 0, 'biblioitems.collectiontitle', 0, '', '', 'unimarc_field_225a.pl', NULL, -1, 'PERI', '''225v'',''225e'',''225i'',''225h'',''410a'',''410h'',''410i''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'd', 'titre parallèle de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'e', 'compléments de titre de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'f', 'mention de responsabilité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'h', 'numéro sous-coll.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'i', 'titre de la sous-collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'v', 'numéro du volume', '', 0, 0, '', 0, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'x', 'ISSN de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('230', 'a', 'définition et volume des fichiers', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('300', 'a', 'note', '', 0, 0, 'biblio.notes', 1, '', '', '', NULL, 0, 'PERI', '''330a'',''339a''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('301', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('302', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('303', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('304', 'a', 'note', 'note', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('305', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('306', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('307', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('308', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('310', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('311', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('312', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('313', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('314', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('315', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('316', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('317', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', '5', 'institution à laquelle s''applique cette note', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'a', 'opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'b', 'identification de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'c', 'date de l''opération', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'd', 'intervalle entre les opérations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'e', 'contingence de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'f', 'autorisation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'h', 'juridiction', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'i', 'méthode de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'j', 'lieu de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'k', 'agent de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'l', 'état', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'n', 'extention', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'o', 'type de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'p', 'note non publique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'r', 'note publique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('320', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'a', 'note sur les index, extraits et citations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'b', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'x', 'ISSN de la collection', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('322', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('323', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('324', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('325', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'a', 'périodicité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'b', 'dates', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('327', 'a', 'note', '', 0, 0, '', 1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'b', 'discipline', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'c', 'ville', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'd', 'Année', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'f', 'Etablissement soutenance', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'n', 'N° soutenance', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('330', 'a', 'Résumé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('332', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('333', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('336', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('337', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('339', 'a', 'Résumé dans une autre langue', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'a', 'source de l''acquisition, adresse pour l''abonnement', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'b', 'numéro d''éditeur', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'c', 'support', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'd', 'disponibilité', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '5', 'institution à  laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'a', 'auteur', '', 1, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'h', 'numéro de section ou de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'i', 'titre de section ou de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'd', 'date de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'p', 'collation', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 't', 'titre', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'x', 'ISSN', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '3', 'numéro de la notice d&#39;autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '5', 'institution à laquelle s&#39;applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '@', 'numéro d&#39;identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'e', 'mention d&#39;édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', 0, -1, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, -1, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', 0, 1, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'c', 'lieu pub.', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'p', 'collation', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 't', 'titre', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'u', 'URL', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'y', 'ISBN/ISMN', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '2', 'code système', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'a', 'titre uniforme', 'titre', 0, 0, '', -1, '', 'TU', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'b', 'indication générale du type de document', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'h', 'numéro de partie', 'numéro', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'k', 'date de publication', 'publié en', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'l', 'sous-vedette de forme', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'm', 'langue', 'langue', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'n', 'autres informations', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'q', 'version', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'r', 'mode d''interprétation', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 's', 'indication du numéro (pour la musique)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'u', 'clé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'v', 'indication du volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'x', 'subdivision de sujet', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'y', 'subdivision géographique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'z', 'subdivision chronologique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'a', 'rubrique de classement', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'a', 'titre de forme', 'titre', 0, 0, '', -1, '', '', '', 0, -1, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'b', 'subdivision', '', 0, 0, '', -1, '', '', '', 0, -1, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'd', 'mois et jour', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'e', 'nom de personne', '', 0, 0, '', -1, '', '', '', 0, -1, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'f', 'élément(s) de nom rejeté(s)', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'h', 'qualificatif', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', 0, -1, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'j', 'année', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'k', 'numérotation (chiffres arabes)', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'l', 'numérotation (chiffres romains)', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'm', 'localisation', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'n', 'établissement présidant la localisation', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'a', 'titre de couv.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'e', 'sous- titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'e', 'complément du titre', '', 0, 1, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'h', 'numéro de partie', '', 0, 1, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'i', 'titre de partie', '', 0, 1, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'a', 'variante de titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'e', 'sous-titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'a', 'titre précédent', 'titre précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'e', 'complément du titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'i', 'titre de la partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'j', 'volume ou dates du titre précédent', 'volume ou dates du titre précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'x', 'ISSN précédent', 'ISSN précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'a', 'titre clé', 'titre clé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'j', 'numéro de volume ou dates associés au titre clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'v', 'numéro de volume', 'numéro de volume', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'a', 'titre abrégé', 'titre abrégé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'a', 'titre développé', 'titre développé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('540', 'a', 'titre ajouté par le catalogueur', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'a', 'titre traduit', 'titre traduit', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'z', 'langue du titre traduit', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('545', 'a', 'titre de section', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'a', 'nom', 'sujet', 0, 0, '', 2, '', 'SAUT', '', NULL, 0, 'PERI', '''600b'',''600c'',''600d'',''600f'',''600x'',''600y'',''600z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'b', 'prénom', '', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'c', 'qualificatifs', '', 1, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'd', 'numérotation', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'f', 'dates', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'y', 'subdiv. géo', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'z', 'subdiv. chrono', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '''6019'',''6069''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'SCO', '', NULL, 0, 'PERI', '''601b'',''601c'',''601d'',''600e'',''600f'',''600x'',''600y'',''600y'',''600z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'b', 'subdivision', 'sujet', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'c', 'élément ajouté au nom', '', 1, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'd', 'numéro du congrès', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'e', 'lieu congrès', '', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'f', 'date congrès', '', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '''602f'',''602x'',''602y'',''602z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'f', 'dates', '', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '1', 'données de liens', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'a', 'Nom auteur', '', 0, 0, '', 2, '', 'SAUTTIT', '', NULL, 0, 'PERI', '''604b'',''604c'',''604d'',''604f'',''604t''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'b', 'Prénom auteur', '', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'c', 'Qualificatif', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'd', 'numérotation (chiffres romains)', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'f', 'Dates', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 't', 'titre', '', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'STU', '', NULL, 0, 'PERI', '''605h'',''605i'',''605k'',''605l'',''605m'',''605n'',''605q'',''605x'',''605y'',''605z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'h', 'N° partie', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'i', 'nom partie', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'k', 'date  pub.', '', 0, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'l', 'sous-vedettes de forme', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'm', 'langue', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'n', 'autres informations', '', 1, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'q', 'version', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'y', 'subdiv. géo', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '9', 'koha internal code', 'koha internal code', 1, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'a', 'élément d''entrée', 'sujet', 0, 0, 'bibliosubject.subject', 2, '', 'SNC', '', NULL, 0, 'PERI', '''600a'',''601a'',''602a'',''604a'',''610a'',''676a'',''686a'',''606x'',''606y'',''606z'',''600a'',''600b'',''600c'',''600d'',''600f'',''601a'',''601b'',''601c'',''601d'',''601e'',''601f'',''601x'',''601y'',''601z'',''602a'',''602f'',''602x'',''602y'',''602z'',''604a'',''604b'',''604c'',''604d'',''604f'',''604t'',''605a'',''605h'',''605i'',''605k'',''605m'',''605x'',''605y'',''605z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '9', 'koha internal code', '', 0, 0, '', 2, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'a', 'élément d''entrée', 'sujet', 0, 0, '', 2, '', 'SNG', '', NULL, 0, 'PERI', '''607x'',''607y'',''606z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'x', 'subdiv. sujet', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'y', 'subdiv. géo.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'z', 'subdiv. chrono.', '', 1, 0, '', 2, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'a', 'Genre littéraire', 'sujet', 0, 0, '', -1, 'genre', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'x', 'subdivision du sujet', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'y', 'subdivision géographique', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'z', 'subdivision chronologique', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'a', 'Indexation', 'sujet', 1, 0, '', 1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'b', 'statut', '', 1, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'a', 'catégorie sujet', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'm', 'subdivision de la catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'n', 'catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'x', 'subdivision de la catégorie sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', '3', 'numéro de la ville d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'a', 'pays', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'b', 'Etat, région, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'c', 'département, comté, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'd', 'ville', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'a', 'marque et modèle de machine', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'b', 'langage de programmation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'c', 'système d''exploitation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('660', 'a', 'code de zone géographique', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('661', 'a', 'code de date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'b', 'numéro indicateur de sujet', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'c', 'chaîne', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'e', 'numéro indicateur de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'z', 'langue des termes', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'a', 'indice CDU', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'v', 'édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'a', 'indice Dewey', '', 0, 0, 'biblioitems.dewey', 1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'v', 'édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'a', 'indice LOC', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'b', 'numéro de livre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', '2', 'code du système', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'a', 'PCDM', '', 0, 1, '', -1, 'pcdm', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'b', 'numéro de livre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'c', 'subdivision de l&#39;indice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '3', 'N° autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '''7019'',''7029''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'a', 'nom', 'auteur', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'a', 'nom', '', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '9', 'koha internal code', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'a', 'nom', '', 0, 0, '', 3, '', 'NP', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'b', 'prénom', '', 0, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'c', 'qualificatifs', '', 1, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'd', 'numérotation', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'f', 'dates', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '9', 'Champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'd', 'numéro congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '9', 'champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'd', 'numéro du congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '3', 'numéro de la notice d''autorité', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '9', 'champ interne Koha', '', 0, 0, '', 3, '', '', '', NULL, -1, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'a', 'élément d''entrée', '', 0, 0, '', 3, '', 'CO', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'b', 'subdivision', '', 1, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'c', 'qualificatif', '', 1, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'd', 'numéro du congrès', '', 1, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'e', 'lieu du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'f', 'date du congrès', '', 0, 0, '', 3, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', '2', 'code du format utilisé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'a', 'pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'b', 'agence de catalogage', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'c', 'date de la transaction', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'g', 'règles de catalogage utilisées', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('802', 'a', 'code du centre ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('830', 'a', 'texte de la note', 'note', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'a', 'nom du serveur', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'b', 'numéro d''accès', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'c', 'compression', 'compression', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'd', 'chemin d''accès', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'e', 'date et heure de la consultation', 'visité le', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'f', 'nom électronique', 'fichier', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'g', 'URN', 'URN', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'h', 'nom de l''utilisateur', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'i', 'instruction', 'commande', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'j', 'bits par seconde', 'bits par seconde', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'k', 'mot de passe', 'mot de passe', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'l', 'login', 'login', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'm', 'contact pour l''assistance technique', 'contact', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'n', 'adresse du serveur', 'adresse', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'o', 'système d''exploitation', 'système d''exploitation', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'p', 'port', 'port', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'q', 'type de format électronique', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'r', 'dispositions', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 's', 'taille du fichier', 'taille du fichier', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 't', 'émulation du terminal', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'u', 'URL', 'URL', 0, 0, 'biblioitems.url', 1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'v', 'heures d''accès', 'heures d''accès', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'w', 'numéro d''identification de la notice', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'x', 'note non publique', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'y', 'mode d''accès', 'mode d''accès', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'z', 'note publique', 'note', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'a', 'élément d''entrée', 'auteur', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'b', 'partie du nom autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'c', 'qualificatifs autres que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('901', '3', 'numéro de référence Electre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('902', 'a', 'code de niveau de lecture', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('903', 'a', 'code d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'c', 'élément ajouté au nom ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'd', 'numéro de Congrès et/ou de session', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'e', 'lieu du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'f', 'date du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'g', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'v', 'numéro de la sous-notice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', '5', 'indentifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'a', 'numéro d''inventaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'b', 'numéro de code à barres', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'c', 'code à barres : préfixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'd', 'code à barres : incrémentation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'e', 'code à barres : suffixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'a', 'données de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'm', 'date de prêt et de dépôt', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'n', 'date de restitution prévue', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', 'a', 'données de communication', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('918', 'a', 'numéro de notice bnf', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'a', 'numéro d''exemplaire dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'b', 'numéro de la notice bibliographique dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'c', 'code de statut de l''enregistrement relatif à l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'd', 'date de création de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'e', 'date de dernière modification de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'a', 'élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'b', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'c', 'numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'd', 'qualificatifs', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 't', 'titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '2', 'code du système de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'a', 'cote', 'cote', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'b', 'localisation de niveau 1', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'c', 'localisation de niveau 2', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'd', 'localisation de niveau 3', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'e', 'fonds spécifiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'f', 'dépositaire permanent', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'g', 'indice de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'h', 'partie du titre, du nom de l''auteur ou du segment auteur/titre pris comme élément de classement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'i', 'complément de la cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'l', 'localisation de niveau 4', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 't', 'numéro de regroupement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'v', 'volumaison ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'a', 'numéro', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'c', 'type de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'd', 'signle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('942', '0', 'total des prêts', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'a', 'titre', 'titre', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'd', 'mois et jour', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'f', 'élément du nom rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'h', 'numéro de section ou de partie', 'numéro', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'i', 'titre de section ou de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'j', 'année', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'k', 'date de publication', 'publié en', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'l', 'sous-vedette de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'm', 'langue', 'langue', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', '5', 'identifiant de l''exemplaire', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'a', 'Etat de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'b', 'état de collection des publications en série - 2e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'c', 'état de collection des publications en série - 3e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'd', 'état de collection des publications en série - 4e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'e', 'état de collection des publications en série - 5e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'f', 'état de collection des publications en série - 6e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'g', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'h', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'i', 'état de collection des publications en série - 1er niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'j', 'état de collection des publications en série - 2e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'k', 'état de collection des publications en série - 3e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'l', 'état de collection des publications en série - 4e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'm', 'autre schéma de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'r', 'état de collection écrit sous forme textuelle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'w', 'mention des lacunes', 'lacunes', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'z', 'note sur l''état de collection', 'note', 0, 0, '', -1, '', '', '', NULL, 0, 'PERI', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', '5', 'suppléments - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'a', 'état de collection des publications en série - suppléments - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'b', 'état de collection des publications en série - suppléments - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'c', 'état de collection des publications en série - suppléments - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'd', 'état de collection des publications en série - suppléments - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'e', 'état de collection des publications en série - suppléments - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'f', 'état de collection des publications en série - suppléments - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'g', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'h', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'i', 'état de collection des publications en série - suppléments - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'j', 'état de collection des publications en série - suppléments - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'k', 'état de collection des publications en série - suppléments - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'l', 'état de collection des publications en série - suppléments - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'm', 'suppléments - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'r', 'suppléments - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'w', 'suppléments - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'z', 'suppléments - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', '5', 'tables et index - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'a', 'état de collection des publications en série - tables et index - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'b', 'état de collection des publications en série - tables et index - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'c', 'état de collection des publications en série - tables et index - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'd', 'état de collection des publications en série - tables et index - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'e', 'état de collection des publications en série - tables et index - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'f', 'état de collection des publications en série - tables et index - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'g', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'h', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'i', 'état de collection des publications en série - tables et index - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'j', 'état de collection des publications en série - tables et index - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'k', 'état de collection des publications en série - tables et index - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'l', 'état de collection des publications en série - tables et index - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'm', 'tables et index - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'o', 'nom de la table ou de l''index', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'r', 'tables et index - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'w', 'tables et index - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'z', 'tables et index - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'a', 'titre d''une partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'c', 'collation de la partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'v', 'numéro de volume', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'a', 'élément d''entrée', 'sujet', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'b', 'partie autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'c', 'qualificatifs autre que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'e', 'lieu', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'i', 'nom de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'l', 'sous-vedettes de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'x', 'subdivision du sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'a', 'pays de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'b', 'Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'n', 'cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'o', 'indication de fonds propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'a', 'vedette commerciale - élément d''entrée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'b', 'sous-vedette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'p', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'b', 'sous-vedette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'p', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('987', 'a', 'numéro de notice archivé', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'a', 'note de contenu propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'c', 'sigle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'd', 'sigle du fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'e', 'état de la connexion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'f', 'particularités d''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'g', 'provenance', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'l', 'localisation matérielle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'p', 'fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'r', 'type de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 's', 'description matérielle de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 't', 'date de réimpression', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'v', 'code à barre de gestion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'y', 'cote de l''ouvrage ayant servi à la reproduction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'z', 'dernier fascicule reçu', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'a', 'indexation locale - élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'c', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', 'a', 'classification locale - indice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'PERI', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '2', 'Perdu', '', 0, 0, 'items.itemlost', 10, 'LOST', '', '', NULL, 1, 'PERI', NULL, NULL, '');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '9', 'itemnumber (koha)', '', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'a', 'origine du document, texte libre', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'b', 'Propriétaire', '', 0, 1, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'c', 'Dépositaire', '', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'd', 'Etablissement prêteur ou déposant, donnée codée', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'e', 'Localisation', '', 0, 1, 'items.location', 10, 'local', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'f', 'Code barre', '', 0, 0, 'items.barcode', 10, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'g', 'code à barres, préfixe', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'h', 'code à barres, incrémentation', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'i', 'code à barres, suffixe', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'j', 'x', '', 0, 0, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'k', 'Cote', 'Cote', 0, 1, 'items.itemcallnumber', 10, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'l', 'volumaison', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'm', 'Date prêt', '', 0, 0, 'items.datelastseen', 10, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'n', 'date de restitution prévue', 'à rendre pour le', 0, 0, 'items.onloan', 10, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'o', 'Statut', '', 0, 1, 'items.notforloan', 10, 'statut', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'q', 'Public', '', 0, 0, '', 10, 'public', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'r', 'type de document et support matériel', '', 0, 1, '', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 's', 'élément de tri', '', 0, 1, 'items.itemlost', -1, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'u', 'Note', '', 0, 0, 'items.itemnotes', 10, '', '', '', 0, 0, 'PERI', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'v', 'Note sur le N° de périodique', '', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'PERI', '', '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('000', '@', 'leader', '', 0, 0, '', -1, '', '', 'unimarc_leader.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('001', '@', 'Numéro d&#39;identification notice', '', 0, 0, 'biblio.biblionumber', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('009', '@', 'Ancien 001', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'a', 'ISBN', 'ISBN', 0, 0, 'biblioitems.isbn', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'd', 'disponibilité et/ou prix', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('010', 'z', 'ISBN erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'a', 'ISSN', 'ISSN', 0, 0, 'biblioitems.issn', -1, '', '', '', NULL, 0, 'WEB', '''464x''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'd', 'disponibilité et/ou prix', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'y', 'ISSN annulé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('011', 'z', 'ISSN erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '2', 'code du système utilisé pour l''empreinte', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', '5', 'institution à laquelle s''applique cette zone', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('012', 'a', 'empreinte', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'a', 'numéro ISMN', 'ISMN', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'b', 'qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'd', 'disponibilté et/ou prix', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('013', 'z', 'ISMN erroné', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', '2', 'système de codification', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'a', 'numéro d''article', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('014', 'z', 'numéro d''article erroné', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('020', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'a', 'code de pays', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'b', 'numéro', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('021', 'z', 'numéro erroné', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'a', 'code de pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'b', 'numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('022', 'z', 'numéro erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'a', 'coden', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('040', 'z', 'coden erroné', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'a', 'numéro d''éditeur', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('071', 'b', 'source', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'a', 'Numéro', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'b', 'Qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'c', 'Numéros additionnels', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'd', 'Prix et disponibilité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('073', 'z', 'Numéro erroné', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', '9', 'Numéro biblio (koha)', 'Numéro biblio (koha)', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('090', 'a', 'Numéro biblioitem (koha)', '', 0, 0, 'biblioitems.biblioitemnumber', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('100', 'a', 'a', '', 0, 0, '', 0, '', '', 'unimarc_field_100.pl', 0, 0, 'WEB', NULL, '', 'YYYYMMDDd        u||y0frey5050    ba');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'a', 'langue doc.', '', 1, 1, '', 0, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'b', 'traduction intermédiaire', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'c', 'oeuvre originale', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'd', 'résumé', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'e', 'table des matières', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'f', 'page de titre si elle diffère de celle du texte', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'g', 'titre propre si elle diffère de la langue du texte ou de la bande son', '', 0, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'h', 'langue d''un livret', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'i', 'textes d''accompagnement', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('101', 'j', 'langue des sous-titres', '', 1, 0, '', -1, 'LANG', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'a', 'pays d''édition', '', 1, 0, '', -1, 'COUNTRY', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('102', 'b', 'lieu  d''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('105', 'a', 'données codées - monographies', '', 0, 0, '', -1, '', '', 'unimarc_field_105.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('106', 'a', 'données codées -  textes - caractéristiques physiques', '', 0, 0, '', -1, '', '', 'unimarc_field_106.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('110', 'a', 'données codées pour les périodiques', '', 0, 0, '', -1, '', '', 'unimarc_field_110.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'a', 'données codées vidéo', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('115', 'b', 'données codées pour les films - archivage.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('116', 'a', 'données codées de documents graphiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('117', 'a', 'données codées de documents pour les objets en trois dimensions et artefacts', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('120', 'a', 'données codées sur les documents cartographiques-généralités', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'a', 'documents cartographiques-caractéristiques physiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('121', 'b', 'données codées : photographie aérienne et télédetection - caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('122', 'a', 'Période  : de 9999 avant J.C. à nos jours', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', '0', 'époque', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'a', 'type d''échelle', '', 1, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'b', 'échelle horizontale à taux linéaire constant', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'c', 'échelle horizontale à taux linéaire constant (échelle altimétrique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'd', 'coordonnées - longitude ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'e', 'coordonnées - longitude est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'f', 'coordonnées - longitude nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'g', 'coordonnées - longitude sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'h', 'échelle angulaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'i', 'déclinaison - limite nord', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'j', 'déclinaison - limite sud', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'k', 'ascension droite - limite est', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'm', 'ascension droite - limite ouest', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('123', 'n', 'equinoxe', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'a', 'origine de l''image', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'b', 'forme du document cartographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'c', 'présentation technique dans le cas d''images photographiques ou non photographiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'd', 'position de la base pourles images photographiques ou de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'e', 'catégorie de satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'f', 'nom du satellite pour la télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('124', 'g', 'technique d''enregistrement pour les images de télédétection', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'a', 'nature de la musique imprimée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('125', 'b', 'type de texte écrit (enregistrements parlés)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'a', 'données codées pour les enregistrements sonores (généralités)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('126', 'b', 'données codées pour les enregistrements sonores (particularités)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('127', 'a', 'durée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'a', 'forme de la composition (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'b', 'instruments ou voix dans un ensemble (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('128', 'c', 'instruments ou voix pour soliste (interprétation musicale ou partition)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('130', 'a', 'données codées de documents : Microformes-caractéristiques physiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'a', 'ellipsoïde', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'b', 'données horizontales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'c', 'quadrillage et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'd', 'recouvrement et système de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'e', 'quadrillage et système de référence secondaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'f', 'données verticales', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'g', 'unité de mesure pour l''altitude', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'h', 'intervalle des courbes de niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'i', 'intervalle des courbes de niveau supplémentaires', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'j', 'unité de mesure de bathymétrie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'k', 'intervalle bathymétrique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('131', 'l', 'intervalle bathymétrique supplémentaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('135', 'a', 'données codées : ressources électroniques', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('140', 'a', 'données codées : les livres anciens', '', 1, 0, '', -1, '', '', 'unimarc_field_140.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', '5', 'institution à laquelle cette zone s''applique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('141', 'a', 'données codées pour le livre ancien - caractères de l''exemplaire', '', 0, 0, '', -1, '', '', 'unimarc_field_141.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', '5', 'nom de l''institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'a', 'titre propre', '', 1, 1, 'biblio.title', 0, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'b', 'type doc', '', 0, 1, 'biblioitems.itemtype', 0, 'itemtypes', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'c', 'titre propre d''un auteur différent', '', 1, 0, '', -1, '', '', '', 0, -1, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'd', 'titre //', '', 1, 0, '', -1, '', '', '', 0, -1, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'e', 'sous-titre', '', 1, 0, 'biblioitems.volume', 0, '', '', '', 0, -1, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'f', 'auteur', 'auteur', 1, 0, 'biblio.author', 0, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'g', 'autre auteur', 'auteur secondaire', 1, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'h', 'N° de partie', '', 1, 0, 'biblioitems.volumeddesc', -1, '', '', '', 0, -1, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'i', 'titre partie', '', 1, 0, 'biblio.unititle', -1, '', '', '', 0, -1, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('200', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'a', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'b', 'mention de parution', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'd', 'mention parallèle d''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'f', 'mention de responsabilité relative à l''édition', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('205', 'g', 'mention de responsabilité suivante', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('206', 'a', 'mention des données mathématiques', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'a', 'numérotation : indication de date et de volume', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('207', 'z', 'source d''information sur la numérotation', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'a', 'mention spécifique de musique imprimée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('208', 'd', 'mention spécifique parallèle de musique imprimée', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'a', 'lieu de publication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'b', 'adresse de l''éditeur, du diffuseur', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'c', 'nom de l''éditeur', '', 1, 0, 'biblioitems.publishercode', -1, '', '', 'unimarc_field_210c.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'd', 'date de publication', '', 1, 0, 'biblioitems.publicationyear', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'e', 'lieu de publication de fabrication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'f', 'adresse du fabricant', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'g', 'nom du fabricant', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('210', 'h', 'date de fabrication', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('211', 'a', 'date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'a', 'Importance matérielle', '', 1, 0, 'biblioitems.pages', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'c', 'autres carac.', '', 0, 0, '', -1, '', '', '', NULL, 1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'd', 'format', '', 1, 0, 'biblioitems.size', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('215', 'e', 'matériel d''accompagnement', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'a', 'titre de la collection', '', 0, 0, 'biblioitems.collectiontitle', -1, '', '', 'unimarc_field_225a.pl', NULL, -1, 'WEB', '''225v'',''225e'',''225i'',''225h'',''410a'',''410h'',''410i''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'd', 'titre parallèle de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'e', 'compléments de titre de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'f', 'mention de responsabilité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'h', 'numéro sous-coll.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'i', 'titre de la sous-collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'v', 'numéro du volume', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'x', 'ISSN de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('225', 'z', 'langue du titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('230', 'a', 'définition et volume des fichiers', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('300', 'a', 'note', '', 0, 0, 'biblio.notes', -1, '', '', '', NULL, 0, 'WEB', '''330a'',''339a''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('301', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('302', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('303', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('304', 'a', 'note', 'note', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('305', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('306', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('307', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('308', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('310', 'a', 'texte de la note', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('311', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('312', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('313', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('314', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('315', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('316', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('317', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', '5', 'institution à laquelle s''applique cette note', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'a', 'opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'b', 'identification de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'c', 'date de l''opération', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'd', 'intervalle entre les opérations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'e', 'contingence de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'f', 'autorisation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'h', 'juridiction', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'i', 'méthode de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'j', 'lieu de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'k', 'agent de l''opération', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'l', 'état', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'n', 'extention', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'o', 'type de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'p', 'note non publique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('318', 'r', 'note publique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('320', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'a', 'note sur les index, extraits et citations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'b', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('321', 'x', 'ISSN de la collection', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('322', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('323', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('324', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('325', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'a', 'périodicité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('326', 'b', 'dates', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('327', 'a', 'note', '', 0, 0, '', 0, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'a', 'note', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'b', 'discipline', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'c', 'ville', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'd', 'Année', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'f', 'Etablissement soutenance', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('328', 'n', 'N° soutenance', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('330', 'a', 'Résumé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('332', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('333', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('336', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('337', 'a', 'texte de la note', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('339', 'a', 'Résumé dans une autre langue', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'a', 'source de l''acquisition, adresse pour l''abonnement', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'b', 'numéro d''éditeur', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'c', 'support', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('345', 'd', 'disponibilité', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '5', 'institution à  laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'a', 'auteur', '', 1, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'h', 'numéro de section ou de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'i', 'titre de section ou de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('410', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('411', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('421', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'd', 'date de publication', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'p', 'collation', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 't', 'titre', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'x', 'ISSN', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('422', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('423', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('430', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('431', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('432', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('433', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('434', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('435', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('436', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('437', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('440', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('441', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('442', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('443', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('444', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('445', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('446', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('447', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('448', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('451', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('452', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('453', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '3', 'numéro de la notice d&#39;autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '5', 'institution à laquelle s&#39;applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', NULL, NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', '@', 'numéro d&#39;identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'e', 'mention d&#39;édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('454', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('455', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('456', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', '9', 'Numéro interne Koha', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'c', 'lieu de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('461', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('462', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('463', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '0', 'numéro d''identification de la notice', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, 1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'a', 'auteur', '', 0, 0, '', -1, '', '', 'unimarc_field_4XX.pl', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'c', 'lieu pub.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'd', 'date de publication', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'e', 'mention d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'h', 'numéro de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'i', 'titre de section ou de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'p', 'collation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'u', 'URL', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'v', 'numéro de volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'x', 'ISSN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '''011a''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('464', 'y', 'ISBN/ISMN', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('470', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('481', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('482', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '0', 'numéro d''identification de la notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'a', 'auteur', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'c', 'lieu de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'd', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'e', 'mention d''édition', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'h', 'numéro de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'i', 'titre de section ou de partie', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'p', 'collation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 't', 'titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'u', 'URL', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'x', 'ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('488', 'y', 'ISBN/numéro international normalisé de document musical', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '2', 'code système', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'a', 'titre uniforme', 'titre', 0, 0, '', -1, '', 'TU', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'b', 'indication générale du type de document', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'h', 'numéro de partie', 'numéro', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'k', 'date de publication', 'publié en', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'l', 'sous-vedette de forme', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'm', 'langue', 'langue', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'n', 'autres informations', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'q', 'version', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'r', 'mode d''interprétation', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 's', 'indication du numéro (pour la musique)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'u', 'clé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'v', 'indication du volume', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'x', 'subdivision de sujet', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'y', 'subdivision géographique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('500', 'z', 'subdivision chronologique', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'a', 'rubrique de classement', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('501', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'a', 'titre de forme', 'titre', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'b', 'subdivision', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'd', 'mois et jour', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'e', 'nom de personne', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'f', 'élément(s) de nom rejeté(s)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'h', 'qualificatif', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'j', 'année', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'k', 'numérotation (chiffres arabes)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'l', 'numérotation (chiffres romains)', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'm', 'localisation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('503', 'n', 'établissement présidant la localisation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('510', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'a', 'titre de couv.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'e', 'sous- titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('512', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('513', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'a', 'titre parallèle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'e', 'complément du titre', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'h', 'numéro de partie', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'i', 'titre de partie', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'j', 'volume ou dates associés au titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('514', 'z', 'langue du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'a', 'titre parallèle', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('515', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('516', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'a', 'variante de titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'e', 'sous-titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('517', 'i', 'titre de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'a', 'titre de dos', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'e', 'complément du titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'h', 'numéro de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'i', 'titre de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'j', 'volume ou dates associés au titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'n', 'autres informations', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('518', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'a', 'titre précédent', 'titre précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'e', 'complément du titre', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'h', 'numéro de partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'i', 'titre de la partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'j', 'volume ou dates du titre précédent', 'volume ou dates du titre précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'n', 'autres informations', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('520', 'x', 'ISSN précédent', 'ISSN précédent', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'a', 'titre clé', 'titre clé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'j', 'numéro de volume ou dates associés au titre clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('530', 'v', 'numéro de volume', 'numéro de volume', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'a', 'titre abrégé', 'titre abrégé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'b', 'qualificatif', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('531', 'v', 'numéro de volume', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'a', 'titre développé', 'titre développé', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('532', 'z', 'langue du titre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('540', 'a', 'titre ajouté par le catalogueur', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'a', 'titre traduit', 'titre traduit', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'e', 'complément du titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'h', 'numéro de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'i', 'titre de partie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('541', 'z', 'langue du titre traduit', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('545', 'a', 'titre de section', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'a', 'nom', 'sujet', 0, 0, '', -1, '', 'SAUT', '', NULL, 0, 'WEB', '''600b'',''600c'',''600d'',''600f'',''600x'',''600y'',''600z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'b', 'prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'c', 'qualificatifs', '', 1, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'd', 'numérotation', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'x', 'subdiv. sujet', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'y', 'subdiv. géo', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('600', 'z', 'subdiv. chrono', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '''6019'',''6069''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'a', 'élément d''entrée', 'sujet', 0, 0, '', -1, '', 'SCO', '', NULL, 0, 'WEB', '''601b'',''601c'',''601d'',''600e'',''600f'',''600x'',''600y'',''600y'',''600z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'b', 'subdivision', 'sujet', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'c', 'élément ajouté au nom', '', 1, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'd', 'numéro du congrès', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'e', 'lieu congrès', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'f', 'date congrès', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'x', 'subdiv. sujet', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'y', 'subdiv. géo.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('601', 'z', 'subdiv. chrono.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'a', 'élément d''entrée', 'sujet', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '''602f'',''602x'',''602y'',''602z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'x', 'subdiv. sujet', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'y', 'subdiv. géo.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('602', 'z', 'subdiv. chrono.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '1', 'données de liens', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'a', 'Nom auteur', '', 0, 0, '', -1, '', 'SAUTTIT', '', NULL, 0, 'WEB', '''604b'',''604c'',''604d'',''604f'',''604t''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'b', 'Prénom auteur', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'c', 'Qualificatif', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'd', 'numérotation (chiffres romains)', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 'f', 'Dates', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('604', 't', 'titre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'a', 'élément d''entrée', 'sujet', 0, 0, '', -1, '', 'STU', '', NULL, 0, 'WEB', '''605h'',''605i'',''605k'',''605l'',''605m'',''605n'',''605q'',''605x'',''605y'',''605z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'h', 'N° partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'i', 'nom partie', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'k', 'date  pub.', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'l', 'sous-vedettes de forme', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'm', 'langue', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'n', 'autres informations', '', 1, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'q', 'version', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'x', 'subdiv. sujet', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'y', 'subdiv. géo', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('605', 'z', 'subdiv. chrono.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', '9', 'koha internal code', 'koha internal code', 1, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'a', 'élément d''entrée', 'sujet', 0, 0, 'bibliosubject.subject', -1, '', 'SNC', '', NULL, 0, 'WEB', '''600a'',''601a'',''602a'',''604a'',''610a'',''676a'',''686a'',''606x'',''606y'',''606z'',''600a'',''600b'',''600c'',''600d'',''600f'',''601a'',''601b'',''601c'',''601d'',''601e'',''601f'',''601x'',''601y'',''601z'',''602a'',''602f'',''602x'',''602y'',''602z'',''604a'',''604b'',''604c'',''604d'',''604f'',''604t'',''605a'',''605h'',''605i'',''605k'',''605m'',''605x'',''605y'',''605z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'x', 'subdiv. sujet', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'y', 'subdiv. géo.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('606', 'z', 'subdiv. chrono.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'a', 'élément d''entrée', 'sujet', 0, 0, '', -1, '', 'SNG', '', NULL, 0, 'WEB', '''607x'',''607y'',''606z''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'x', 'subdiv. sujet', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'y', 'subdiv. géo.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('607', 'z', 'subdiv. chrono.', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '2', 'code du système d''indexation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'a', 'Genre littéraire', 'sujet', 0, 0, '', -1, 'genre', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'x', 'subdivision du sujet', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'y', 'subdivision géographique', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('608', 'z', 'subdivision chronologique', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'a', 'Indexation', 'sujet', 1, 0, '', 1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('610', 'b', 'statut', '', 1, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'a', 'catégorie sujet', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'm', 'subdivision de la catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'n', 'catégorie sujet sous forme codée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('615', 'x', 'subdivision de la catégorie sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', '3', 'numéro de la ville d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'a', 'pays', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'b', 'Etat, région, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'c', 'département, comté, etc', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('620', 'd', 'ville', 'lieu d''édition', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'a', 'marque et modèle de machine', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'b', 'langage de programmation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('626', 'c', 'système d''exploitation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('660', 'a', 'code de zone géographique', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('661', 'a', 'code de date', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'b', 'numéro indicateur de sujet', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'c', 'chaîne', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'e', 'numéro indicateur de référence', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('670', 'z', 'langue des termes', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'a', 'indice CDU', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'v', 'édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('675', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'a', 'indice Dewey', '', 0, 0, 'biblioitems.dewey', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'v', 'édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('676', 'z', 'langue d''édition', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'a', 'indice LOC', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('680', 'b', 'numéro de livre', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', '2', 'code du système', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'a', 'PCDM', '', 0, 1, '', -1, 'pcdm', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'b', 'numéro de livre', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('686', 'c', 'subdivision de l&#39;indice', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '3', 'N° autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '''7019'',''7029''', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'a', 'nom', 'auteur', 0, 0, '', -1, '', 'NP', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'b', 'prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'c', 'qualificatifs', '', 1, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'd', 'numérotation', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('700', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'a', 'nom', '', 0, 0, '', -1, '', 'NP', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'b', 'prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'c', 'qualificatifs', '', 1, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'd', 'numérotation', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('701', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', '9', 'koha internal code', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'a', 'nom', '', 0, 0, '', -1, '', 'NP', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'b', 'prénom', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'c', 'qualificatifs', '', 1, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'd', 'numérotation', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'g', 'forme développée des initiales du prénom', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('702', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', '9', 'Champ interne Koha', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', 'CO', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'b', 'subdivision', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'c', 'qualificatif', '', 1, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'd', 'numéro congrès', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'e', 'lieu du congrès', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'f', 'date du congrès', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('710', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', '9', 'champ interne Koha', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', 'CO', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'b', 'subdivision', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'c', 'qualificatif', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'd', 'numéro du congrès', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'e', 'lieu du congrès', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'f', 'date du congrès', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('711', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '4', 'code de fonction', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '5', 'institution à laquelle s''applique cette zone', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', '9', 'champ interne Koha', '', 0, 0, '', -1, '', '', '', NULL, -1, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', 'CO', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'b', 'subdivision', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'c', 'qualificatif', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'd', 'numéro du congrès', '', 1, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'e', 'lieu du congrès', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'f', 'date du congrès', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'g', 'élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('712', 'p', 'affiliation ou adresse', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('720', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('721', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '3', 'numéro de la notice d''autorité', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', '4', 'code de fonction', '', 0, 1, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'a', 'élément d''entrée', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('722', 'f', 'dates', '', 0, 0, '', -1, '', '', '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', '2', 'code du format utilisé', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'a', 'pays', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'b', 'agence de catalogage', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'c', 'date de la transaction', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('801', 'g', 'règles de catalogage utilisées', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('802', 'a', 'code du centre ISSN', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('830', 'a', 'texte de la note', 'note', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'a', 'nom du serveur', '', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'b', 'numéro d''accès', '', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'c', 'compression', 'compression', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'd', 'chemin d''accès', '', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'e', 'date et heure de la consultation', 'visité le', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'f', 'nom électronique', 'fichier', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'g', 'URN', 'URN', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'h', 'nom de l''utilisateur', '', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'i', 'instruction', 'commande', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'j', 'bits par seconde', 'bits par seconde', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'k', 'mot de passe', 'mot de passe', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'l', 'login', 'login', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'm', 'contact pour l''assistance technique', 'contact', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'n', 'adresse du serveur', 'adresse', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'o', 'système d''exploitation', 'système d''exploitation', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'p', 'port', 'port', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'q', 'type de format électronique', '', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'r', 'dispositions', '', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 's', 'taille du fichier', 'taille du fichier', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 't', 'émulation du terminal', '', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'u', 'URL', 'URL', 0, 0, 'biblioitems.url', 0, '', '', '', 1, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'v', 'heures d''accès', 'heures d''accès', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'w', 'numéro d''identification de la notice', '', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'x', 'note non publique', '', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'y', 'mode d''accès', 'mode d''accès', 0, 0, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('856', 'z', 'note publique', 'note', 0, 1, '', -1, '', '', '', 0, 0, 'WEB', NULL, '', NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'a', 'élément d''entrée', 'auteur', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'b', 'partie du nom autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'c', 'qualificatifs autres que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('900', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('901', '3', 'numéro de référence Electre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('902', 'a', 'code de niveau de lecture', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('903', 'a', 'code d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '4', 'code de fonction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'c', 'élément ajouté au nom ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'd', 'numéro de Congrès et/ou de session', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'e', 'lieu du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'f', 'date du Congrès', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'g', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'h', 'partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'p', 'affiliation ou adresse', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('910', 'v', 'numéro de la sous-notice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', '5', 'indentifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'a', 'numéro d''inventaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'b', 'numéro de code à barres', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'c', 'code à barres : préfixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'd', 'code à barres : incrémentation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('915', 'e', 'code à barres : suffixe', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'a', 'données de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'm', 'date de prêt et de dépôt', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('916', 'n', 'date de restitution prévue', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('917', 'a', 'données de communication', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('918', 'a', 'numéro de notice bnf', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'a', 'numéro d''exemplaire dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'b', 'numéro de la notice bibliographique dans le système local', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'c', 'code de statut de l''enregistrement relatif à l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'd', 'date de création de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('919', 'e', 'date de dernière modification de l''enregistrement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'a', 'élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'b', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'c', 'numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 'd', 'qualificatifs', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('920', 't', 'titre', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '2', 'code du système de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'a', 'cote', 'cote', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'b', 'localisation de niveau 1', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'c', 'localisation de niveau 2', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'd', 'localisation de niveau 3', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'e', 'fonds spécifiques', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'f', 'dépositaire permanent', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'g', 'indice de classification', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'h', 'partie du titre, du nom de l''auteur ou du segment auteur/titre pris comme élément de classement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'i', 'complément de la cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'l', 'localisation de niveau 4', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 't', 'numéro de regroupement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('930', 'v', 'volumaison ou qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'a', 'numéro', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'c', 'type de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('936', 'd', 'signle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('942', '0', 'total des prêts', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '2', 'code système', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', '9', 'numéro d''occurrence de l''étiquette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'a', 'titre', 'titre', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'b', 'indication générale du type de document', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'd', 'mois et jour', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'e', 'subdivision', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'f', 'élément du nom rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'h', 'numéro de section ou de partie', 'numéro', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'i', 'titre de section ou de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'j', 'année', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'k', 'date de publication', 'publié en', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'l', 'sous-vedette de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'm', 'langue', 'langue', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'r', 'mode d''interprétation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 's', 'indication du numéro (pour la musique)', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'u', 'clé', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'w', 'mention d''arrangement (pour la musique)', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'x', 'subdivision de sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('950', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', '5', 'identifiant de l''exemplaire', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'a', 'Etat de la collection', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'b', 'état de collection des publications en série - 2e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'c', 'état de collection des publications en série - 3e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'd', 'état de collection des publications en série - 4e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'e', 'état de collection des publications en série - 5e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'f', 'état de collection des publications en série - 6e niveau de numérotation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'g', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'h', 'état de collection des publications en série - autres schémas de numérotation -', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'i', 'état de collection des publications en série - 1er niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'j', 'état de collection des publications en série - 2e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'k', 'état de collection des publications en série - 3e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'l', 'état de collection des publications en série - 4e niveau de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'm', 'autre schéma de chronologie', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'r', 'état de collection écrit sous forme textuelle', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'w', 'mention des lacunes', 'lacunes', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('955', 'z', 'note sur l''état de collection', 'note', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', '5', 'suppléments - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'a', 'état de collection des publications en série - suppléments - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'b', 'état de collection des publications en série - suppléments - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'c', 'état de collection des publications en série - suppléments - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'd', 'état de collection des publications en série - suppléments - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'e', 'état de collection des publications en série - suppléments - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'f', 'état de collection des publications en série - suppléments - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'g', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'h', 'état de collection des publications en série - suppléments - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'i', 'état de collection des publications en série - suppléments - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'j', 'état de collection des publications en série - suppléments - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'k', 'état de collection des publications en série - suppléments - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'l', 'état de collection des publications en série - suppléments - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'm', 'suppléments - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'r', 'suppléments - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'w', 'suppléments - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('956', 'z', 'suppléments - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', '5', 'tables et index - identifiant de l''exemplaire', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'a', 'état de collection des publications en série - tables et index - 1er niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'b', 'état de collection des publications en série - tables et index - 2e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'c', 'état de collection des publications en série - tables et index - 3e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'd', 'état de collection des publications en série - tables et index - 4e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'e', 'état de collection des publications en série - tables et index - 5e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'f', 'état de collection des publications en série - tables et index - 6e niveau de numérotation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'g', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 1er niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'h', 'état de collection des publications en série - tables et index - autres schémas de numérotation - 2e niveau', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'i', 'état de collection des publications en série - tables et index - 1er niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'j', 'état de collection des publications en série - tables et index - 2e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'k', 'état de collection des publications en série - tables et index - 3e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'l', 'état de collection des publications en série - tables et index - 4e niveau de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'm', 'tables et index - autre schéma de chronologie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'o', 'nom de la table ou de l''index', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'r', 'tables et index - état de collection écrit sous forme textuelle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'w', 'tables et index - mention des lacunes', 'lacunes', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('957', 'z', 'tables et index - note sur l''état de collection', 'note', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'a', 'titre d''une partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'c', 'collation de la partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('958', 'v', 'numéro de volume', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '2', 'code du système d''indexation', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'a', 'élément d''entrée', 'sujet', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'b', 'partie autre que l''élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'c', 'qualificatifs autre que les dates', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'd', 'chiffres romains', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'e', 'lieu', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'f', 'dates', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'g', 'forme développée des initiales du prénom', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'h', 'partie du nom autre que l''élément d''entrée ou l''élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'i', 'nom de partie', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'k', 'date de publication', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'l', 'sous-vedettes de forme', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'm', 'langue', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'n', 'autres informations', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'q', 'version', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'v', 'numéro de sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'x', 'subdivision du sujet', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'y', 'subdivision géographique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('960', 'z', 'subdivision chronologique', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'a', 'pays de conservation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'b', 'Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'n', 'cote', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('966', 'o', 'indication de fonds propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'a', 'vedette commerciale - élément d''entrée', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'b', 'sous-vedette', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'p', 'élément rejeté', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('970', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '3', 'numéro de la notice d''autorité', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '4', 'nature de l''autorité commerciale', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', '9', 'numéro d''occurrence de l''étiquette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'a', 'élément d''entrée', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'b', 'sous-vedette', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'p', 'élément rejeté', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('980', 'v', 'numéro de la sous-notice', '', 0, 0, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('987', 'a', 'numéro de notice archivé', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'a', 'note de contenu propre à l''établissement', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'b', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'c', 'sigle de la Bibliothèque', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'd', 'sigle du fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'e', 'état de la connexion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'f', 'particularités d''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'g', 'provenance', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'l', 'localisation matérielle', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'p', 'fonds particulier', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'r', 'type de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 's', 'description matérielle de la microforme', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 't', 'date de réimpression', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'v', 'code à barre de gestion', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'y', 'cote de l''ouvrage ayant servi à la reproduction', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('990', 'z', 'dernier fascicule reçu', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'a', 'indexation locale - élément d''entrée', 'sujet', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'b', 'subdivision', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('991', 'c', 'qualificatif', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '2', 'code du système d''indexation', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', '5', 'identifiant de l''exemplaire', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('992', 'a', 'classification locale - indice', '', 0, 1, NULL, -1, NULL, NULL, '', NULL, NULL, 'WEB', NULL, NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '2', 'Perdu', '', 0, 0, 'items.itemlost', 10, 'LOST', '', '', NULL, 1, 'WEB', NULL, NULL, '');
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', '9', 'itemnumber (koha)', '', 0, 0, 'items.itemnumber', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'a', 'origine du document, texte libre', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'b', 'Propriétaire', '', 0, 1, 'items.homebranch', -1, 'branches', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'c', 'Dépositaire', '', 0, 1, 'items.holdingbranch', -1, 'branches', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'd', 'Etablissement prêteur ou déposant, donnée codée', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'e', 'Localisation', '', 0, 1, 'items.location', -1, 'local', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'f', 'Code barre', '', 0, 0, 'items.barcode', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'g', 'code à barres, préfixe', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'h', 'code à barres, incrémentation', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'i', 'code à barres, suffixe', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'j', 'x', '', 0, 0, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'k', 'Cote', 'Cote', 0, 1, 'items.itemcallnumber', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'l', 'volumaison', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'm', 'Date prêt', '', 0, 0, 'items.datelastseen', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'n', 'date de restitution prévue', 'à rendre pour le', 0, 0, 'items.onloan', 10, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'o', 'Statut', '', 0, 1, 'items.notforloan', -1, 'ETAT', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'q', 'Public', '', 0, 0, '', -1, 'public', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'r', 'type de document et support matériel', '', 0, 1, '', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 's', 'élément de tri', '', 0, 1, 'items.itemlost', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'u', 'Note', '', 0, 0, 'items.itemnotes', -1, '', '', '', NULL, 0, 'WEB', '', NULL, NULL);
INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES ('995', 'v', 'Note sur le N° de périodique', '', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'WEB', '', '', NULL);




--
-- Valeurs autorisées nécessaires pour la cohérence des grilles.

INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('genre', 'Biographie', 'Biographie');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('genre', 'Nouvelle', 'Nouvelle');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('genre', 'Policier', 'Policier');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('genre', 'Poésie', 'Poésie');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('genre', 'Théâtre', 'Théâtre');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('genre', 'Conte', 'Conte');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('genre', 'Science fiction', 'Science fiction');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('genre', 'Roman', 'Roman');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '01', 'Agriculteurs, exploitant');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '02', 'Artisants, commerçants, chefs d''entreprise');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '03', 'Cadres, professions intellectuelles Supérieures');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '04', 'Professions intermédiaires');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '05', 'Employés');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '06', 'Ouvriers');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '07', 'Retraités');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '08', 'Demandeurs d''emploi');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '09', 'Sans emploi');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '10', 'Étudiants');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '11', 'CSP non déclarée');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort1', '12', 'Élèves ou enfants non scolarisés');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('public', 'a', 'Adulte');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('public', 'j', 'Jeune');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('public', 'u', 'Indéterminé');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('public', 'z', 'Autre');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Espace document adapté', 'Espace document adapté');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Espace local', 'Espace local');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Espace théâtre/poésie', 'Espace théâtre/poésie');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Espace enfant', 'Espace enfant');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Périodiques', 'Périodiques');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Espace petite enfance', 'Espace petite enfance');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Magasin/réserve', 'Magasin/réserve');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Espace audiovisuel', 'Espace audiovisuel');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Espace multimédia', 'Espace multimédia');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Espace consultation', 'Espace consultation');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Fiction adultes', 'Fiction adultes');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Doc adultes', 'Doc adultes');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Fiction jeunesse', 'Fiction jeunesse');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('local', 'Doc jeunesse', 'Doc jeunesse');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort2', 'Crèche', 'Crèche');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort2', 'École', 'École');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort2', 'CLSH', 'CLSH');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort2', 'PMI', 'PMI');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('Bsort2', 'Prison', 'Prison');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0- Généralités, sciences et techniques musicales', '0- Généralités, sciences et techniques musicales');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0.1 Philosophie, esthétique, critique, sociologie, pratiques', '0.1 Philosophie, esthétique, critique, sociologie, pratiques');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0.2 Institutions musicales', '0.2 Institutions musicales');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0.3 Dictionnaires', '0.3 Dictionnaires');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0.4 Répertoires, catalogues', '0.4 Répertoires, catalogues');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0.5 Apprentissage et enseignement', '0.5 Apprentissage et enseignement');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0.6 Techniques musicales et vocales', '0.6 Techniques musicales et vocales');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0.7 Sciences et techniques en lien', '0.7 Sciences et techniques en lien');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '0.9 Histoire de la musique', '0.9 Histoire de la musique');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '1- Musiques d''influence afro-américaine', '1- Musiques d''influence afro-américaine');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '1.1 Blues', '1.1 Blues');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '1.2 Negro spirituals, Gospel', '1.2 Negro spirituals, Gospel');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '1.3 Jazz', '1.3 Jazz');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '1.4 Soul music, Rhythm''n''Blues, R''n''B', '1.4 Soul music, Rhythm''n''Blues, R''n''B');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '1.5 Rap', '1.5 Rap');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '1.6 Reggae', '1.6 Reggae');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2- Rock et variété internationale apparentée', '2- Rock et variété internationale apparentée');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.1 Rock''n''roll, rockabilly', '2.1 Rock''n''roll, rockabilly');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.2 Pop', '2.2 Pop');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.3 Folk rock, country rock, blues rock', '2.3 Folk rock, country rock, blues rock');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.4 Rock psychédélique, progressif, symphonique', '2.4 Rock psychédélique, progressif, symphonique');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.5 Hard rock, metal', '2.5 Hard rock, metal');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.6 Punk et apparentés', '2.6 Punk et apparentés');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.7 New wave, cold wave, rock indus, techno pop', '2.7 New wave, cold wave, rock indus, techno pop');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.8 Fusion de styles, rock d''influences...', '2.8 Fusion de styles, rock d''influences...');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '2.9 Rock et variétés rock', '2.9 Rock et variétés rock');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '3- Musique classique', '3- Musique classique');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '3.1 Musique de chambre, concertante', '3.1 Musique de chambre, concertante');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '3.2 Musique orchestrale', '3.2 Musique orchestrale');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '3.3 Musique vocale profane', '3.3 Musique vocale profane');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '3.4 Musique vocale sacrée', '3.4 Musique vocale sacrée');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '3.5 Musiques utilisant l''électronique', '3.5 Musiques utilisant l''électronique');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4- Musiques électroniques', '4- Musiques électroniques');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4.1 Précurseurs, pionniers', '4.1 Précurseurs, pionniers');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4.2 Ambient, downtempo', '4.2 Ambient, downtempo');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4.3 House', '4.3 House');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4.4 Techno', '4.4 Techno');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4.5 Fusion de styles, électro d''influences', '4.5 Fusion de styles, électro d''influences');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4.6 Elecronica', '4.6 Elecronica');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4.7 Jungle drum''n''bass', '4.7 Jungle drum''n''bass');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '4.8 Dance', '4.8 Dance');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5- Musiques fonctionnelles', '5- Musiques fonctionnelles');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.1 Musique et les autres arts', '5.1 Musique et les autres arts');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.2 Musiques liées à l''audiovisuel', '5.2 Musiques liées à l''audiovisuel');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.3 Musiques de circonstances, musique et histoire', '5.3 Musiques de circonstances, musique et histoire');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.4 Musique de détente et d''activités physiques', '5.4 Musique de détente et d''activités physiques');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.5 Variétés instrumentales et vocales', '5.5 Variétés instrumentales et vocales');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.6 Musiques de danses populaires et festives', '5.6 Musiques de danses populaires et festives');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.7 Musique de plein air et musique de sociétés musicales', '5.7 Musique de plein air et musique de sociétés musicales');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.8 Instruments particuliers, musiques mécaniques', '5.8 Instruments particuliers, musiques mécaniques');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '5.9 Sons divers', '5.9 Sons divers');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '6- Musique et cinéma', '6- Musique et cinéma');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '6.1 Musique concernant une oeuvre filmique', '6.1 Musique concernant une oeuvre filmique');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '6.2 Compilations', '6.2 Compilations');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '6.2 Compilations', '6.2 Compilations');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '8.0 Anthologies générales', '8.0 Anthologies générales');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '8.2 Chansons sociales', '8.2 Chansons sociales');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '8.3 Chansons humoristiques', '8.3 Chansons humoristiques');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '8.4 Chansons à texte', '8.4 Chansons à texte');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '8.5 Chansons de variétés', '8.5 chansons de variétés');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '8.6 Chansons en lien avec d''autres genres', '8.6 chansons en lien avec d''autres genres');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9- Musiques du monde', '9- Musiques du monde');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.0 Anthologies générales', '9.0 Anthologies générales');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.1 Afrique', '9.1 Afrique');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.2 Maghreb, proche et moyen orient', '9.2 Maghreb, proche et moyen orient');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.3 Asie', '9.3 Asie');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.4 Extrême orient', '9.4 Extrême orient');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.5 Europe de l''est et méridionale', '9.5 Europe de l''est et méridionale');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.6 France', '9.6 France');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.7 Europe, Ouest et Nord', '9.7 Europe, Ouest et Nord');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.8 Amérique du Nord', '9.8 Amérique du Nord');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '9.9 Amérique latine', '9.9 Amérique latine');
INSERT INTO `authorised_values` (`category`, `authorised_value`, `lib`) VALUES ('pcdm', '8.1 Chansons pour enfants', '8.1 Chansons pour enfants');

UPDATE `marc_subfield_structure` SET maxlength=24 WHERE tagfield='000';
UPDATE `marc_subfield_structure` SET maxlength=36 WHERE tagfield='100';

-- Create the ACQ framework based on the default framework, fields 995 only
INSERT IGNORE INTO biblio_framework VALUES( 'ACQ', 'Acquisition framework' );
INSERT INTO marc_tag_structure(tagfield, liblibrarian, libopac, repeatable, mandatory, authorised_value, frameworkcode)
SELECT tagfield, liblibrarian, libopac, repeatable, mandatory, authorised_value, 'ACQ' FROM marc_tag_structure WHERE tagfield='995' AND frameworkcode='';

INSERT INTO marc_subfield_structure(tagfield, tagsubfield, liblibrarian, libopac, repeatable, mandatory, kohafield, tab, authorised_value, authtypecode, value_builder, isurl, hidden, frameworkcode, seealso, link, defaultvalue, maxlength)
SELECT tagfield, tagsubfield, liblibrarian, libopac, repeatable, mandatory, kohafield, tab, authorised_value, authtypecode, value_builder, isurl, hidden, 'ACQ', seealso, link, defaultvalue, maxlength FROM marc_subfield_structure WHERE tagfield='995' AND frameworkcode='';

INSERT INTO marc_tag_structure(tagfield, liblibrarian, libopac, repeatable, mandatory, authorised_value, frameworkcode)
SELECT tagfield, liblibrarian, libopac, repeatable, mandatory, authorised_value, 'ACQ'
FROM marc_tag_structure
WHERE frameworkcode="" AND tagfield IN (
    SELECT tagfield
    FROM marc_subfield_structure
    WHERE (
            kohafield="biblio.title"
        OR  kohafield="biblio.author"
        OR  kohafield="biblioitems.publishercode"
        OR  kohafield="biblioitems.editionstatement"
        OR  kohafield="biblioitems.publicationyear"
        OR  kohafield="biblioitems.isbn"
        OR  kohafield="biblio.seriestitle"
    ) AND frameworkcode=""
);
INSERT INTO marc_subfield_structure(tagfield, tagsubfield, liblibrarian, libopac, repeatable, mandatory, kohafield, tab, authorised_value, authtypecode, value_builder, isurl, hidden, frameworkcode, seealso, link, defaultvalue, maxlength)
SELECT tagfield, tagsubfield, liblibrarian, libopac, repeatable, mandatory, kohafield, tab, authorised_value, authtypecode, value_builder, isurl, hidden, 'ACQ', seealso, link, defaultvalue, maxlength
FROM marc_subfield_structure
WHERE frameworkcode=""
AND kohafield IN ("biblio.title", "biblio.author", "biblioitems.publishercode", "biblioitems.editionstatement", "biblioitems.publicationyear", "biblioitems.isbn", "biblio.seriestitle" );
