-- *************************************************************
--     KOHA MARC 21 STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
--
--
--     original default requiring greater user customisation
--                  created by a few Koha Hands
--                    guided by Paul POULAIN
--                      by thd for LibLime
--
--           Revised to Update No. 22 (April 2016)
-- *************************************************************


-- ******************************************************
-- KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- ******************************************************

-- These ought to be adjusted for different less conflicting and more
-- rationally chosen fields and subfields but I had left that for last.

-- ADJUST ME
-- Use values from your dump of marc_tag_structure and marc_subfield_structure
-- to provide support for your Koha database.


-- ******************************************************

-- Current Record ID Field/Subfields

INSERT IGNORE INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', '');

INSERT IGNORE INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, '', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, '', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, '', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, '', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


-- 		('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, '', '', '', NULL),
-- 		('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, '', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT IGNORE INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', '');

INSERT IGNORE INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, '', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, '', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, '', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, '', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, '', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, '', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, '', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', NULL, -5, '', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


-- 		('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, '', '', '', NULL),
-- 		('952', 'o', 'Koha full call number', 'Koha full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, '', '', '', NULL),



-- Current Items Field/Subfields


INSERT IGNORE INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', '');

INSERT IGNORE INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, '', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, -5, '', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, '', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, '', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, '', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, '', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, '', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, '', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, '', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, '', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, '', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, '', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, '', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, '', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, '', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, '', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, '', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, '', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, 'items.itemnotes_nonpublic', 10, '', '', '', NULL, 1, '', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, '', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, '', '', '', NULL);




-- *******************************************************



-- *******************************************************
-- MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS
-- *******************************************************


-- A Few local use codes need specifying.  Several seealso, plugin, and
-- authority framework columns need improving.  $9 for authority record linking
-- needs to be added where not already provided by RLIN specifications.
-- Needs checking for errors but probably tolerable for use on a production.
-- A server can be upgraded easily from later versions of this file.
--
-- In the absense of more column support for qualifying the relative
-- importance of subfields to the record editor, some modest modification of
-- the default framework is needed setting the not-useful non-Koha holdings
-- subfields to not managed in Koha.

-- MARC fields including letters as part of the field identifier are from RLIN
-- and should be expected to remain along with RLIN $% subfields.  RLIN has
-- been using letters in fields because there are not enough local use number
-- fields which have not already been specified for very large union catalogue
-- networks such as RLIN itself.


-- Fields ending in c, o, or r are temporary placeholders for information from
-- a numeric value until a non-conflicting way to treat the content under the
-- proper original numeric field is adopted.
--
-- 090 for LC call numbers has been restored.  Formerly, 999, now used for the
-- Koha record ID, had been provided as a temporary place holder until all
-- Koha code for finding control fields has been changed from a numeric test
-- of < 10 to a regular expression match of m/^00/ to prevent mistaken
-- matching of fields with letters such as 09o if they were control fields.
--
-- [Fields with letters have now been moved to a development file in the misc
-- directory for lack of time to test for problems.]


INSERT IGNORE INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', ''),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', ''),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 1, '', ''),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 1, '', ''),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', ''),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', ''),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', ''),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', ''),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', ''),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', ''),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', ''),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', ''),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', ''),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', ''),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', ''),
		('01e', 'CODED FIELD ERROR (RLIN)', 'CODED FIELD ERROR (RLIN)', 'CODED FIELD ERROR (RLIN)', 0, '', ''),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, ''),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, ''),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, ''),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, ''),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', ''),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', ''),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', ''),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, ''),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', ''),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', ''),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', ''),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', ''),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', ''),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', ''),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, ''),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', ''),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, ''),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', ''),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', ''),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 1, NULL, ''),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', ''),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', ''),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, ''),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', ''),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', ''),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', ''),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', ''),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', ''),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', ''),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, ''),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, ''),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, ''),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, ''),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, ''),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, ''),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, ''),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, ''),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, ''),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, ''),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, ''),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, ''),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, ''),
		('083', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, ''),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, ''),
		('085', 'Componenti numero di classificazione sintetizzato', 'Componenti numero di classificazione sintetizzato', 1, 0, NULL, ''),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, ''),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, ''),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, ''),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', ''),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', ''),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', ''),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', ''),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', ''),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', ''),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, ''),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, ''),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, ''),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, ''),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, ''),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, ''),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, ''),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, ''),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, ''),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', ''),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', ''),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, ''),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', ''),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', ''),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, ''),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, ''),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 1, 0, NULL, ''),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, ''),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, ''),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, ''),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 1, 0, NULL, ''),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, ''),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, ''),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, ''),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, ''),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, ''),
		('264', 'Produzione, pubblicazione, etc di un\'opera', 'Produzione, pubblicazione, etc di un\'opera', 1, 0, NULL, ''),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, ''),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, ''),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 0, NULL, ''),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, ''),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, ''),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, ''),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, ''),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, ''),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, ''),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, ''),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, ''),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, ''),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, ''),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, ''),
		('336', 'Tipo contenuto', 'Tipo contenuto', 1, 0, NULL, ''),
		('337', 'Tipo formato', 'Tipo formato', 1, 0, NULL, ''),
		('338', 'Formato di trasporto', 'Formato di trasporto', 1, 0, NULL, ''),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, ''),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, ''),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, ''),
		('344', 'Caratteristiche del suono', 'Caratteristiche del suono', 1, 0, NULL, ''),
		('345', 'Caratteristiche proiezione di immagini in movimento', 'Caratteristiche proiezione di immagini in movimento', 1, 0, NULL, ''),
		('346', 'Caratteristiche video', 'Caratteristiche video', 1, 0, NULL, ''),
		('347', 'Caratteristiche file digitale', 'Caratteristiche file digitale', 1, 0, NULL, ''),
		('348', 'Presentazione musicale', 'Presentazione musicale', 1, 0, NULL, ''),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, ''),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, ''),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, ''),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, ''),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, ''),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, ''),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, ''),
		('363', 'Data e sequenza normalizzata', 'Data e sequenza normalizzata', 1, 0, NULL, ''),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, ''),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, ''),
		('370', 'Luogo associato', 'Luogo associato', 1, 0, NULL, ''),
		('377', 'Lingua associata', 'Lingua associata', 1, 0, NULL, ''),
		('380', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, ''),
		('381', 'Altre caratteristiche distintive dell\'emissione o espressione', 'Altre caratteristiche distintive dell\'emissione o espressione', 1, 0, NULL, ''),
		('382', 'Modalità dell\'esecuzione', 'Modalità dell\'esecuzione', 1, 0, NULL, ''),
		('383', 'Designazione numerica dell\'opera musicale', 'Designazione numerica dell\'opera musicale', 1, 0, NULL, ''),
		('384', 'Chiave musicale', 'Chiave musicale', 0, 0, NULL, ''),
		('385', 'Caratteristiche del pubblico', 'Caratteristiche del pubblico', 1, 0, NULL, ''),
		('386', 'Caratteristiche del creatore/contributore', 'Caratteristiche del creatore/contributore', 1, 0, NULL, ''),
		('388', 'Periodo di tempo della creazione del contenuto', 'Periodo di tempo della creazione del contenuto', 1, 0, NULL, ''),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, ''),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, ''),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, ''),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, ''),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', ''),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, ''),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, ''),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, ''),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, ''),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, ''),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, ''),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, ''),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, ''),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, ''),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, ''),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, ''),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, ''),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, ''),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, ''),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, ''),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, ''),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, ''),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, ''),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, ''),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, ''),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, ''),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, ''),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, ''),
		('525', 'Nota di supplemento', 'Nota di supplemento', 1, 0, NULL, ''),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 1, 0, NULL, ''),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, ''),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, ''),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, ''),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, ''),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, ''),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, ''),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, ''),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, ''),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, ''),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, ''),
		('542', 'Informazioni sullo status del copyright', 'Informazioni sullo status del copyright', 1, 0, NULL, ''),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, ''),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, ''),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, ''),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, ''),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, ''),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, ''),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, ''),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, ''),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, ''),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, ''),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, ''),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, ''),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, ''),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, ''),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, ''),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, ''),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, ''),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, ''),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, ''),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, ''),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, ''),
		('588', 'Nota sulla fonte della discrezione', 'Nota sulla fonte della discrezione', 1, 0, NULL, ''),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, ''),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, ''),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, ''),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, ''),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, ''),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, ''),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, ''),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, ''),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, ''),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, ''),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, ''),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, ''),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, ''),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, ''),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, ''),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, ''),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', ''),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', ''),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', ''),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', ''),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', ''),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', ''),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, ''),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, ''),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, ''),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, ''),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, ''),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, ''),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, ''),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, ''),
		('751', 'Accccesso aggiunto – nome geografico', 'Accccesso aggiunto – nome geografico', 1, 0, NULL, ''),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, ''),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, ''),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, ''),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, ''),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, ''),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, ''),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, ''),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, ''),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, ''),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, ''),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, ''),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, ''),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, ''),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, ''),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, ''),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, ''),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, ''),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, ''),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, ''),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', ''),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', ''),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', ''),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', ''),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', ''),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, ''),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, ''),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, ''),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, ''),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, ''),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, ''),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, ''),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, ''),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, ''),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, ''),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, ''),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, ''),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, ''),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, ''),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, ''),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, ''),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, ''),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', ''),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, ''),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, ''),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, ''),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, ''),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, ''),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, ''),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, ''),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, ''),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, ''),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, ''),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, ''),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, ''),
		('882', 'Informazione sul record che sostituisce', 'Informazione sul record che sostituisce', 0, 0, NULL, ''),
		('883', 'Provenienza dei metadati generati dalla macchina', 'Provenienza dei metadati generati dalla macchina', 1, 0, NULL, ''),
		('884', 'Descrizione della conversione', 'Descrizione della conversione', 1, 0, NULL, ''),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, ''),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, ''),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', ''),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', ''),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', ''),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', ''),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', ''),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', ''),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', ''),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', ''),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', ''),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', ''),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', ''),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', ''),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', ''),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', ''),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', ''),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', ''),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', ''),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', ''),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', ''),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', ''),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', ''),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', ''),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', ''),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', ''),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', ''),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', ''),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', ''),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', ''),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', ''),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', ''),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', ''),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', ''),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', ''),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', ''),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', ''),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', ''),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', ''),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', ''),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', ''),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', '');



INSERT IGNORE INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, '', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 1, '', 0, '', '', 'marc21_orgcode.pl', 0, 0, '', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 1, '', 0, '', '', 'marc21_field_005.pl', 0, 0, '', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, '', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, '', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, '', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, '', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, '', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, 0, '', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('015', 'q', 'Qualificazione', 'Qualificazione', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('015', 'z', 'Numero della bibliografia nazionale cancellato o errato', 'Numero della bibliografia nazionale cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('016', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, '', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('017', 'z', 'Numero di copyright cancellato o errato', 'Numero di copyright cancellato o errato', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('01e', 'a', 'Coded field error', 'Coded field error', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('020', 'q', 'Qualificazione', 'Qualificazione', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, 0, '', '', '', NULL),
		('022', 'l', 'ISSN-L', 'ISSN-L', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('022', 'm', 'ISSN-L cancellato', 'ISSN-L cancellato', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', 'q', 'Qualificazione', 'Qualificazione', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('027', 'q', 'Qualificazione', 'Qualificazione', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('028', 'q', 'Qualificazione', 'Qualificazione', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, '', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, '', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', '0', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('033', '2', 'Fonte', 'Fonte', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('033', 'p', 'Luogo dell\'evento', 'Luogo dell\'evento', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('034', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('034', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('037', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('037', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 1, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('041', 'j', 'Codice della lingua dei sottotitoli', 'Codice della lingua dei sottotitoli', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('041', 'k', 'Codici delle lingue usate nelle traduzioni intermedie', 'Codici delle lingue usate nelle traduzioni intermedie', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('041', 'm', 'Codice della lingua della lingua originale del materiale allegato diverso dai libretti', 'Codice della lingua della lingua originale del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('041', 'n', 'Codice della lingua originale dei libretti', 'Codice della lingua originale dei libretti', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('043', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'o', 'Data singola o data iniziale per il contenuto aggregato', 'Data singola o data iniziale per il contenuto aggregato', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('046', 'p', 'Data finale per il contenuto aggregato', 'Data finale per il contenuto aggregato', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -1, '', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, '', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, '', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, '', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, '', '', '', NULL),
		('082', 'm', 'Designazione standard o opzionale', 'Designazione standard o opzionale', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('082', 'q', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', 'c', 'Numero di classificazione – fine intervallo', 'Numero di classificazione – fine intervallo', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', 'm', 'Designazione standard o opzionale', 'Designazione standard o opzionale', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', 'q', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', 'y', 'Numero sequenza tavola per aggiunta o ordinamento interno', 'Numero sequenza tavola per aggiunta o ordinamento interno', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('083', 'z', 'Identificazione tavola', 'Identificazione tavola', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('084', 'q', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'a', 'Numero o inizio di un intervallo', 'Numero o inizio di un intervallo', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'b', 'Numero di base', 'Numero di base', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'c', 'Numero di classificazione – fine intervallo', 'Numero di classificazione – fine intervallo', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'f', 'Designatore faccetta', 'Designatore faccetta', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'r', 'Numero radice', 'Numero radice', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 's', 'Numeri aggiunti per costruire la stringa', 'Numeri aggiunti per costruire la stringa', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 't', 'Numeri aggiunti da partizione interna o tavola aggiunta', 'Numeri aggiunti da partizione interna o tavola aggiunta', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'u', 'Numero da analizzare', 'Numero da analizzare', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'v', 'Numeri aggiunti da partizione interna o tavola aggiunta dove trovate le istruzioni', 'Numeri aggiunti da partizione interna o tavola aggiunta dove trovate le istruzioni', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'w', 'Identificazione tavola – partizione interna o tavola aggiunta', 'Identificazione tavola – partizione interna o tavola aggiunta', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'y', 'Numero sequenza tavola per aggiunta o ordinamento interno', 'Numero sequenza tavola per aggiunta o ordinamento interno', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('085', 'z', 'Identificazione tavola', 'Identificazione tavola', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, '', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, '', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, '', '', '', NULL),
		('100', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, 0, '', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, '', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, 0, '', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, '', '', '', NULL),
		('110', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, 0, '', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, 0, '', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, 0, '', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 1, 0, '', 1, '', '', '', NULL, -1, '', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, '', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, 0, '', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('111', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, 0, '', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 1, '', '', '', NULL, -6, '', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, '', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -1, '', '''130o'',''130m'',''130r'',''130s'',''130d'',''130k'',''130n'',''130p'',''130g'',''130l'',''130f'',''130h'',''130t''', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('240', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, '', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, '', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, '', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, '', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, '', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, '', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, '', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h'',''505t''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, '', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('250', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('257', '2', 'Fonte', 'Fonte', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, '', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('264', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('264', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('264', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('264', 'a', 'Luogo di produzione, pubblicazione, ecc.', 'Luogo di produzione, pubblicazione, ecc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('264', 'b', 'Nome del produttore, editore, ecc.', 'Nome del produttore, editore, ecc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('264', 'c', 'Data di produzione, specificazione, ecc.', 'Data di produzione, specificazione, ecc.', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, '', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 2, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 0, 'biblioitems.pages', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, '', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, '', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 1, 0, '', 3, '', '', '', NULL, 0, '', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('336', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('336', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('336', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('336', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('336', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('336', 'a', 'Termine del tipo di contenuto', 'Termine del tipo di contenuto', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('336', 'b', 'Codice del tipo di contenuto', 'Codice del tipo di contenuto', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('337', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('337', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('337', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('337', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('337', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('337', 'a', 'Tipo formato', 'Tipo formato', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('337', 'b', 'Tipo formato (codice)', 'Tipo formato (codice)', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('338', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('338', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('338', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('338', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('338', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('338', 'a', 'Formato di trasporto', 'Formato di trasporto', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('338', 'b', 'Formato di trasporto (codice)', 'Formato di trasporto (codice)', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'j', 'Creazione', 'Creazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'k', 'Layout', 'Layout', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'm', 'Formato libro', 'Formato libro', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'n', 'Dimensioni carattere', 'Dimensioni carattere', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('340', 'o', 'Polarità', 'Polarità', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'b', ' Unità di distanza o di coordinate', ' Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', 'a', 'Tipo registrazione', 'Tipo registrazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', 'b', 'Supporto della registrazione', 'Supporto della registrazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', 'c', 'Velocità', 'Velocità', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', 'd', 'Caratteristiche solco', 'Caratteristiche solco', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', 'e', 'Configurazione traccia', 'Configurazione traccia', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', 'f', 'Configurazione nastro', 'Configurazione nastro', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', 'g', 'Configurazione dei canali di riproduzione', 'Configurazione dei canali di riproduzione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('344', 'h', 'Caratteristiche del canale di riproduzione', 'Caratteristiche del canale di riproduzione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('345', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('345', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('345', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('345', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('345', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('345', 'a', 'Formato di presentazione', 'Formato di presentazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('345', 'b', 'Velocità proiezione', 'Velocità proiezione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('346', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('346', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('346', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('346', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('346', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('346', 'a', 'Formato video', 'Formato video', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('346', 'b', 'Standard broadcast', 'Standard broadcast', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', 'a', 'Tipo file', 'Tipo file', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', 'b', 'Formato di codifica', 'Formato di codifica', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', 'c', 'Dimensione file', 'Dimensione file', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', 'd', 'Risoluzione', 'Risoluzione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', 'e', 'Codice regionale', 'Codice regionale', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('347', 'f', 'Bitrate codificato', 'Bitrate codificato', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('348', 'a', 'Presentazione musicale - termine', 'Presentazione musicale - termine', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('348', 'b', 'Presentazione musicale -  codice', 'Presentazione musicale -  codice', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('348', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('348', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('348', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('348', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('348', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('352', 'q', 'Formato dell\'immagine digitale', 'Formato dell\'immagine digitale', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('363', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'u', 'Primo livello di designazione testuale', 'Primo livello di designazione testuale', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'v', 'Primo livello di cronologia, data d\'uscita', 'Primo livello di cronologia, data d\'uscita', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('363', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 3, '', '', '', NULL, -1, '', '', '', NULL),
		('370', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', 'c', 'Paese associato', 'Paese associato', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', 'f', 'Altro luogo associato', 'Altro luogo associato', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', 'g', 'Luogo di origine di un’opera', 'Luogo di origine di un’opera', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', 's', 'Inizio del periodo', 'Inizio del periodo', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', 't', 'Fine del periodo', 'Fine del periodo', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('370', 'v', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('377', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('377', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('377', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('377', 'a', 'Codice lingua', 'Codice lingua', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('377', 'l', 'Lingua per esteso', 'Lingua per esteso', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('380', '0', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('380', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('380', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('380', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('380', 'a', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('381', '0', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('381', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('381', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('381', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('381', 'a', 'Altre caratteristiche distintive', 'Altre caratteristiche distintive', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('381', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('381', 'v', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 'a', 'Modalità dell\'esecuzione', 'Modalità dell\'esecuzione', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 'b', 'Solista', 'Solista', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 'd', 'Secondo strumento', 'Secondo strumento', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 'e', 'Numero di complessi dello stesso tipo', 'Numero di complessi dello stesso tipo', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 'n', 'Numero di esecutori con stesso strumento', 'Numero di esecutori con stesso strumento', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 'p', 'Strumento alternativo', 'Strumento alternativo', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 'r', 'Numero totale di persone che eseguono insieme ai complessi', 'Numero totale di persone che eseguono insieme ai complessi', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 's', 'Numero totale di esecutori', 'Numero totale di esecutori', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 't', 'Numero totale di complessi', 'Numero totale di complessi', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('382', 'v', 'Nota', 'Nota', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('383', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('383', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('383', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('383', 'a', 'Numero seriale', 'Numero seriale', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('383', 'b', 'Numero nell\'opus', 'Numero nell\'opus', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('383', 'c', 'Numero indice tematico', 'Numero indice tematico', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('383', 'd', 'Codice indice tematico', 'Codice indice tematico', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('383', 'e', 'Editore associato a numero nell\'opus', 'Editore associato a numero nell\'opus', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('384', 'a', 'Chiave musicale', 'Chiave musicale', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('384', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('384', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', 'a', 'Pubblico', 'Pubblico', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', 'b', 'Pubblico (codice)', 'Pubblico (codice)', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', 'm', 'Gruppo demografico', 'Gruppo demografico', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('385', 'n', 'Gruppo demografico (codice)', 'Gruppo demografico (codice)', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', 'a', 'Creatore /contributore', 'Creatore /contributore', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', 'b', 'Creatore/contributore (codice)', 'Creatore/contributore (codice)', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', 'm', 'Gruppo demografico', 'Gruppo demografico', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('386', 'n', 'Gruppo demografico (codice)', 'Gruppo demografico (codice)', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('388', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('388', '2', 'Fonte', 'Fonte', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('388', '3', ' Materiali specificati', ' Materiali specificati', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('388', '6', ' Collegamento', ' Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('388', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('388', 'a', 'Termine per il periodo della creazione del contenuto', 'Termine per il periodo della creazione del contenuto', 1, 0, '', 3, '', '', '', NULL, -6, '', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, '', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('440', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, '', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, '', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, '', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, '', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, '', '', '', NULL),
		('440', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, '', '', '', NULL),
		('490', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, '', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -1, '', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, '', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -1, '', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, '', 4, '', '', '', NULL, -1, '', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', 'b', 'Tipo dissertazione', 'Tipo dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', 'c', 'Nome dell\'istituzione', 'Nome dell\'istituzione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', 'd', 'Anno di rilascio', 'Anno di rilascio', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('502', 'o', 'Identificativo dissertazione', 'Identificativo dissertazione', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, 0, '', '', '', NULL),
		('506', '2', 'Fonte', 'Fonte', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, '', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, '', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, '', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', '0', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', '2', 'Fonte', 'Fonte', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('518', 'd', 'Data dell\'evento', 'Data dell\'evento', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', 'o', 'Numero di controllo del record', 'Numero di controllo del record', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('518', 'p', 'Luogo dell\'evento', 'Luogo dell\'evento', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', '2', 'Fonte', 'Fonte', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('520', 'c', 'Agenzia assegnataria', 'Agenzia assegnataria', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, 0, '', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, 0, '', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, '', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -1, '', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('534', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'o', 'Altro identificativo della risorsa', 'Altro identificativo della risorsa', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('538', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, '', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 1, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 5, '', '', '', NULL, 1, '', '', '', NULL),
		('542', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'a', 'Creatore persona', 'Creatore persona', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'b', 'Data morte creatore persona', 'Data morte creatore persona', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'c', 'Creatore ente', 'Creatore ente', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'd', 'Possessore del copyright', 'Possessore del copyright', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'e', 'Informazione per contattare il possessore', 'Informazione per contattare il possessore', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'f', 'Dichiarazione di copyright', 'Dichiarazione di copyright', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'g', 'Data di copyright', 'Data di copyright', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'h', 'Data rinnovo copyright', 'Data rinnovo copyright', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'i', 'Data pubblicazione', 'Data pubblicazione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'j', 'Data di creazione', 'Data di creazione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'k', 'Editore', 'Editore', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'l', 'Status del copyright', 'Status del copyright', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'm', 'Status della pubblicazione', 'Status della pubblicazione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'o', 'Data ricerca', 'Data ricerca', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'p', 'Paese di pubblicazione o creazione', 'Paese di pubblicazione o creazione', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'q', 'Agenzia assegnataria', 'Agenzia assegnataria', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'r', 'Giurisdizione del copyright', 'Giurisdizione del copyright', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 's', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('542', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, '', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -1, '', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, '', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, '', '', '', NULL),
		('561', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -1, '', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, '', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 4, '', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -1, '', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('588', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('588', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('588', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('588', 'a', 'Nota sulla fonte della discrezione', 'Nota sulla fonte della discrezione', 0, 0, '', 5, '', '', '', NULL, -6, '', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('600', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, 0, '', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, 0, '', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('611', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, '', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('630', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, 0, '', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('648', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, 0, '', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('650', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, '', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Termine topico che segue il nome geografico come accesso', 'Termine topico che segue il nome geografico come accesso', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('651', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, 0, '', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('651', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('654', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('654', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, '', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('655', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, 0, '', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('656', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, '', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, '', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('658', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('658', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, '', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('662', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, 0, '', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, '', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, 0, '', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, 0, '', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, '', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, '', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, '', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, '', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, '', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, '', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, '', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, '', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, '', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('700', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, 0, '', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, 0, '', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 1, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, 0, '', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('711', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, 0, '', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('730', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -1, '', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -1, '', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('751', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('752', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('753', '2', 'Fonte', 'Fonte', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('760', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'q', 'Numerazione e prima pagina', 'Numerazione e prima pagina', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'v', 'Contributo della fonte', 'Contributo della fonte', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', '4', 'Codice relazione', 'Codice relazione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, '', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, '', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, '', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, '', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, '', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, '', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -1, '', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('800', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -1, '', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('810', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('811', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('811', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -1, '', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -1, '', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('811', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -1, '', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -1, '', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('830', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, '', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'd', 'Precedente localizzazione a scaffale', 'Precedente localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, '', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, 0, '', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, 0, '', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, '', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, '', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, 0, '', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 0, '', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, '', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('882', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('882', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('882', 'a', 'Titolo in sostituzione', 'Titolo in sostituzione', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('882', 'i', 'Spiegazione', 'Spiegazione', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('882', 'w', 'Numero di controllo del reocrd che sostituisce', 'Numero di controllo del reocrd che sostituisce', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', '0', 'Numero del record di authority o numero standard', 'Numero del record di authority o numero standard', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', 'a', 'Processo di generazione', 'Processo di generazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', 'c', 'Attendibilità dei metadati (valore)', 'Attendibilità dei metadati (valore)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', 'd', 'Data di generazione', 'Data di generazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', 'q', 'Agenzia di generazione', 'Agenzia di generazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', 'x', 'Fine data validità', 'Fine data validità', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('883', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('884', 'a', 'Processo di conversione', 'Processo di conversione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('884', 'g', 'Data di conversione', 'Data di conversione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('884', 'k', 'Identificatore dei metadati di partenza', 'Identificatore dei metadati di partenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('884', 'q', 'Agenzia che ha effettuato la conversione', 'Agenzia che ha effettuato la conversione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('884', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, 0, '', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, '', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, '', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, '', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, '', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, '', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, '', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, '', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, '', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, '', '''110a'',''700a'',''710a''', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, '', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, '', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, '', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, '', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, '', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, '', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, '', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, '', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, '', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, '', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, '', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, '', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, '', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, '', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, '', '', '', NULL);


UPDATE `marc_subfield_structure` SET maxlength=24 WHERE tagfield='000';
UPDATE `marc_subfield_structure` SET maxlength=40 WHERE tagfield='008';
